<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;

use App\Models\Semester;
use App\Models\Stafftype;
use App\Models\UserType;
use App\Models\Community;
use App\Models\Course;
use App\Models\Subject;
use App\Models\Stockcategory;
use App\Models\stocksubcate;
use App\Models\PTA;
use App\Models\Caste;
use App\Models\ObePso;
use App\Models\ObeCo;
use App\Models\InternalObeNames;
use App\Models\Acyear;
use App\Models\Promote;
use App\Models\Iqacdocumentmodel;
use App\Models\ObeInternalMarkGeneration;
use App\Models\ObeActivity;
use App\Models\Staffleavtype;
use App\Models\User;
use App\Models\FyugpExams;
use App\Models\FyugpExamSubject;
use App\Models\AddCompetition;
use App\Models\AddRouteTrans;
use App\Models\Membershiptype;
use App\Models\Membership;
use App\Models\Books;
use App\Models\Libsubloc; 
use App\Models\Libsubcategory; 
use App\Models\Libmainloc; 
use App\Models\Libcategory;
use App\Models\BookIssueList;
use App\Models\StaffSubject;
use App\Models\SubCategory;
use Illuminate\Support\Facades\Auth;
use App\Models\ObeActivityOutcome;
class Ajax extends Controller
{
    public function getSemesters($course_id){
        $semesters = array();
        $rows = Semester::where('course_id',$course_id)->get();
        foreach($rows as $row){
            $semesters[$row->semester_id] = $row->semester_name;
        }
        return json_encode($semesters);
    }
    
    
    public function getCommunity($religion_id){
        $community = array();
        $rows = Community::where('religion_id',$religion_id)->get();
        foreach($rows as $row){
            $community[$row->community_id] = $row->community;
        }
        return json_encode($community);
    }
     public function getCommunity_student_report($religion_id){
        $community = array();
        $rows = Community::where('religion_id',$religion_id)->get();
        foreach($rows as $row){
            $community[$row->community_id] = $row->community;
        }
        return json_encode($community);
    }

    
      public function getDesig($staftyp_id){
        $desig = array();
        $rows = UserType::where('staftyp_id',$staftyp_id)->get();
        foreach($rows as $row){
            $desig[$row->type_id] = $row->type_name;
        }
        return json_encode($desig);
    }
     
     
      public function getSem($course_id){
        $semesters = array();
        $rows = Semester::where('course_id',$course_id)->get();
        foreach($rows as $row){
            $semesters[$row->semester_id] = $row->semester_name;
        }
        return json_encode($semesters);
    }


 public function getPso($course_id){
        $pso = array();
        $rows = ObePso::where('course',$course_id)->get();
        foreach($rows as $row){
            $pso[$row->id] = $row->pso_name;
        }
        return json_encode($pso);
    }




      public function getsub($course_id){
        $subject = array();
        $rows = Subject::where('course_id',$course_id)->get();
        foreach($rows as $row){
            $subject[$row->subject_id ] = $row->subject_name;
        }
        return json_encode($subject);
    }
    
     public function getsubject(Request $request){ 
        $sub_type= $request->get('subtyp_id');
        $course_id=  $request->get('course');
        $sem_id=   $request->get('semester_id');
        
      
        
      
      
        $subject = [];
        $sem_name = Semester::where('semester_id',$sem_id)->first();
        $subcategories = SubCategory::all();
         foreach ($subcategories as $subcategory) {
        
        if (in_array($subcategory->id, [2, 3, 4])) {
            $rows = Subject::join('course_subject', 'subjects.subject_id', '=', 'course_subject.subject_id')
                ->where([
                    'subjects.subject_categ' => $subcategory->id,
                    'course_subject.semester_id' => $sem_name->semester_name,
                ])
                ->select('subjects.*')
                ->get();
        } else {
            $rows = Subject::join('course_subject', 'subjects.subject_id', '=', 'course_subject.subject_id')
                ->where([
                    'course_subject.course_id' => $sem_name->course_id,
                    'subjects.subject_categ' => $subcategory->id,
                    'course_subject.semester_id' => $sem_name->semester_name,
                ])
                ->select('subjects.*')
                ->get();
        }
        foreach ($rows as $row) {
       
            $subject[$row->subject_id] = $row->subject_name;
           
        }
    }
        return json_encode($subject);
    }
    
     public function getsubj(Request $request){ 
       
        $course_id=  $request->get('course');
        $sem_id=   $request->get('semester_id');
        $subject = [];
        $userId = Auth::id();
        $sem_name = Semester::where('semester_id',$sem_id)->first();
        $subcategories = SubCategory::all();
        $staff_type = auth()->user()->type_id;
        foreach ($subcategories as $subcategory) {
        
        if (in_array($subcategory->id, [2, 3, 4])) {
            $rows = Subject::join('course_subject', 'subjects.subject_id', '=', 'course_subject.subject_id')
                ->where([
                    'subjects.subject_categ' => $subcategory->id,
                    'course_subject.semester_id' => $sem_name->semester_name,
                ])
                ->select('subjects.*')
                ->get();
        } else {
            $rows = Subject::join('course_subject', 'subjects.subject_id', '=', 'course_subject.subject_id')
                ->where([
                    'course_subject.course_id' => $sem_name->course_id,
                    'subjects.subject_categ' => $subcategory->id,
                    'course_subject.semester_id' => $sem_name->semester_name,
                ])
                ->select('subjects.*')
                ->get();
        }
        if($staff_type == '12')
        {
        foreach ($rows as $row) {
             $staffsubject=StaffSubject::join('users','users.user_id','=','staff_subject.user_id')->join('courses','courses.course_id','=','staff_subject.course_id')->where('staff_subject.subject_id',$row->subject_id)->where('staff_subject.user_id',$userId)->first();    
            if($staffsubject)
            {
            $subject[$row->subject_id] = $row->subject_name;
            }
        }
        }
        else
        {
            foreach ($rows as $row) {
                $subject[$row->subject_id] = $row->subject_name;
            }
        }
    }
        
        return json_encode($subject);
    }
    
     public function getco(Request $request){ 
       
        $course_id=  $request->get('course');
        $sem_id=   $request->get('semester_id');
        $sub_id=   $request->get('sub_id');
        $subtyp_id=   $request->get('subtyp_id');
        
        $co = array();
        $rows = ObeCo::where('course', $course_id)->where('sub_id', $sub_id)
                   ->where('semester_id', $sem_id)->where('subtyp_id', $subtyp_id)->get();
        foreach($rows as $row){
            $co[$row->id ] = $row->co_no.' '.$row->co_name;
        }
        return json_encode($co);
    }
    
        public function getsubsem($semester_id){
        $subject = [];
        $sem_name = Semester::where('semester_id',$semester_id)->first();
        $subcategories = SubCategory::all();
        
        
          foreach ($subcategories as $subcategory) {
        
        if (in_array($subcategory->id, [2, 3, 4])) {
            $rows = Subject::join('course_subject', 'subjects.subject_id', '=', 'course_subject.subject_id')
                ->where([
                    'subjects.subject_categ' => $subcategory->id,
                    'course_subject.semester_id' => $sem_name->semester_name,
                ])
                ->select('subjects.*')
                ->get();
        } else {
            $rows = Subject::join('course_subject', 'subjects.subject_id', '=', 'course_subject.subject_id')
                ->where([
                    'course_subject.course_id' => $sem_name->course_id,
                    'subjects.subject_categ' => $subcategory->id,
                    'course_subject.semester_id' => $sem_name->semester_name,
                ])
                ->select('subjects.*')
                ->get();
        }

        
        foreach ($rows as $row) {
            $subject[$row->subject_id] = $row->subject_name;
        }
    }
        return json_encode($subject);
    }
  

    
    public function getIqacdocuments($criteria_id){
        $documents = array();
        $rows = Iqacdocumentmodel::where('criteria_id',$criteria_id)->get();
        foreach($rows as $row){
            $documents[$row->id] = $row->document;
        }
        return json_encode($documents);
    }
    
    
           public function getsubtyp($subtyp_id){
        $subject = array();
        $rows = Subject::where('subtyp_id',$subtyp_id)->get();
        foreach($rows as $row){
            $subject[$row->subject_id ] = $row->subject_name;
        }
        return json_encode($subject);
    }
    
     public function getsubtyps(Request $request){ 
        
        $course_id=  $request->get('course');
        $sem_id=   $request->get('semester_id');
        $subject = [];
        $sem_name = Semester::where('semester_id',$sem_id)->first();
        $subcategories = SubCategory::all();
        foreach ($subcategories as $subcategory) {
        
        if (in_array($subcategory->id, [2, 3, 4])) {
            $rows = Subject::join('course_subject', 'subjects.subject_id', '=', 'course_subject.subject_id')
                ->where([
                    'subjects.subject_categ' => $subcategory->id,
                    'course_subject.semester_id' => $sem_name->semester_name,
                ])
                ->select('subjects.*')
                ->get();
        } else {
            $rows = Subject::join('course_subject', 'subjects.subject_id', '=', 'course_subject.subject_id')
                ->where([
                    'course_subject.course_id' => $sem_name->course_id,
                    'subjects.subject_categ' => $subcategory->id,
                    'course_subject.semester_id' => $sem_name->semester_name,
                ])
                ->select('subjects.*')
                ->get();
        }
         foreach ($rows as $row) {
            $subject[$row->subject_id] = $row->subject_name;
        }
    }
        return json_encode($subject);
       
    }
 
public function getsubcate($c_id)  
{
    $subcate = array();
        $rows = stocksubcate::where('c_id',$c_id)->get();
        foreach($rows as $row){
            $subcate[$row->subcate_id] = $row->subcategory;
        }
        return json_encode($subcate);  
}
    
 public function getmeeting($ac_id)  
 {
     $meeting=array();
     $rows=PTA::where('ac_id',$ac_id)->get();
             foreach($rows as $row){
            $meeting[$row->pta_id] = $row->name;
        }
        return json_encode($meeting);  

 }

public function getmeetingcourse($pta_id) 
{
    $course=array();
    
    $rows=PTA::where('pta_id',$pta_id)->get();
                 foreach($rows as $row){
            $course[$row->course_id]=$row->course->course_name;
        }
        return json_encode($course);  

}
    

public function getcaste(Request $request)
{
    $community=$request->get('community_id');
    $religion=$request->get('religion_id');
    $caste=array();
    $rows=Caste::where('community_id',$community)->where('religion_id',$religion)->get();
    foreach($rows as $row)
    {
        $caste[$row->caste_id]=$row->caste;
    }
    return json_encode($caste); 
}
    
    
    
   public function getobexams(Request $request){ 
       
        $course_id=  $request->get('course');
        $sem_id=   $request->get('semester_id');
        $term_id=   $request->get('term_id');
        $sub_id=   $request->get('sub_id');
        $assmnt_method=   $request->get('assmnt_method');
        $subtyp_id=   $request->get('subtyp_id');
        $ac_id = getAcyear();
        $exams = array();
        $intnames = InternalObeNames::where('course', $course_id)->where('division', $sem_id)
                   ->where('subtyp_id', $subtyp_id)->where('subject', $sub_id)->where('assmnt_method', $assmnt_method)->where('term_id', $term_id)->where('ac_id', $ac_id)->get();
        foreach($intnames as $row){
            $exams[$row->id ] = $row->topic;
        }
        return json_encode($exams);
    }  
    
    
    public function getstud(Request $request){ 
        
        $course_id=  $request->get('course');
        $sem_id=   $request->get('semester_id');
        $ac_id = getAcyear();
        $stud = array();
       
        $rows = Promote::Join('students','promotes.student_id','=','students.student_id')->where(array('promotes.ac_id'=>$ac_id,'promotes.course_id'=>$course_id,'promotes.semester_id'=>$sem_id))->select('students.*')->get();

        foreach($rows as $row){
            $stud[$row->student_id ] = $row->name;
        }
        return json_encode($stud);
    }
    
    
    public function getinternalgen(Request $request)
{
    $course=$request->get('course');
    $semester_id=$request->get('semester_id');
    $sub_id=$request->get('sub_id');
    $ac_id = getAcyear();
    $rows=ObeInternalMarkGeneration::where('course_id',$course)->where('semester',$semester_id)->where('sub_id',$sub_id)->where('ac_id',$ac_id)->first();
   if($rows) {
        $scheme_code = $rows->scheme_code;
        return  $scheme_code;
    } 
}

   public function getexammonth(Request $request)
    {
        $course=$request->get('course');
        $semester_id=$request->get('semester_id');
        $sub_id=$request->get('sub_id');
        $ac_id = getAcyear();
        $rows=ObeInternalMarkGeneration::where('course_id',$course)->where('semester',$semester_id)->where('sub_id',$sub_id)->where('ac_id',$ac_id)->first();
       if($rows) {
            $exam_month = $rows->exam_month;
            return  $exam_month;
        } 
    }

  public function getexamyear(Request $request)
    {
        $course=$request->get('course');
        $semester_id=$request->get('semester_id');
        $sub_id=$request->get('sub_id');
        $ac_id = getAcyear();
        $rows=ObeInternalMarkGeneration::where('course_id',$course)->where('semester',$semester_id)->where('sub_id',$sub_id)->where('ac_id',$ac_id)->first();
       if($rows) {
            $exam_year = $rows->exam_year;
            return  $exam_year;
        } 
    }
   
     public function getactivity(Request $request){ 
       
        $domain_id=  $request->get('domain_id');
      
        $activity = array();
        $rows = ObeActivity::where('domain_id', $domain_id)->get();
        foreach($rows as $row){
            $activity[$row->id ] = $row->activity_name;
        }
        return json_encode($activity);
    }
    
     public function getactivityoutcome(Request $request){ 
       
        $activity_id=  $request->get('activity_id');
      
        $activityoutcome = array();
        $rows = ObeActivityOutcome::where('activity_id', $activity_id)->get();
        foreach($rows as $row){
            $activityoutcome[$row->id ] = $row->activity_outcome;
        }
        return json_encode($activityoutcome);
    }

    public function getLeave($staftyp_id)
    {
        
    $leave=array();
    $rows=Staffleavtype::where('staftyp_id',$staftyp_id)->get();
    foreach($rows as $row){
            $leave[$row->leavtyp_id] = $row->leavname->leave_name;
            }
        return json_encode($leave);
  
          
    }
    
    public function getLeavetype($type_id)
    {
         $leave=array();
    $rows=Staffleavtype::where('type_id',$type_id)->get();
    foreach($rows as $row){
            $leave[$row->leavtyp_id] = $row->leavname->leave_name;
            }
        return json_encode($leave);
  
    }
    
    
 public function stafftype($staftyp_id)
    {
        
    $user=array();
    $rows=User::where('staftyp_id',$staftyp_id)->get();
    foreach($rows as $row){
            $user[$row->user_id] = $row->name;
            }
        return json_encode($user);
  
          
    }   
  
     public function staffdesig($type_id)
    {
         $user=array();
    $rows=User::where('type_id',$type_id)->get();
    foreach($rows as $row){
            $user[$row->user_id] = $row->name;
            }
        return json_encode($user);
  
    }
    
    
    public function getMinorI(Request $request){
        $course_id=  $request->get('course_id');
        $pathway_id=  $request->get('pathway_id');
        $subminorsI = array();
        $rows2 = Semester::where('course_id',$course_id)->first(); 
        $sem_id = $rows2->semester_id ;
        $sem_name = Semester::where('semester_id',$sem_id)->first();
        
         $query = Subject::join('course_subject', 'subjects.subject_id', '=', 'course_subject.subject_id')
        ->where('subjects.subject_categ', 2)
        ->where('course_subject.semester_id', $sem_name->semester_name);
        if ($pathway_id == '1') {
        $query->where('course_subject.course_id', $course_id);
        }
        $rows = $query
        ->select('subjects.subject_id', 'subjects.subject_code', 'subjects.subject_name')
        ->get();
        
        
        foreach($rows as $row){
            $subminorsI[$row->subject_id] = $row->subject_code.' - '.$row->subject_name;
        }
        return json_encode($subminorsI);
    } 
    
    public function getMinorII(Request $request){
        $course_id=  $request->get('course_id');
        $pathway_id=  $request->get('pathway_id');
        
        $subminorsII = array();
        $rows2 = Semester::where('course_id',$course_id)->first(); 
        $sem_id = $rows2->semester_id ;
        $sem_name = Semester::where('semester_id',$sem_id)->first();
        $query = Subject::join('course_subject', 'subjects.subject_id', '=', 'course_subject.subject_id')
        ->where('subjects.subject_categ', 3)
        ->where('course_subject.semester_id', $sem_name->semester_name);
        if ($pathway_id == '1') {
        $query->where('course_subject.course_id', $course_id);
        }
        $rows = $query
        ->select('subjects.subject_id', 'subjects.subject_code', 'subjects.subject_name')
        ->get();
        foreach($rows as $row){
            $subminorsII[$row->subject_id] = $row->subject_code.' - '.$row->subject_name;
        }
        return json_encode($subminorsII);
    } 
    
     public function getMdcI(Request $request){
         $course_id=  $request->get('course_id');
        $pathway_id=  $request->get('pathway_id');
        $submdcI = array();
        $rows2 = Semester::where('course_id',$course_id)->first(); 
        $sem_id = $rows2->semester_id ;
        $sem_name = Semester::where('semester_id',$sem_id)->first();
         $query = Subject::join('course_subject', 'subjects.subject_id', '=', 'course_subject.subject_id')
        ->where('subjects.subject_categ', 4)
        ->where('course_subject.semester_id', $sem_name->semester_name);
        if ($pathway_id == '1') {
        $query->where('course_subject.course_id', $course_id);
        }
        $rows = $query
        ->select('subjects.subject_id', 'subjects.subject_code', 'subjects.subject_name')
        ->get();
        foreach($rows as $row){
            $submdcI[$row->subject_id] = $row->subject_code.' - '.$row->subject_name;
        }
        return json_encode($submdcI);
    } 
    
    public function getAecI(Request $request){
        $course_id=  $request->get('course_id');
        $pathway_id=  $request->get('pathway_id');
        $submdcI = array();
        $rows2 = Semester::where('course_id',$course_id)->first(); 
        $sem_id = $rows2->semester_id ;
        $sem_name = Semester::where('semester_id',$sem_id)->first();
         $query = Subject::join('course_subject', 'subjects.subject_id', '=', 'course_subject.subject_id')
        ->where('subjects.subject_categ', 5)
        ->where('course_subject.semester_id', $sem_name->semester_name);
        if ($pathway_id == '1') {
        $query->where('course_subject.course_id', $course_id);
        }
        $rows = $query
        ->select('subjects.subject_id', 'subjects.subject_code', 'subjects.subject_name')
        ->get();
        foreach($rows as $row){
            $submdcI[$row->subject_id] = $row->subject_code.' - '.$row->subject_name;
        }
        return json_encode($submdcI);
    } 
    public function getAecII(Request $request){
        $course_id=  $request->get('course_id');
        $pathway_id=  $request->get('pathway_id');
        $submdcI = array();
        $rows2 = Semester::where('course_id',$course_id)->first(); 
        $sem_id = $rows2->semester_id ;
        $sem_name = Semester::where('semester_id',$sem_id)->first();
          $query = Subject::join('course_subject', 'subjects.subject_id', '=', 'course_subject.subject_id')
        ->where('subjects.subject_categ', 6)
        ->where('course_subject.semester_id', $sem_name->semester_name);
        if ($pathway_id == '1') {
        $query->where('course_subject.course_id', $course_id);
        }
        $rows = $query
        ->select('subjects.subject_id', 'subjects.subject_code', 'subjects.subject_name')
        ->get();
        foreach($rows as $row){
            $submdcI[$row->subject_id] = $row->subject_code.' - '.$row->subject_name;
        }
        return json_encode($submdcI);
    } 
    
    public function getMinorsI(Request $request){
        $course_id=  $request->get('course_id');
        $semester_id=  $request->get('semester_id');
        $pathway_id=  $request->get('pathway_id');
        
        $subminorsI = array();
        $rows2 = Semester::where('semester_id',$semester_id)->first(); 
        $course_id = $rows2->course_id;
        $sem_name = Semester::where('semester_id',$semester_id)->first();
        $query = Subject::join('course_subject', 'subjects.subject_id', '=', 'course_subject.subject_id')
        ->where('subjects.subject_categ', 2)
        ->where('course_subject.semester_id', $sem_name->semester_name);
        if ($pathway_id == '1') {
        $query->where('course_subject.course_id', $course_id);
        }
        $rows = $query
        ->select('subjects.subject_id', 'subjects.subject_code', 'subjects.subject_name')
        ->get();
        foreach($rows as $row){
            $subminorsI[$row->subject_id] = $row->subject_code.' - '.$row->subject_name;
        }
        return json_encode($subminorsI);
    }
    
     public function getMinorsII(Request $request){
        $course_id=  $request->get('course_id');
        $semester_id=  $request->get('semester_id');
        $pathway_id=  $request->get('pathway_id');
        $subminorsII = array();
        $rows2 = Semester::where('semester_id',$semester_id)->first(); 
        $course_id = $rows2->course_id ;
        $sem_name = Semester::where('semester_id',$semester_id)->first();
        $query = Subject::join('course_subject', 'subjects.subject_id', '=', 'course_subject.subject_id')
        ->where('subjects.subject_categ', 3)
        ->where('course_subject.semester_id', $sem_name->semester_name);
        if ($pathway_id == '1') {
        $query->where('course_subject.course_id', $course_id);
        }
        $rows = $query
        ->select('subjects.subject_id', 'subjects.subject_code', 'subjects.subject_name')
        ->get();
        foreach($rows as $row){
            $subminorsII[$row->subject_id] = $row->subject_code.' - '.$row->subject_name;
        }
        return json_encode($subminorsII);
    } 
     public function getMdcsI(Request $request){
        $course_id=  $request->get('course_id');
        $semester_id=  $request->get('semester_id');
        $pathway_id=  $request->get('pathway_id');
        $submdcI = array();
        $rows2 = Semester::where('semester_id',$semester_id)->first(); 
        $course_id = $rows2->course_id ;
        $sem_name = Semester::where('semester_id',$semester_id)->first();
        $query = Subject::join('course_subject', 'subjects.subject_id', '=', 'course_subject.subject_id')
        ->where('subjects.subject_categ', 4)
        ->where('course_subject.semester_id', $sem_name->semester_name);
        if ($pathway_id == '1') {
        $query->where('course_subject.course_id', $course_id);
        }
        $rows = $query
        ->select('subjects.subject_id', 'subjects.subject_code', 'subjects.subject_name')
        ->get();
        foreach($rows as $row){
            $submdcI[$row->subject_id] = $row->subject_code.' - '.$row->subject_name;
        }
        return json_encode($submdcI);
    } 
    
     public function getAecsI(Request $request){
        $course_id=  $request->get('course_id');
        $semester_id=  $request->get('semester_id');
        $pathway_id=  $request->get('pathway_id');
        $submdcI = array();
        $rows2 = Semester::where('semester_id',$semester_id)->first(); 
        $course_id = $rows2->course_id ;
         $sem_name = Semester::where('semester_id',$semester_id)->first();
         $query = Subject::join('course_subject', 'subjects.subject_id', '=', 'course_subject.subject_id')
        ->where('subjects.subject_categ', 5)
        ->where('course_subject.semester_id', $sem_name->semester_name);
        if ($pathway_id == '1') {
        $query->where('course_subject.course_id', $course_id);
        }
        $rows = $query
        ->select('subjects.subject_id', 'subjects.subject_code', 'subjects.subject_name')
        ->get();
        foreach($rows as $row){
            $submdcI[$row->subject_id] = $row->subject_code.' - '.$row->subject_name;
        }
        return json_encode($submdcI);
    } 
     public function getAecsII(Request $request){
        $course_id=  $request->get('course_id');
        $semester_id=  $request->get('semester_id');
        $pathway_id=  $request->get('pathway_id');
        $submdcI = array();
        $rows2 = Semester::where('semester_id',$semester_id)->first(); 
        $course_id = $rows2->course_id ;
        $sem_name = Semester::where('semester_id',$semester_id)->first();
         $query = Subject::join('course_subject', 'subjects.subject_id', '=', 'course_subject.subject_id')
        ->where('subjects.subject_categ', 6)
        ->where('course_subject.semester_id', $sem_name->semester_name);
        if ($pathway_id == '1') {
        $query->where('course_subject.course_id', $course_id);
        }
        $rows = $query
        ->select('subjects.subject_id', 'subjects.subject_code', 'subjects.subject_name')
        ->get();      
        foreach($rows as $row){
            $submdcI[$row->subject_id] = $row->subject_code.' - '.$row->subject_name;
        }
        return json_encode($submdcI);
    } 
    
     public function geteseexam(Request $request){ 
       
        $course_id=  $request->get('course');
        $sem_id=   $request->get('semester_id');
        $ac_id = getAcyear();
        $exam = array();
        $rows = FyugpExams::where('course', $course_id)->where('sem', $sem_id)->where('ac_id', $ac_id)->get();
        foreach($rows as $row){
            $exam[$row->id ] = $row->exam_name;
        }
        return json_encode($exam);
    }
    

    public function getcompt($addevent_id){
          
        $compt = array();
        $rows = AddCompetition::where('addevent_id',$addevent_id)->get();
        
       
        foreach($rows as $row){
            $compt[$row->addcompt_id] = $row->compt;
        }
        return json_encode($compt);
    }

    
    
    public function getexamsub(Request $request){ 
        $exam_id=   $request->get('exam_id');
        $course_id=  $request->get('course');
        $sem_id=   $request->get('semester_id');
        $ac_id = getAcyear();
        $examsub = array();
        $rows = FyugpExamSubject::where('exam_id', $exam_id)->get();
        foreach($rows as $row){
            
            $examsub[$row->subject ] = $row->esesubn->subject_code.' - '.$row->esesubn->subject_name;
        }
        return json_encode($examsub);
    } 
    
   
    //       public function getclubstaff($club_id){
    //     $compt = array();
    //     $rows = AddCompetition::where('addevent_id',$addevent_id)->get();
        
       
    //     foreach($rows as $row){
    //         $compt[$row->addcompt_id] = $row->compt;
    //     }
    //     return json_encode($compt);
    // }
      public function getBusNumber($rid){
        $bus = array();
        $rows = AddRouteTrans::where('route_id',$rid)->get();
        foreach($rows as $row){
            $bus[$row->addbus_id] = $row->bus->bus_no;
        }
        return json_encode($bus);
    }

 public function getStaff($staff_type){
        $staff = array();
        $rows = User::where('staftyp_id',$staff_type)->get();
        
        foreach($rows as $row)
        {
            
            $membership = Membership::where('user_id',$row->user_id)->where('member_type',1)->first();    
            if (is_null($membership))
            {
                $staff[$row->user_id] = $row->name.' '.$row->lname;
            }
        }
        return json_encode($staff);
    }
    
    
    public function getSubcatlib($mcat_id){
        $subcateg = array();
        $rows = Libsubcategory::where('libcat_id',$mcat_id)->get();
        
        foreach($rows as $row)
        {
           
                $subcateg[$row->libsub_id] = $row->subcategory_code.' - '.$row->subcategory;
           
        }
        return json_encode($subcateg);
    }


 public function getSubloclib($mloc_id){
        $subloc = array();
        $rows = Libsubloc::where('ml_id',$mloc_id)->get();
        
        foreach($rows as $row)
        {
           
                $subloc[$row->sl_id] = $row->subloc_code.' - '.$row->subloc_name;
           
        }
        return json_encode($subloc);
    }

     public function getBooks(Request $request)
    {
        $searchTerm = $request->get('search');
        
        // Query the books based on the search term
         $books = (new Books())->getBooksKey($searchTerm);

        $json = [];
        foreach ($books as $book) {
            $json[] = [
                'id' => $book['id'],
                'text' => $book['title'], // Adjust according to your field
            ];
        }

      return response()->json([
        'total_count' => count($books),
        'items' => $json,
    ]);
    }
    
    public function getMember($memtype_id){
        $member = array();
        if($memtype_id == 1)
        {
            $rows = Membership::Join('users','member_details.user_id','=','users.user_id')->where(array('member_details.member_type'=>$memtype_id,'member_details.status'=>1))->select('users.*','member_details.memb_no','member_details.cur_date')->get();

            
            foreach($rows as $row)
            {
               
                    $member[$row->user_id] = $row->memb_no.' - '.$row->name.' '.$row->lname;
               
            }
        }
        else if($memtype_id == 2)
        {
             $rows = Membership::Join('students','member_details.user_id','=','students.student_id')->where(array('member_details.member_type'=>$memtype_id,'member_details.status'=>1))->select('students.*','member_details.memb_no','member_details.cur_date')->get();

            
            foreach($rows as $row)
            {
               
                    $member[$row->student_id] = $row->memb_no.' - '.$row->name;
               
            }
            
        }
        else if($memtype_id == 5)
        {
             $rows = Membership::Join('membership_other','member_details.user_id','=','membership_other.id')->where(array('member_details.member_type'=>$memtype_id,'member_details.status'=>1))->select('membership_other.*','member_details.memb_no','member_details.cur_date')->get();

            
            foreach($rows as $row)
            {
               
                    $member[$row->id] = $row->memb_no.' - '.$row->name;
               
            }
            
        }
        
        return json_encode($member);
    }

    public function getReturnDate(Request $request){ 
            $member_type=   $request->get('member_type');
            $issue_date=  $request->get('date');
            $mperiod = Membershiptype::where('mmbrtyp_id',$member_type)->first();
            $validity_periods = $mperiod->valid_period;
            $return_time = strtotime($issue_date)+($validity_periods*86400);
	        $return_date = date('Y-m-d', $return_time);
	        
           return response()->json($return_date);
    }
    
    public function getbookmax(Request $request){ 
        $member_type =   $request->get('member_type');
        $member_id =   $request->get('member_id');
        $mbcnt = Membershiptype::where('mmbrtyp_id',$member_type)->first();
        $issuecnt = BookIssueList::where('member_type',$member_type)->where('member_id',$member_id)->where('status',0)->count();
        $m_cnt = $mbcnt->book_nums-$issuecnt;
        $max_allowed_book= $mbcnt->book_nums;
       

   return view('books.book_max',compact('m_cnt','max_allowed_book'));
   
    
    }
    
    
    
     public function getStaffsub(Request $request){ 
       
        $course_id=  $request->get('course');
        $sem_id=   $request->get('semester_id');
        $staff_id=   $request->get('staff_id');
        $ac_id = getAcyear();
        $staffsubjects = array();
        $rows = StaffSubject::where('course_id', $course_id)->where('semester_id', $sem_id)->where('acyear_id', $ac_id)->where('user_id', $staff_id)->get();
        foreach($rows as $row){
            $rowssub = Subject::where('subject_id', $row->subject_id)->first();
            $staffsubjects[$row->subject_id] = $rowssub->subject_name;
        }
        return json_encode($staffsubjects);
    }
    
     public function getcategsubj(Request $request){ 
        $subcat_id=  $request->get('subcat_id');
        $course_id=  $request->get('course');
        $sem_id=   $request->get('semester_id');
        $sem_name = Semester::where('semester_id',$sem_id)->first();
        $subject = array();
        if($subcat_id !=2 || $subcat_id !=3 || $subcat_id !=4)
        {
            $rows = Subject::Join('course_subject','subjects.subject_id','=','course_subject.subject_id')->where(array('subjects.subject_categ'=>$subcat_id,'course_subject.semester_id'=>$sem_name->semester_name))->select('subjects.*')->get();
   
        }
        else
        {
            $rows = Subject::Join('course_subject','subjects.subject_id','=','course_subject.subject_id')->where(array('subjects.subject_categ'=>$subcat_id,'course_subject.course_id'=>$course_id,'course_subject.semester_id'=>$sem_name->semester_name))->select('subjects.*')->get();
       
        }
        foreach($rows as $row){
            $subject[$row->subject_id ] = $row->subject_name;
        }
        return json_encode($subject);
    }
    
    public function getMinorprefsub(Request $request){
        $course_id = $request->get('course_id');
        $pathway_id = $request->get('pathway_id');
        $semester_id = $request->get('semester_id');
        $category_id = $request->get('category_id');

        $subminorsI = array();
        $rows2 = Semester::where('course_id',$course_id)->first(); 
        $sem_id = $rows2->semester_id ;
        $sem_name = Semester::where('semester_id',$semester_id)->first();
        
         $query = Subject::join('course_subject', 'subjects.subject_id', '=', 'course_subject.subject_id')
        ->where('subjects.subject_categ', $category_id)
        ->where('course_subject.semester_id', $sem_name->semester_name);
        if ($pathway_id == '1') {
        $query->where('course_subject.course_id', $course_id);
        }
        $rows = $query
        ->select('subjects.subject_id', 'subjects.subject_code', 'subjects.subject_name')
        ->get();
        
        
        foreach($rows as $row){
            $subminorsI[$row->subject_id] = $row->subject_code.' - '.$row->subject_name;
        }
        return json_encode($subminorsI);
    } 
    
     public function getsubjfyugp(Request $request){ 
       
        $course_id=  $request->get('course');
        $sem_id=   $request->get('semester_id');
        $sem_name = Semester::where('semester_id',$sem_id)->first();
        $subject = [];
        $category_ids = [2, 3, 4];
       $rows = Subject::join('course_subject', 'subjects.subject_id', '=', 'course_subject.subject_id')
        ->whereIn('subjects.subject_categ', $category_ids)
        ->where('course_subject.semester_id', $sem_name->semester_name)
        ->select('subjects.*')
        ->get();
        foreach ($rows as $row) {
        $subject[$row->subject_id] = $row->subject_name;
    }
        return json_encode($subject);
    }
    
    public function getcoursesubjfyugp(Request $request){ 
       
        $course_id=  $request->get('course');
        $sem_id=   $request->get('semester_id');
        $categ_id=  $request->get('category_id');
        $sem_name = Semester::where('semester_id',$sem_id)->first();
        $subject = [];
        
       $rows = Subject::join('course_subject', 'subjects.subject_id', '=', 'course_subject.subject_id')
        ->where('subjects.subject_categ', $categ_id)
        ->where('course_subject.semester_id', $sem_name->semester_name)
        ->where('course_subject.course_id', $course_id)
        ->select('subjects.*')
        ->get();
        foreach ($rows as $row) {
        $subject[$row->subject_id] = $row->subject_name;
    }
        return json_encode($subject);
    }
    
}
