<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use App\Models\Stafftype;
use App\Models\UserType;
use App\Models\User;
use App\Models\Course;
use App\Models\Semester;
use App\Models\Acyear;

use App\Models\Student;



class IDCARD extends Controller
{
  
  public function idcard()
  {
       $stafftype=Stafftype::all();
      
       return view('idcard.idcard',compact('stafftype'));
  }
  
  public function idcard_get(Request $request)
{
       $stafftype=Stafftype::find($request->tid);
       $staffdesig=UserType::find($request->did);
       $staff=User::where('staftyp_id',$request->tid)->where('type_id',$request->did)->get();
      return view('idcard.idcard_get',compact('staff','stafftype','staffdesig'));
     
}
  
  public function idcard_print($id)
  {
       $ins_det = instituteDetails();
      $staff=User::where('user_id',$id)->first();
     return view('idcard.idcard_print',compact('staff','ins_det'));
  }
  
  
  public function idcard_student()
  {
      $courses=Course::all();
      return view('idcard.idcard_student',compact('courses'));
  }
  
  
  public function idcard_student_get(Request $request)
  {
       $course=Course::find($request->cid);
       $sem=Semester::find($request->sid);
       $cur_acyear = Acyear::where('default1', 1)->whereNull('deleted_at')->first();
       $current_academic_year_id = $cur_acyear->ac_id;
       $student=Student::join('promotes','promotes.student_id','=','students.student_id')
      ->where('promotes.course_id',$request->cid)
      ->where('promotes.semester_id',$request->sid)
      ->where('promotes.ac_id',$current_academic_year_id)
      ->select('students.*')
      ->get();
     
     return view('idcard.idcard_student_get',compact('student','course','sem'));
  }
  
  
  public function idcard_print_student($id)
  {
        $ins_det = instituteDetails();
        $student=Student::join('promotes','promotes.student_id','=','students.student_id')
      ->join('courses','promotes.course_id','=','courses.course_id')
      ->join('semesters','semesters.semester_id','=','semesters.semester_id')
      ->where('students.student_id',$id)
      ->select('students.*','courses.course_code','semesters.semester_name')
      ->first();
      return view('idcard.idcard_print_student',compact('student','ins_det'));
  }
  
  
  
  
  
  
  
  
  
  
  
  
  
  
  
  
  
  
  
  
  
  
  
    
}
