<?php

namespace App\Http\Controllers;
use App\Imports\StudentregImport;
use Maatwebsite\Excel\Facades\Excel;
use Illuminate\Http\Request;

class StudentImport extends Controller
{
   public function import(Request $request) 
   
    {
        
        $request->validate([
        'ac_id' => 'required',
        'course_id'=>'required',
        // 'category_id'=>'required',
        'semester_id'=>'required',
        'exl' => 'required|file|mimes:xlsx,xls|max:2048',
    ]);
    
      Excel::import(new StudentregImport($request->ac_id,$request->course_id,$request->semester_id),$request->file('exl'));
        
        return redirect('importstudent')->with('success', 'All good!');
    
    
    
//   if ($request->hasFile('exl')) {
//         try {
//             Excel::import(new StudentregImport($request->ac_id), $request->file('exl'));
//             return redirect()->route('importstudent')->with('success', 'Students uploaded successfully.');
//         } catch (\Exception $e) {
//             return redirect()->route('importstudent')->with('error', 'Error uploading students: ' . $e->getMessage());
//         }
//     }
    
    
    
    
    
        
      
         return redirect()->route('importstudent')->with('error', 'Failed to upload students.');
    }

    
}

