<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\SoftDeletes;

class AddStopTrans extends Model
{
    use HasFactory, SoftDeletes;
     protected $table='add_stop_trans';
     protected $primaryKey = 'stop_id'; 
    
    protected $guarded = [];
     protected $hidden = ['stop_id'];
       public function route(){
        return $this->hasOne(AddRouteTrans::class,'route_id','route_id');
    }
     public function bus(){
        return $this->hasOne(AddBusTrans::class,'addbus_id','addbus_id');
    }
    public function acyear(){
        return $this->hasOne(Acyear::class,'ac_id','ac_id');
    }
}
