<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\SoftDeletes;

class Associationmodel extends Model
{
    use HasFactory, SoftDeletes;
     protected $table  = 'add_association';
    protected $primaryKey = 'asso_id';
    protected $guarded = [];
    
    protected $hidden = ['asso_id'];
    
       public function getUserNames()
    {
       
        $userIds = explode(',', $this->user_ids);
        
     
        return User::whereIn('user_id', $userIds)->pluck('name')->toArray();
    }
}
