<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\SoftDeletes;
class CoPoMapping extends Model
{
    use HasFactory,SoftDeletes;
    protected $table  = 'po_co_mapping';
    protected $guarded = [];
    protected $hidden = ['id'];
    
      public function coursen(){
        return $this->belongsTo(Course::class,'course_id','course_id')->withDefault(['name' => '']);
    }
    
    public function coutcome(){
        return $this->belongsTo(ObeCo::class,'co_outcome','id')->withDefault(['name' => '']);
    }
    public function poutcome(){
        return $this->belongsTo(ObePo::class,'p_outcome','id')->withDefault(['name' => '']);
    }
     public function subjectn(){
        return $this->belongsTo(Subject::class,'sub','subject_id')->withDefault(['name' => '']);
    }
     public function subtypen(){
        return $this->belongsTo(SubjectType::class,'subtyp_id','subtyp_id')->withDefault(['name' => '']);
    }
}
