<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\SoftDeletes;
class DuplicateTc extends Model
{
    use HasFactory, SoftDeletes;
    protected $table = 'duplicate_tc_request';
    
    protected $primaryKey = 'duptc_id'; 
    
    protected $guarded = [];
    
    protected $hidden = ['duptc_id'];
    
    public function student()
    {
        return $this->hasOne(Student::class,'student_id','student_id');
    }
    public function course()
    {
          return $this->hasOne(Course::class,'course_id','course_id');
    }
}
