<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\SoftDeletes;
class DuplicateTcFees extends Model
{
    use HasFactory, SoftDeletes;
    protected $table = 'duplicate_tc_fees';
     protected $primaryKey = 'dtcfees_id'; 
    
    protected $guarded = [];
    
    protected $hidden = ['dtcfees_id'];
    
     public function student(){
        return $this->hasOne(Student::class,'student_id','student_id');
    }
     public function mode(){
        return $this->hasOne(Paymentmode::class,'mode_id','mode_id');
    }
     public function feetype(){
        return $this->hasOne(FeeType::class,'type_id','type_id');
    }
}
