<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class GenerateStuCertificate extends Model
{
    use HasFactory;
     protected $table = 'generate_stu_certificate';
     protected $primaryKey = 'genstucert_id'; 
     protected $guarded = [];
    
     protected $hidden = ['genstucert_id'];
     
     public function stud(){
        return $this->hasOne(Student::class,'student_id','student_id');
    }
    public function template(){
        return $this->hasOne(CertificateTemplate::class,'template_id','template_id');
    } 
    public function course(){
        return $this->hasOne(Course::class,'course_id','course_id');
    }   
}
