<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\SoftDeletes;

class Hostel extends Model
{
    use HasFactory, SoftDeletes;
    
    protected $table = 'hostels';
    
    protected $primaryKey = 'hostel_id'; 
    
    protected $guarded = [];
    
    protected $hidden = ['hostel_id'];
}
