<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\SoftDeletes;

class HostelFee extends Model
{
    use HasFactory, SoftDeletes;
    
    protected $table = 'hostel_fees';
    
    protected $primaryKey = 'fee_id'; 
    
    protected $guarded = [];
    
    protected $hidden = ['fee_id'];
    
    public function hostel(){
        return $this->hasOne(Hostel::class,'hostel_id','hostel_id');
    }
}
