<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\SoftDeletes;
class Ledger extends Model
{
    use HasFactory,SoftDeletes;
    protected $table  = 'ledgers';
    protected $primaryKey = 'ledger_id';
    protected $guarded = [];
    
    protected $hidden = ['ledger_id'];
    
    public function sub()
    {
        return $this->hasOne(AccountSubGroup ::class,'acsubgrp_id','ag_id');
    }
    
    public function openbal()
    {
        return $this->hasOne(LedgerOpenBal ::class,'ledger_id','ledger_id');
    }
}
