<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\SoftDeletes;
class RequestJoinClub extends Model
{
    use HasFactory, SoftDeletes;
      protected $table = 'join_request_club';
    
    protected $primaryKey = 'joinclub_id'; 
    
    protected $guarded = [];
    
    protected $hidden = ['joinclub_id'];
    
    
    public function student()
    {
         return $this->hasOne(Student::class,'student_id','student_id');
    }
     public function club()
    {
         return $this->hasOne(Clubs::class,'club_id','club_id');
    }
}
