<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class RollOutStudents extends Model
{
    use HasFactory;
    protected $table = 'roll_out_students';
     protected $primaryKey = 'rollout_id';
     protected $guarded = [];
     protected $hidden = ['rollout_id'];
     
     public function sem()
     {
         return $this->hasOne(Semester::class,'semester_id','semester_id');
     }
      public function course()
     {
         return $this->hasOne(Course::class,'course_id','course_id');
     }
      public function acyear(){
        return $this->hasOne(Acyear::class,'ac_id','ac_id');
    }
}
