<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\SoftDeletes;
class SalaryPayment extends Model
{
    use HasFactory,SoftDeletes;
   protected $table = 'salary_payment';
    
    protected $primaryKey = 'id'; 
    
    protected $guarded = [];
    
    protected $hidden = ['id'];
    
    public function mode(){
        return $this->hasOne(Paymentmode::class,'payment_mode','mode_id');
    }
}
