<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\SoftDeletes;
class Seatallotment extends Model
{
    use HasFactory, SoftDeletes;
    protected $table='seat_allotment';
     protected $primaryKey = 'seat_id'; 
    
    protected $guarded = [];
     protected $hidden = ['seat_id'];
     
     
      public function course(){
        return $this->hasOne(Course::class,'course_id','course_id');
    }
    public function acyear()
    {
        return $this->hasOne(Acyear::class,'ac_id','ac_id');
    }
}
