<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\SoftDeletes;
class StockAdjustment extends Model
{
    use HasFactory, SoftDeletes;
     protected $table = 'stock_adjustment_table';
      protected $primaryKey = 'adjust_id'; 
    
    protected $guarded = [];
    
    protected $hidden = ['adjust_id'];
    
    public function itemname()
    {
        return $this->hasOne(StockAdd::class,'stockadd_id','stockadd_id');
    }
     
    public function cate()
    {
        return $this->hasOne(Stockcategory::class,'c_id','c_id');
    }
 public function loc()
    {
        return $this->hasOne(Stocklocation::class,'stockloc_id','stockloc_id');
    }
    
     public function getStatusTextAttribute(){
        if($this->adjustment_type=='0') return "Opening Stock";
        else if($this->adjustment_type=='1') return "Purchase";
        else if($this->adjustment_type=='2') return "Sale";
        else if($this->adjustment_type=='3') return "Damage";


    }
         public function getStatusText2Attribute(){

if($this->stock_affect=='0') return "Add";
else if($this->stock_affect=='1') return "Less";
    }
}
