<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\SoftDeletes;
class StockItemQuantity extends Model
{
    use HasFactory, SoftDeletes;
    protected $table = 'stock_item_quantities';
    
    protected $primaryKey = 'stockquant_id'; 
    protected $guarded = [];
    
    protected $hidden = ['stockquant_id'];
    
   public function category()
    {
       return $this->hasOne(Stockcategory::class,'c_id','c_id');
    }
    
}
