<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class StudentAttendance extends Model
{
    use HasFactory;
    protected $table = 'student_attendance';
    protected $primaryKey = 'stuatten_id'; 
    protected $guarded = [];
    
    protected $hidden = ['stuatten_id'];
    
    public function student(){
        return $this->hasOne(Student::class,'student_id','student_id');
    }
    
    public function course(){
        return $this->hasOne(Course::class,'course_id','course_id');
    }
    
    public function semester(){
        return $this->hasOne(Semester::class,'semester_id','semester_id');
    }
}
