<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\SoftDeletes;
class TcRequestStudent extends Model
{
    use HasFactory, SoftDeletes;
    protected $table = 'tc_request_student';
    
    protected $primaryKey = 'tcrequest_id'; 
    
    protected $guarded = [];
    
    protected $hidden = ['tcrequest_id'];
    
      public function requestTo(){
        return $this->hasOne(User::class,'user_id','user_id');
    }
    public function requestFrom(){
        return $this->hasOne(Student::class,'student_id','request_from');
    }
}
