<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('add_enrolmentno', function (Blueprint $table) {
       $table->bigIncrements('enrolno_id');
        $table->unsignedBigInteger('course_id');
          $table->foreign('course_id')->references('course_id')->on('courses');
          $table->unsignedBigInteger('semester_id');
          $table->foreign('semester_id')->references('semester_id')->on('semesters');
          $table->double('adno');
          $table->string('name');
           $table->double('register_no');
        $table->timestamps();
         $table->softDeletes();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('add_enrolmentno');
    }
};
