<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('po_achievement_level', function (Blueprint $table) {
            $table->unsignedBigInteger('level')->after('id');
            $table->unsignedTinyInteger('target')->after('level');
            $table->double('f_per')->after('target');
            $table->double('t_per')->after('f_per');
            $table->unsignedBigInteger('ac_id')->after('t_per');
            $table->softDeletes();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('po_achievement_level', function (Blueprint $table) {
            //
        });
    }
};
