<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('obe_stud_activity_performance', function (Blueprint $table) {
            $table->id();
            $table->unsignedBigInteger('course_id');
            $table->unsignedBigInteger('semester_id');
            $table->unsignedBigInteger('stud_id');
            $table->unsignedBigInteger('domain_id');
            $table->unsignedBigInteger('activity_id');
            $table->unsignedBigInteger('activityoutcome_id');
            $table->unsignedBigInteger('range_id');
           $table->double('mark');
            $table->unsignedBigInteger('ac_id');
            $table->timestamps();
            $table->softDeletes();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('obe_stud_activity_performance');
    }
};
