<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('_f_y_u_g_p__grade', function (Blueprint $table) {
            $table->id();
            $table->float('p_from');
            $table->float('p_to');
            $table->unsignedBigInteger('gp');
            $table->float('gp_from');
            $table->float('gp_to');
            $table->string('grade');
            $table->string('description');
            $table->unsignedBigInteger('ac_year_id');
            $table->timestamps();
            $table->softDeletes();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('_f_y_u_g_p__grade');
    }
};
