<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('_stud_exam_marks', function (Blueprint $table) {
            $table->id();
            $table->unsignedBigInteger('course');
            $table->unsignedBigInteger('sem_id');
            $table->unsignedBigInteger('suject');
            $table->unsignedBigInteger('exam_id');
            $table->unsignedBigInteger('stud_id');
            $table->double('mark');
            $table->double('pmark');
            $table->unsignedBigInteger('ac_id');
            $table->timestamps();
            $table->softDeletes();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('_stud_exam_marks');
    }
};
