<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('add_association_event', function (Blueprint $table) {
            $table->bigIncrements('evntasso_id');
             $table->unsignedBigInteger('asso_id');
            $table->foreign('asso_id')->references('asso_id')->on('add_association');
            $table->unsignedBigInteger('ac_id');
            $table->foreign('ac_id')->references('ac_id')->on('acyears');
            $table->string('title');
             $table->string('description');
             $table->date('efrom');
              $table->date('lastdate');
            $table->timestamps();
            $table->softDeletes();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('add_association_event');
    }
};
