<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('busfacility_students', function (Blueprint $table) {
           $table->bigIncrements('busfaci_stu_id');
           $table->unsignedBigInteger('student_id');
           $table->foreign('student_id')->references('student_id')->on('students');
           $table->unsignedBigInteger('route_id');
           $table->foreign('route_id')->references('route_id')->on('add_route_trans');
           $table->unsignedBigInteger('stop_id');
           $table->foreign('stop_id')->references('stop_id')->on('add_stop_trans');
           $table->date('date');
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('busfacility_students');
    }
};
