<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('library_members_due_list', function (Blueprint $table) {
            $table->id();
            $table->unsignedBigInteger('bill_no');
            $table->unsignedBigInteger('member_id');
            $table->date('pay_date');
            $table->double('paid_amount');
            $table->double('balance_amount');
            $table->string('remarks');
            $table->unsignedBigInteger('ac_id');
            $table->timestamps();
            $table->softDeletes();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('library_members_due_list');
    }
};
