@extends('layouts.settings-template')
@section('title','Settings')
@section('heading','Ledger Edit')
@section('breadcrumb','Settings /Accounts / Ledgers/ Ledger Edit')
@section('content')





<!--<a href="{{route('ledger')}}" class="back-button">-->
<!--		<svg baseProfile="tiny" height="35px" id="Layer_1" version="1.2" viewBox="0 0 24 24" width="35px" xml:space="preserve" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink"><path d="M12,9.059V6.5c0-0.256-0.098-0.512-0.293-0.708C11.512,5.597,11.256,5.5,11,5.5s-0.512,0.097-0.707,0.292L4,12l6.293,6.207  C10.488,18.402,10.744,18.5,11,18.5s0.512-0.098,0.707-0.293S12,17.755,12,17.5v-2.489c2.75,0.068,5.755,0.566,8,3.989v-1  C20,13.367,16.5,9.557,12,9.059z"/></svg>-->
<!--        Back-->
<!--        </a>-->
    <div class="row">
        <div class="col-lg-12 grid-margin stretch-card">
            <div class="card">
                <div class="card-header" style="background-color:#073980;color:white"><b>Edit</b></div>
                <div class="card-body">
                    <form action="{{ route('ledger.update') }}" method="post">
                        @csrf
                        <input type="hidden" name="ledger_id" value="{{ encrypt($legder->ledger_id) }}">
                        <div class="row">
                            <div class="col-md-3">
                                        <div class="form-group">
                                            <label for="ledger_name" class="required"><b>Ledger Name</b></label>
                                            <input type="text" class="form-control @error('ledger_name') border-danger @enderror" id="ledger_name" name="ledger_name" value="{{ $legder->ledger_name }}">
                                            @error('ledger_name')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
                                        </div>
                                    </div>
                                    
                            <div class="col-md-3">
                                <div class="form-group">
                                    <label for="acsubgrp_id" class="required"><b>Group of</b></label>
                                    <select class="form-control" id="acsubgrp_id" name="acsubgrp_id" required>
                                        @foreach($accountsubgroup as $sub)
                                            <option value="{{ $sub->acsubgrp_id }}" {{ $legder->acsubgrp_id==$sub->acsubgrp_id ? "selected":"" }}>{{ $sub->subgroup }}</option>
                                        @endforeach
                                    </select>
                                    @error('acsubgrp_id')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
                                </div>
                            </div>
                                    <div class="col-md-3">
                                        <div class="form-group">
                                            <label for="opening_balance" class="required"><b>Opening Balance</b></label>
                                            <input type="text" class="form-control @error('opening_balance') border-danger @enderror" id="opening_balance" name="opening_balance" placeholder="0.00" value="{{$legder->opening_balance }}">
                                            @error('opening_balance')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
                                        </div>
                                    </div>
</div>
 <div class="row">
                                    <div class="col-md-12">
                                        <div class="form-group">
                                            <button type="submit" class="btn btn-primary float-right">Update</button>
                                        </div>
                                    </div>
                                    </div>
                                    
                                    
                    </form>
                    </div>
                </div>
            </div>
        </div>
    
    
    
    
    
    
         <style>
                              .card-body{
            border-left:1px solid #DCDCDC;
            border-right:1px solid #DCDCDC;
            border-bottom:1px solid #DCDCDC;
        }

         </style>           
        
@endsection