
@extends('layouts.template') 
@section('title', 'Home') 
@section('heading', 'Association') 
@section('breadcrumb', 'Home/Association/Event Edit') 
@section('content') 

<div class="row">
    <div class="col-lg-12 grid-margin stretch-card">
    
    <div class="card-tools">
    {{ app_button_links(array(457,458,460,461)) }}
    </div>
        </div>
        </div>


        <div class="row">     
        <div class="col-lg-12 grid-margin stretch-card">     
        <div class="card">     
        <div class="card-header" style="background-color:#005A9C;color:white;"><b>Event Edit</b></div>     
        <div class="card-body">                  
         <form action="{{route('association.event.update')}}" method="POST">
                    @csrf
                    <input type="hidden" name="evntasso_id" value="{{$association->evntasso_id}}">
<div class="row">
  <div class="col-md-3">                         
                            <div class="form-group">                         
                                <label for="asso_id"><b>Association</b></label>                         
                                <select class="form-control" id="asso_id" name="asso_id" required>                         
                                    <option value=""><span class="fw-bold">Select</span></option>                         
                                    @foreach($associations as $associationss)                         
                                        <option value="{{ $associationss->asso_id }}" {{$association->asso_id == $associationss->asso_id ? "selected" : "" }}>{{ $associationss->name}}</option>                         
                                    @endforeach                         
                                </select>                         
                                @error('asso_id')<div class="text-danger small mt-1">{{ $message }}</div>@enderror                         
                            </div>                         
                        </div>                    
  <div class="col-md-3">                         
                            <div class="form-group">                             
                                <label for="title"><b>Event Title</b></label>                         
                                <input type="text" name="title" id="title" class="form-control" value="{{$association->title}}" required>                                                             
                            </div>                             
                        </div>     
                         <div class="col-md-3">                         
                            <div class="form-group">                             
                                <label for="description"><b>Event Description</b></label>     
                                <textarea name="description" id="description" class="form-control">{{$association->description}}</textarea>
                                                                                          
                            </div>                             
                        </div>
                        </div>
                         <div class="row">
                       <div class="col-md-3">
            <div class="form-group">
            <label for="efrom"><b>Event From</b></label>
            <input type="date" class="form-control" id="efrom" name="efrom" value="{{date('Y-m-d',strtotime($association->efrom)) }}">
            @error('efrom')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
            </div>
            </div>  
            
           
                    <div class="col-md-3">
                    <div class="form-group">
                    <label for="lastdate"><b>Event Last Date</b></label>
                    <input type="date" class="form-control" id="lastdate" name="lastdate" value="{{ date('Y-m-d',strtotime($association->lastdate)) }}">
                    @error('lastdate')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
                    </div>
                    </div> 
                    </div>
                      
                       <div class="row">
                       <div class="col-md-12">  
                       <button type="submit" class="btn btn-primary float-right" id="add">Update</button>   
                       </div>
                       </div>




 </div>
        </div>
        </div>
        </div>
        
        @endsection
