  <div class="row">  
    <div class="col-md-4">
         <div class="form-group">
            <label for="bill_no" class="required">Bill No</label>
            <input type="text" class="form-control" id="bill_no" name="bill_no" value="{{ $next_bill_no }}" required readonly>
            @error('bill_no')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
         </div>
    </div>
    <div class="col-md-4">
         <div class="form-group">
         </div>
    </div>
    <div class="col-md-4">
         <div class="form-group">
            <label for="bill_no" >Validity Period</label>
            <input type="text" class="form-control"  value="{{ $bookvalidityperiod->valid_period }}" required readonly>
          </div>
    </div>
    
  </div>  

 <div class="row">
     
    <div class="col-lg-12 grid-margin stretch-card">
        <div class="card" style="border-top:2px solid #004170">
            <div class="card-body">
                <table class="table table-bordered">
                    <thead>
                    <tr>
                         <th>
                            <div class="form-check form-check-success d-flex justify-content-center align-items-center">
                              <label class="container"> <input type="checkbox" class="form-check-input" id="checkAll"></label>
                            </div>
                        </th>
                        <th><b>#</b></th>
                        <th><b>Book no</b></th>
                        <th><b>Title</b></th>
                        <th><b>Issue Date</b></th>
                        <th><b>Return Date</b></th>
                        <th><b>Due Days</b></th>
                        <th><b>Fine Amount</b></th>
                        <th><b>Amount Collected</b></th>
                    </tr>
                    </thead>
                    <tbody>
                        @php $i=0; @endphp
                        @forelse($bookissuelist as $blist)
                        @php 
                        $i++; 
                        $bookdet = $blist->books_det->first();
                        $fineInfo = $blist->calculateFineForBookIssue($blist->book_id, $return_date,$blist->id);
                        @endphp
                            <tr> <input type="hidden" name="rno" value="{{$i}}">
                                <td align="center">
                                    <div class="form-check form-check-success d-flex justify-content-center align-items-center">
                                     <label class="container">
                                         <input type="checkbox" class="form-check-input checkSub" name="posted[]" value="{{ $blist->id }}" data-fine-amount="{{ $fineInfo['fine_amount'] }}">
                                     </label>
                                    </div>
                                </td> 
                                <td>{{$i}}</td>
                                <td>{{ $bookdet->book_no }}</td>
                                <td>{{ $bookdet->title }}</td>
                                <td>{{ date('d-m-Y', strtotime($blist->issue_date)) }}</td>
                                <td>{{ date('d-m-Y', strtotime($blist->act_return_date)) }}</td>
                                <td>{{$fineInfo['total_due_days']}}</td>
                                <td>{{$fineInfo['fine_amount']}}<input type="hidden" size="2" class="form-control fine_amount @error('fine_amount') border-danger @enderror" id="fine_amount{{$i}}" name="fine_amount{{$blist->id}}" value="{{$fineInfo['fine_amount']}}"></td>
                                <td>
                                    <input type="text" size="2" class="form-control paid_amount @error('paid_amount') border-danger @enderror" id="paid_amount{{$i}}" name="paid_amount{{$blist->id}}" value="{{$fineInfo['fine_amount']}}">
                                </td>
                            </tr>
                        @empty
                            <tr>
                                <td colspan="2">No Result Found!</td>
                            </tr>
                        @endforelse
                        <tr>
                            <td colspan="7" align="right"><b>Total Amount Collected</b></td>
                            <td colspan="2">
                                <input type="text" size="2" class="form-control @error('total_amount') border-danger @enderror" id="total_amount" name="total_amount" readonly>
                            </td> 
                        </tr>
                         <tr>
                            <td colspan="5" align="right"><b>Remarks</b></td>
                            <td colspan="4"><textarea class="form-control" id="remarks" name="remarks"></textarea></td> 
                        </tr>
                    </tbody>
                </table>
            </div>
        </div>
    </div>
</div>
<script src="{{ asset('public/template/plugins/jquery/jquery.min.js') }}"></script>
     <script src="{{ asset('public/js/studall.js') }}"></script>
     <script>
$(document).ready(function() {
    
    $("#checkAll").on('click', function() {
        $('.checkSub').prop('checked', this.checked);
        get_total(); 
    });

   
    $('.checkSub').on('change', function() {
        get_total();
    });

   $(".paid_amount").on('keyup',function(a){
        var rno = $(this).closest("tr").find("input[name='rno']").val();
        var amt = parseFloat($(this).val());
        get_total();
        
    }); 
    
    window.get_total = function() { 
        var total = 0;
        
       
        $('input:checkbox.checkSub:checked').each(function() {
            var checkboxValue = $(this).val();
            var paidAmount = parseFloat($('input[name="paid_amount' + checkboxValue + '"]').val()) || 0;
            total += paidAmount;
        }); 
        
        
        $("#total_amount").val(total.toFixed(2));
    }
    
    
});
</script>
     <style>
         input[type="checkbox"] {
          width: 2em;
          height: 2rem;
           display: inline-block; 
           margin: 0;
          accent-color: green;
        }
     </style>