
@extends('layouts.template')
@section('title','Home')
@section('heading','Certificate')
@section('breadcrumb','Home/Certificate/Event/Report')
@section('content')
<div class="row">
    <div class="col-lg-12 grid-margin stretch-card">
   
    <div class="card-tools">
            {{ app_button_links(array(383,384,385,386)) }}
            </div>
            </div>
                 </div>
                
                
                 <div class="row">
    <div class="col-lg-12 grid-margin stretch-card">
                
                <div class="card"  style="border-top:2px solid #005A9C">
                <div class="card-header" style="background-color:#005A9C;color:white"></div> 
                <div class="card-body">
                <table class="table table-bordered">
                        <thead>
                        <tr>
                            <th><b>#</b></th>
                            <th><b>Name</b></th>
                            <th><b>Title</b></th>
                            <th colspan="3"><b>Actions</b></th>
                        </tr>
                        </thead>
                        <tbody>
                            @forelse($template as $templates)
                                <tr>
                                    <td>{{$loop->iteration}}</td>
                                    <td>{{ $templates->name }}</td>
                                    <td>{{ $templates->title }}</td>
                                    
                                     <td><a href="{{route('certificate.event.template.view',['id'=>$templates->evnttem_id])}}"><i class="icon-sm icon-magnifier text-primary"></i></a></td>
                                     <td><a href="{{route('certificate.event.template.edit',['id'=>$templates->evnttem_id])}}"><i class="icon-pencil"></i></a></td>
                                     <td><a href="{{route('certificate.event.template.delete',['id'=>$templates->evnttem_id])}}"><i class="icon-trash"></i></a></td>
                                 
                                </tr>
                            @empty
                                <tr>
                                    <td colspan="2">No Result Found !</td>
                                </tr>
                            @endforelse
                        </tbody>
                    </table>
                </div>
                </div>
            </div>
        </div>
    </div>
    
    
    
    
    
    <style>
      
       
        .form-control{
            border:1px solid black;
        }
        .card-body{
            border-left:1px solid #DCDCDC;
            border-right:1px solid #DCDCDC;
            border-bottom:1px solid #DCDCDC;
             
          
        }
    </style>
@endsection