@extends('layouts.template')
@section('title','Home')
@section('heading','Certificate')
@section('breadcrumb','Edit')
@section('content')
    <div class="row">
    <div class="col-lg-12 grid-margin stretch-card">
    <div class="card">
    <div class="card-header" style="background-color:#005A9C;color:white"><b>New Template Edit</b></div>
    <div class="card-body">
        <form action="{{route('template.update')}}" method="post">
            @csrf
            <input type="hidden" name="template_id" value="{{$templates->template_id}}">
         <div class="row">
                            <div class="col-md-4">
                            <div class="form-group">
                            <label for="name" class="required"><b>Name</b></label>
                            <input type="text" class="form-control @error('name') border-danger @enderror" id="name" name="name" value="{{ $templates->name }}">
                            @error('name')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
                            </div>
                            </div>
        <div class="col-md-4">
                            <div class="form-group">
                            <label for="title" class="required"><b>Title</b></label>
                            <input type="text" class="form-control @error('title') border-danger @enderror" id="title" name="title" value="{{$templates->title }}">
                            @error('title')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
                            </div>
                            </div>
        <div class="col-md-4">
                            <div class="form-group">
                            <label for="code" class="required"><b>Code</b></label>
                            <input type="text" class="form-control @error('code') border-danger @enderror" id="code" name="code" value="{{ $templates->code }}">
                            @error('code')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
                            </div>
                            </div>
        </div>
        <script src="https://cdn.ckeditor.com/4.20.0/standard/ckeditor.js"></script>
        <div class="row mb-4">
		    <div class="col-md-10">
		     <div class="form-group">
    		<textarea class="ckeditor" name="content">{{$templates->content}}</textarea>
    		<script>
            CKEDITOR.replace('content');
            </script>

		    </div>
		    </div>
		    <div class="col-md-2">
		    <table>
		        <tr><th>Variables</th></tr>
		        <tr><td>{name}</td></tr>
		        <tr><td>{adno}</td></tr>
		        <tr><td>{adate}</td></tr>
		        <tr><td>{course_id}</td></tr>
		        <tr><td>{semester_id}</td></tr>
		        <tr><td>{fname}</td></tr>
		        <tr><td>{mname}</td></tr>
		        <tr><td>{dob}</td></tr>
		        <tr><td>{paddress}</td></tr>
		        <tr><td>{photo}</td></tr>
		    </table>       
		    </div>    
	
            </div>
        <div class="row">
            <div class="col-md-12">
         <input type="submit" name="sub" value="Update" class="btn btn-primary">  
           </div>
        </div>
       
        </form>
        </div>
        </div>
        </div>
        </div>
        
        
        @endsection