@extends('layouts.settings-template')
@section('title','Settings')
@section('heading','Course')
@section('breadcrumb','Settings / Course')
@section('content')


    <div class="row">
        <div class="col-lg-12 grid-margin stretch-card">
            <div class="card">
               
                <div class="card-header">
                    <div class="card-tools">
                        {{ app_button_links(array(4)) }}
                    </div>
                </div>
                <div class="card"  style="border-top:2px solid #005A9C">
                <div class="card-body">
                    <table class="table table-bordered">
                        <thead>
                        <tr>
                            <th><b>Course Name</b></th>
                            <th><b>Actions</b></th>
                        </tr>
                        </thead>
                        <tbody>
                            @forelse($courses as $course)
                                <tr>
                                    <td>{{ $course->course_name }}</td>
                                    <td>{{ app_table_links($course->course_id,array(5,6)) }}</td>
                                </tr>
                            @empty
                                <tr>
                                    <td colspan="2">No Result Found !</td>
                                </tr>
                            @endforelse
                        </tbody>
                    </table>
                </div>
                </div>
            </div>
        </div>
    </div>
    
    
    
    
    
    <style>
        
        .form-control{
            border:1px solid black;
        }
        .card-body{
            border-left:1px solid #DCDCDC;
            border-right:1px solid #DCDCDC;
            border-bottom:1px solid #DCDCDC;
             
          
        }
    </style>
@endsection