<style>
    @media print {
        @page {
            margin: 0;
        }
        body {
            background-repeat: repeat;
        }
    }
    * {
        font-family: Times;
        font-size: 16px;
        line-height: 22px;
    }
    body {
        background-size: cover;
        border: 1px solid black;
    }
    #title {
        font-size: 20px;
        font-weight: bold;
        color: #800000;
        text-align:center;
    }
    /*.container {*/
    /*    margin-top: 20px;*/
    /*    margin-left: 35px;*/
    /*    width: 86%;*/
    /*    padding: 20px;*/
    /*}*/
    table {
        width: 100%;
    }
    table tr {
        height: 30px;
    }
    table td {
        vertical-align: top;
    }
    .header {
        text-align: center;
    }
    .content {
        text-align: justify;
        margin-top: 20px;
    }
    #hr {
        background-color: #800000;
        height: 2px;
        margin: 20px 0;
    }
</style>
<body onload="print()">
<div class="container"> 
    <table>
        <tr>
            <td width="25%" rowspan="4" align="center"><img src="{{ asset('public/uploads/logo/'.$institution->logo) }}" alt="{{ $institution->logo }}" height="100px"></td>
            <td width="50%" align="center" class="header">{{ $institution->name }}</td>
            <td width="25%" rowspan="4" align="center"></td>
        </tr>
        <tr><td align="center" class="header">{{ $institution->affiliation }}</td></tr>
        <tr><td align="center" class="header">{{ $institution->address }}</td></tr>
        <tr><td align="center" class="header">{{ 'Ph : '.$institution->mobile.' '.$institution->landline }}</td></tr>
    </table>
    <table  width="100%">
            <thead style="background-color:#484848;color:white">
                <th>#</th>
                <th>Event Name</th>
                 <th><b>Description</b></th>
                <th><b>Staff-in-charge</b></th>
                <th><b>Course</b></th>
                <th><b>From Date</b></th>
                <th><b>To Date</b></th>
            </thead>
     <tbody>
                @foreach($event as $events)
                <tr>
                    <td>{{$loop->iteration}}</td>
                    <td>{{$events->event}}</td>
                    <td>{{ $events->desc }}</td>
                    <td>{{ $events->staff->name}}</td>
                    <td>{{ $events->course->course_code}}</td>
 <td>{{ date('d-m-Y',strtotime($events->fdate))}}</td> 
 <td>{{ date('d-m-Y',strtotime($events->tdate))}}</td>
                </tr>
                @endforeach
            </tbody>
           
    
    </table>
    
    
    </body>
    </div>