@extends('layouts.template')
@section('title','Home')
@section('heading','Staff')
@section('breadcrumb','Home/Feedback/Staff')
@section('content')
     <div class="row">
    <div class="col-lg-12 grid-margin stretch-card">
    <div class="card">
    <div class="card-header"  style="background:#005A9C;color:white;"><b>Staff Feedback Report from Students</b></div>
    <div class="card-body">
    
    
    <div class="row">
    <div class="col-md-2">
    <label for="user_id" class="required"><b>Staff</b></label>  
    </div>  
    <div class="col-md-6">
    <div class="form-group">
    <select class="form-control" id="user_id" name="user_id" required>
    <option value="">Select</option>
    @foreach($user as $users)
    <option value="{{ $users->user_id }}" {{ old('user_id')==$users->user_id ? "selected":"" }}>{{ $users->name }}</option>
    @endforeach
    </select>
    @error('user_id')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
    </div>
    </div>
    </div>
    
    <div class="row">
    <div class="col-md-12">
        <div class="form-group">
                        <button type="button" class="btn btn-primary float-right"  id="btn-get">Get Details</button>
            </div>
    </div>
    </div>
    
    
    
    </div>
    </div>
    </div>
    </div>
    
            <div class="row">
            <div class="col-lg-12 grid-margin stretch-card" id="result">
            
            </div>
            </div>
    
    
    
        <script src="{{ asset('public/template/plugins/jquery/jquery.min.js') }}"></script>
    <script src="{{ asset('public/js/stafffeedback.js') }}"></script>  
 
   
        <style>
                 .card-body{
            border-left:1px solid #DCDCDC;
            border-right:1px solid #DCDCDC;
            border-bottom:1px solid #DCDCDC;
            /*border-top:1px solid #0066b2;*/
        }

     </style> 
        
        
        
    @endsection