<!DOCTYPE html>
<html>
<head>
    <title>Other Fee Report</title>
    <style>
        
        body {
            font-family: Arial, sans-serif;
            border:1px solid #000;
            padding:20px;
        }
       
        .page-header {
            text-align: center;
            margin-bottom: 20px;
        }
    </style>
</head>
<body>
    <div>
    <div class="container">
      <div class="page-header"> 
      <p style="text-center"><b>{{ $ins_det->name }}</b></p>
      <p style="text-center"><b>{{ $ins_det->affiliation }}</b></p>
      <p style="text-center"><b>{{ $ins_det->address }}</b></p>
      <p style="text-center"><b>{{ 'Ph : '.$ins_det->mobile.' '.$ins_det->landline }}</b></p>
    </div> 
    </div>
    
    <div class="page-header">
        <h3 style="text-decoration:underline;">Other Fee Report</h3>
    </div>
    <div class="content">
       
        <p><b>Student Name: </b>{{ $other->student_name }}</p>
        <p><b>Address : </b>{{ $other->address }}</p>
        <p><b>Payment Mode : </b>{{ $other->paymentmode->mode_name}}</p>
        <p><b>Receipt No. : </b>{{ $other->receipt_number }}</p>
        <p><b>Date : </b>{{ $other->date }}</p>
        
    </div>
    <table style="border-bottom:1px solid black" width="100%">
        <thead style="background-color:#484848;color:white">
<th>Fee Type</th>
<th>Amount</th>
</thead>
<tbody>
    @foreach($feetypamount as $type)
    <tr>
        <td>{{$type->feetype->type_name}}</td>
        <td>{{$type->amount}}</td>
        
    </tr>
    @endforeach
</tbody>
    </table>
    <table align="right">
        <p><b>Total Amount :</b><span style="color:green">{{$other->total_amount}} Rs</span></p>
    </table>
    <?php
    if($other['status']==1)
    {
        ?>
        <p style="font-size:30px;color:red">Cancelled</p>
        <?php
    }
    
    ?>
    
</body>
</html>
