<style>
    *{
        font-family:Arial;
    }
    .fee-total{
        border-top: 1px solid #000;
        font-weight: bold;
    }
</style>
<body onload="print()">
    <div class="container">
        <div class="head">
            <table width="100%">
                <tr>
                    <td width="25%" rowspan="4" align="center"><img src="{{ asset('public/uploads/logo/'.$ins_det->logo) }}" alt="{{ $ins_det->logo }}" height="100px"></td>
                    <td width="75%">{{ $ins_det->name }}</td>
                </tr>
                <tr><td>{{ $ins_det->affiliation }}</td></tr>
                <tr><td>{{ $ins_det->address }}</td></tr>
                <tr><td>{{ 'Ph : '.$ins_det->mobile.' '.$ins_det->landline }}</td></tr>
            </table>
            <center><p>RECEIPT</p></center>
            <hr>
            <table width="100%">
                <tr>
                    <td width="50%"><b>Receipt No. : </b>{{ $fee_det->receipt_no }}</td>
                    <td width="50%" align="right"><b>Date : </b>{{ $fee_det->paid_date_formatted }}</td>
                </tr>
                <tr>
                <td><b>Name : </b>{{ $fee_det->student->name }}</td>
                    <td align="right"><b>Adm No. : </b>{{ $fee_det->student->adno }}</td>
                    
                </tr>
            </table>
            <table style="border-bottom:1px solid black" width="100%">
                <thead style="background-color:#484848;color:white">
                <tr>
                    <th class="fee-item">#</th>
                    <th class="fee-item">Semester</th>
                    <th class="fee-item">Term</th>
                    <th class="fee-item">Fee Type</th>
                    <th class="fee-item">Amount</th>
                    <th class="fee-item">Fine</th>
                    <th class="fee-item">Total</th>
                </tr>
                </thead>
                <tbody>
                    @php $i=$tfee=$tfine=$tamount=$tdisc=0; @endphp
                    @foreach($fee_item_det as $fee_item)
                        @php 
                            $fee = $fee_item->fee_amount;
                            $fine = $fee_item->fine_amount;
                            $disc = $fee_item->discount;
                            $amount = $fee+$fine;
                            
                            $tfee += $fee;
                            $tfine += $fine;
                            $tdisc += $disc;
                            $tamount += $amount;
                        @endphp
                        <tr>
                            <td class="fee-item" align="center">{{ ++$i }}</td>
                            <td class="fee-item" align="center">{{ $fee_item->semester->semester_name }}</td>
                            <td class="fee-item" align="center">{{ $fee_item->term->term_name }}</td>
                            <td class="fee-item" align="center">{{ $fee_item->ftype->type_name }}</td>
                            <td class="fee-item" align="right">{{ number_format($fee,2) }}</td>
                            <td class="fee-item" align="right">{{ number_format($fine,2) }}</td>
                            <td class="fee-item" align="right">{{ number_format($amount,2) }}</td>
                        </tr>
                    @endforeach
                </tbody>
                <tfooter>
                    <tr>
                        <td class="fee-total" align="center" colspan="4">Grand Total</td>
                        <td class="fee-total" align="right">{{ number_format($tfee,2) }}</td>
                        <td class="fee-total" align="right">{{ number_format($tfine,2) }}</td>
                        <td class="fee-total" align="right">{{ number_format($tamount,2) }}</td>
                    </tr>
                    <tr>
                        <td align="right" colspan="6"><b>Discount</b></td>
                        <td align="right">{{ number_format($tdisc,2) }}</td>
                    </tr>
                    <tr>
                        <td class="fee-total" align="right" colspan="6">Amount</td>
                        @php $payment = $tfee-$tdisc; @endphp
                        <td class="fee-total" align="right">{{ number_format($payment,2) }}</td>
                    </tr>
                </tfooter>
            </table>
            <br>
            <p>Payment recieved by {{ $fee_det->mode->mode_name }}</p>
        </div>
    </div>
</body>