<div class="card">
    <div class="card-header" style="background-color:#004170;color:white;"><b>Set the Fee Structure</b></div>
    <div class="card-body">
        <form action="{{ route('structure.save') }}" method="post">
            @csrf
            <input type="hidden" id="ac_id" name="ac_id" value="{{ $ac_det->ac_id }}">
            <input type="hidden" id="course_id" name="course_id" value="{{ $crs_det->course_id }}">
            <input type="hidden" id="semester_id" name="semester_id" value="{{ $sem_det->semester_id }}">
            <input type="hidden" id="category_id" name="category_id" value="{{ $cat_det->category_id }}">
            <input type="hidden" id="term_id" name="term_id" value="{{ $term_det->term_id }}">
            <div class="row">
                <div class="col-md-12">
                    <div class="form-group">
                        <table id="table-fine" class="table table-bordered">
                            <thead>
                            <tr>
                                <th><b>Fee Type</b></th>
                                <th><b>Amount</b></th>
                                <th><b>Start Date</b></th>
                                <th><b>End Date</b></th>
                            </tr>
                            </thead>
                            <tbody>
                                @foreach($feetypes as $feetype)
                                    @php $amount=$start=$end=""; @endphp
                                    <tr>
                                        <td>{{ $feetype->type_name }}<input type="hidden" name="type[]" value="{{ $feetype->type_id }}"</td>
                                        @if(!empty($stypes))
                                            @foreach($stypes as $stype)
                                                @php
                                                    if($stype->type_id == $feetype->type_id){ 
                                                        $amount = $stype->amount;
                                                        $start = $stype->start_date;
                                                        $end = $stype->end_date;
                                                    }
                                                @endphp
                                            @endforeach
                                        @endif
                                        <td><input type="text" class="form-control" name="amount[]" value="{{ $amount }}"></td>
                                        <td><input type="date" class="form-control" name="start[]" value="{{ $start }}"></td>
                                        <td><input type="date" class="form-control" name="end[]" value="{{ $end }}"></td>
                                    </tr>
                                @endforeach
                            </tbody>
                        </table>
                        <div id="load"></div>
                    </div>
                </div>
            </div>
            <div class="row">
                <div class="col-md-12">
                    <div class="form-group">
                        <button type="submit" class="btn btn-primary float-right">Save</button>
                    </div>
                </div>
            </div>
        </form>
    </div>
</div>
<style>
    
        .form-control{
            border:1px solid black;
        }
</style>