@extends('layouts.template')
@section('title','FYUGP')
@section('heading','Continuous Comprehensive Assessment')
@section('breadcrumb','Home / FYUGP / CCA / SA')
@section('content')
<head>
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/6.0.0-beta3/css/all.min.css">

</head>
    <div class="row">
    <div class="col-lg-12 grid-margin stretch-card">
    <div class="card">
<div class="card-header" style="border:1px solid #DCDCDC;background-color:white">
        
      
               {{ app_button_links_v(array(415,419,423,424)) }}
            
        
    </div> 
    <div class="card-body">



    <div class="row">
        <div class="col-lg-12 grid-margin stretch-card">
            <div class="card">
                
                
             <div class="card-header" style="background-color:#005A9C;color:white"><b>CCA - Summative Assessment</b></div>
                <div class="card-body">
                    <form action="{{ route('ccasa.save') }}" method="post">
                        @csrf
                        <div class="row">
                            <div class="col-md-12">
                                <label for="percentage" class="required">SA</label>
                                <div class="row">
                                    <div class="col-md-6">
                                        
                                        <div class="form-group">
                                            <input type="text" class="form-control @error('smethod') border-danger @enderror" id="smethod" name="smethod">
                                            @error('smethod')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
                                        </div>
                                    </div>
                                   
                                    <div class="col-md-6">
                                        <div class="form-group">
                                            <button type="submit" class="btn btn-primary">Save</button>
                                       </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </form>
                </div>
            </div>
        </div>
    </div>
 
 
 <div class="row">
        <div class="col-lg-12 grid-margin stretch-card">
            <div class="card" style="border-top:2px solid #004170">
                <div class="card-body">
                    <table class="table table-bordered">
                        <thead>
                        <tr>
                            <th><b>SA</b></th>
                            
                            <th><b>Actions</b></th>
                        </tr>
                        </thead>
                        <tbody>
                            @forelse($sa as $sm)
                                <tr>
                                    <td>{{$sm->smethod}}</td>
                                    
                                    <td>{{app_table_links($sm->id,array(420)) }}</td>

                                </tr>
                            @empty
                                <tr>
                                    <td colspan="2">No Result Found !</td>
                                </tr>
                            @endforelse
                        </tbody>
                    </table>
                </div>
            </div>
        </div>
    </div>
    
 
 
   </div>
            </div>
        </div>
    </div>
    <style>
        .card-body{
            border-left:1px solid #DCDCDC;
            border-right:1px solid #DCDCDC;
            border-bottom:1px solid #DCDCDC;
             
          
        }
        table.table-bordered {
            border: 1px solid #D8D8D8;
        }
        table.table-bordered th,
        table.table-bordered td {
            border: 1px solid #D8D8D8;
        }
        table.table-bordered th{
            background-color:#FEBE10;
        }
        table.table-bordered tr:nth-child(even){background-color: #E0E0E0;}
        .form-control{
            border:1px solid #E8E8E8;
        }
        hr{
            background-color:#DCDCDC;
        }
       
    </style>
@endsection