@extends('layouts.settings-template')
@section('title','Settings')
@section('heading','Religion')
@section('breadcrumb','Settings / Genre / Religion')
@section('content')


    <div class="row">
    <div class="col-lg-12 grid-margin stretch-card">
    <div class="card">
    <div class="card-header" style="background-color:#005A9C;color:white"><b>Add Religion</b></div>
    <div class="card-body">
    <form action="{{ route('religion.save') }}" method="post">
    @csrf
                        
                        <div class="row">
                        
                        <div class="col-md-8">
                        <label for="religion_name" class="required"><b>Religion</b></label>
                        <div class="row">
                        <div class="col-md-6">
                        <div class="form-group">
                        <input type="text" class="form-control @error('religion_name') border-danger @enderror" id="religion_name" name="religion_name" value="{{ old('religion_name') }}">
                        @error('religion_name')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
                        </div>
                        </div>
                        </div>
                        </div>
                        
                            
                        
                        
                        
                                    
                                    <div class="col-md-12">
                                    <div class="form-group">
                                    <button type="submit" class="btn btn-primary float-right">Save</button>
                                    </div>
                                    </div>
                                   
                                    </div>
                                    
                                    
        </form>
        </div>
        </div>
        </div>
        </div>
        
    <div class="row">
    <div class="col-lg-12 grid-margin stretch-card">
    <div class="card" style="border-top:2px solid #073980">
    <div class="card-body">
                    <table class="table table-bordered">
                    <thead>
                    <tr>
                    <th><b>Religion</b></th>
                    <th><b>Actions</b></th>
                    </tr>
                    </thead>
                    <tbody>
                    @forelse($religion as $religions)
                    <tr>
                    <td>{{$religions->religion_name}}</td>
                    <td>{{app_table_links($religions->religion_id,array(118,119)) }}</td>
                    </tr>
                    @empty
                    <tr>
                    <td colspan="2">No Result Found !</td>
                    </tr>
                    @endforelse
                    </tbody>
                    </table>
                    
                    
            </div>
            </div>
            </div>
            </div>
            
            
            
            
            
            
    <style>
                 .card-body{
            border-left:1px solid #DCDCDC;
            border-right:1px solid #DCDCDC;
            border-bottom:1px solid #DCDCDC;
        }
  
        .form-control{
            border:1px solid #E8E8E8;
        }
    </style>
@endsection