
@extends('layouts.template')
@section('title','Home')
@section('heading','ID Card')
@section('breadcrumb','Home/Staff/ID Card')
@section('content')





    <div class="row">
        <div class="col-lg-12 grid-margin stretch-card">
            <div class="card">
                <div class="card-header" style="background:#005A9C;color:white"><b>Select the Criteria</b></div>
                <div class="card-body">
                    <div class="row">
                            <div class="col-md-3">
                                <div class="form-group">
                                    <label for="staftyp_id" class="required"><b>Staff Type</b></label>
                                    <select class="js-example-basic-single" id="staftyp_id" name="staftyp_id" style="width:100%">
                                        <option value="">Select</option>
                                      @foreach($stafftype as $type)
                                            <option value="{{ $type->staftyp_id }}" {{ old('staftyp_id') == $type->staftyp_id ? "selected":"" }}>{{ $type->type_name}}</option>
                                        @endforeach
                                    </select>
                                   
                                </div>
                            </div>
                            <div class="col-md-3">
                                <div class="form-group">
                                    
                                    <label for="type_id" class="required"><b>Staff Designation</b></label>
                                    <select class="js-example-basic-single" id="type_id" name="type_id" style="width:100%">
                                   <option value="">Select</option>
                                 
                                    </select>
                                   
                                </div>
                            </div>
                            
                     
                           
                           
                         </div>
                          <div class="row">
                            <div class="col-md-12">
                                <div class="form-group">
                                    <button type="button" class="btn btn-primary float-right" id="btn-get">Get Details</button>
                                </div>
                            </div>
                        </div>  
                </div>
            </div>
        </div>
        </div>
        <div class="row">
            <div class="col-lg-12 grid-margin stretch-card" id="result">
            
            </div>
        </div> 
        
        
       
    <script src="{{ asset('public/template/plugins/jquery/jquery.min.js') }}"></script>
    <script src="{{ asset('public/js/leave.js') }}"></script>  
    <script>
      $(document).ready(function(){
      $("#btn-get").on('click',function(){
        var stafftype = $('#staftyp_id').val();
        var desig = $('#type_id').val();
        
       
        $("#result").html('');
        $("#result").append('<div class="overlay"><div class="spinner-border"></div></div>');
                
        if(stafftype=='' || desig==''){
            alert('Please select all mandatory fields !');
        }else{
            $.ajax({
                type : 'GET',
                url : '../idcard-get',
                data : {tid:stafftype,did:desig},
                success : function(response){
                    $("#result").html('');
                    $("#result").append(response);
                }
            });
        }
    });
        
        }); 
        
        </script>
     
    <style>
         .card-body{
            border-left:1px solid #DCDCDC;
            border-right:1px solid #DCDCDC;
            border-bottom:1px solid #DCDCDC;
        }
    </style>
    
    
    
    
    
    
    
    
    @endsection