@extends('layouts.settings-template')
@section('title','Settings')
@section('heading','Edit')
@section('breadcrumb','Settings / Inventory / Stock SubCategory/Edit')
@section('content')
        
  
        
        
        
        
        
    <div class="row">
    <div class="col-lg-12 grid-margin stretch-card">
    <div class="card">
    <div class="card-header" style="background:#005A9C;color:white;"><b>Edit</b></div>
        
    <div class="card-body">
    <form action="{{ route('stocksubcategory.update') }}" method="post">
    @csrf
    <input type="hidden" name="subcate_id" value="{{ encrypt($stocksubcategory->subcate_id) }}">
    <div class="row">
    <div class="col-md-4">
    <div class="form-group">
    <label for="course_id" class="required"><b>Category</b></label>
    <select class="js-example-basic-single" id="c_id" name="c_id" style="width:100%">
    @foreach($stockcategory as $stockcategorys)
    <option value="{{ $stockcategorys->c_id }}" {{ $stocksubcategory->c_id == $stockcategorys->c_id ? "selected":"" }}>{{$stockcategorys->category }}</option>
    @endforeach
    </select>
    @error('c_id')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
    </div>
    </div>
    <div class="col-md-4">
    <div class="form-group">
    <label for="subcategory" class="required"><b>Subcategory</b></label>
    <input type="text" class="form-control @error('subcategory') border-danger @enderror" id="subcategory" name="subcategory" value="{{ $stocksubcategory->subcategory }}">
    @error('subcategory')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
    </div>
    </div>
    </div>
    <div class="row">
    <div class="col-md-12">
    <div class="form-group">
    <button type="submit" class="btn btn-primary float-right">Update</button>
    </div>
    </div>
    </div>
    </form>
   
    <style>
        .card-body{
            border-left:1px solid #DCDCDC;
            border-right:1px solid #DCDCDC;
            border-bottom:1px solid #DCDCDC;
             
          
        }
		
    </style> 
  
    
@endsection