@extends('layouts.template')
@section('title','Home')
@section('heading','Stock Summary View')
@section('breadcrumb','Home/Inventory/Stock Summary/Stock Summary View')
@section('content')


  
    <div class="row">
    <div class="col-lg-12 grid-margin stretch-card">
    <div class="card">
    <div class="card-header" style="background:#005A9C;color:white;"><b>View</b></div>
    
    <div class="card-body">
               <div class="row">
                <div class="col-md-12">
                    <div class="form-group">
                        <table id="table-fine" class="table table-bordered">
                            <thead>
                            <tr>
                               
                            <th><b>Stock Item</b></th>
                            <th><b>Item Code</b></th>
                            <th><b>Qty.</b></th>
                            <th><b>Unit Price</b></th>
                            <th><b>Valid To</b></th>
                           
                            
                            </tr>
                            </thead>
                            <tbody>
                                @foreach($stocksummary as $summary)
                                
                             <tr>
                                    
                                    <td>{{$summary->stock_item}}</td>
                                    <td>{{$summary->item_code}}</td>
                                    <td>{{$summary->quantity}}</td>
                                    <td>{{$summary->unit_price}}</td>
                                    <td>{{$summary->valid_to}}</td>
                                   
                                  

                                </tr>
                                
                                @endforeach
                            </tbody>
                        </table>
                             
                                
</div>
</div>
</div>
</div>

 
     
</div>
</div>
</div>
</div>
</div>





<style>
.card-body{
            border-left:1px solid #DCDCDC;
            border-right:1px solid #DCDCDC;
            border-bottom:1px solid #DCDCDC;
             
          
        } 
      
        .form-control{
            border:1px solid #E8E8E8;
        }
</style>


@endsection