@extends('layouts.template')
@section('title','OBE')
@section('heading','Outcome Based Education')
@section('breadcrumb','Home / OBE / Activity / Edit Roll')
@section('content')
<head>
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/6.0.0-beta3/css/all.min.css">

</head>



    <div class="row">
    <div class="col-lg-12 grid-margin stretch-card">
    <div class="card">
    <div class="card-header" style="border:1px solid #DCDCDC;background-color:white">
        
         {{ app_button_links_v(array(308,309,310,311,312)) }}
    </div>
    
     <div class="card-body">

        <div class="row">
        <div class="col-lg-12 grid-margin stretch-card">
        <div class="card">
           
                      
              
        <div class="card-header" style="background-color:#005A9C;color:white"><b>Edit Roll Weightage</b></div>
        <div class="card-body">
             <form action="{{ route('editactivityroll.get') }}" method="post">
        @csrf
        
            <div class="row">
                <div class="col-md-4">
                    <div class="form-group">
                        <label for="domain_id" class="required"><b>Domain</b></label>
                        <select class="form-control" id="domain_id" name="domain_id" required>
                            <option value="">Select</option>
                            @foreach($domains as $dms)
                            <option value="{{ $dms->id}}" {{ old('domain_id')==$dms->id ? "selected":"" }}>{{ $dms->domain }}</option>
                            @endforeach
                        </select>
                        @error('domain_id')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
                    </div>
                </div>
                
                
                <div class="col-md-4">
                    <div class="form-group">
                        <label for="activity_id" class="required"><b>Activity</b></label>
                        <select class="form-control" id="activity_id" name="activity_id" required>
                        <option value="">select</option>
                        </select>
                    </div>
                 </div>
                 
                   <div class="col-md-4">
                    <div class="form-group">
                        <label for="activity_outcome" class="required"><b>Activity Outcome</b></label>
                        <select class="form-control" id="activity_outcome" name="activity_outcome" required>
                        <option value="">select</option>
                        </select>
                    </div>
                 </div>
                
                
            </div>
         
      
        <div class="row">
            <div class="col-md-12">
                <div class="form-group">
                   <button type="button" class="btn btn-primary float-right" id="btn-get">Submit</button>
                </div>
            </div>
        </div>
        
           </form>  
    </div>
        </div>
        </div>
    </div>
    
     <div class="row">
            <div class="col-lg-12 grid-margin stretch-card" id="result">
            
            </div>
        </div>
        
    
     </div>
        </div>
        </div>
    </div>
   <script src="{{ asset('public/template/plugins/jquery/jquery.min.js') }}"></script>
    <script src="{{ asset('public/js/activity.js') }}"></script> 
    <script src="{{ asset('public/js/activityoutcome.js') }}"></script> 
    <script src="{{ asset('public/js/editroll.js') }}"></script> 
  
   

    <style>
                                .card-body{
            border-left:1px solid #DCDCDC;
            border-right:1px solid #DCDCDC;
            border-bottom:1px solid #DCDCDC;
        }

    </style>
    
    
 
    <style>
          .card-body{
            border-left:1px solid #DCDCDC;
            border-right:1px solid #DCDCDC;
            border-bottom:1px solid #DCDCDC;
        }
        table.table-bordered {
            border: 1px solid #D8D8D8;
        }
        table.table-bordered th,
        table.table-bordered td {
            border: 1px solid #D8D8D8;
        }
        table.table-bordered th{
            background-color:#FEBE10;
        }
        table.table-bordered tr:nth-child(even){background-color: #F8F8F8;}
        .form-control{
            border:1px solid #E8E8E8;
        }
    </style>
@endsection