@extends('layouts.settings-template')
@section('title','OBE')
@section('heading','Assessment Method')
@section('breadcrumb','Settings / OBE / Assessment Method / Edit')
@section('content')
<head>
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/6.0.0-beta3/css/all.min.css">

</head>
    <div class="row">
    <div class="col-lg-12 grid-margin stretch-card">
    <div class="card">
    <div class="card-body">







    <div class="row">
        <div class="col-lg-12 grid-margin stretch-card">
            <div class="card">
            <div class="card-header" style="background:#005A9C;color:white;"><b>Edit</b></div>
    
                <div class="card-body">
                    <form action="{{ route('assessmentmethod.update') }}" method="post">
                        @csrf
                         <input type="hidden" name="method_id" value="{{ encrypt($assessmethod->id) }}">
                        <div class="row">
                            
                            <div class="col-md-3">
                                <div class="form-group">
                                    <label for="type" class="required"><b>Type</b></label>
                                    @php $type=old('type ') ?? $assessmethod->type; @endphp
                                    <select class="js-example-basic-single" id="type" name="type" style="width:100%">
                                           <option value="Internal" {{ $type == "Internal" ? "selected" : "" }}>Internal</option>
                                            <option value="External" {{ $type == "External" ? "selected" : "" }}>External</option>
                                    </select>
                                    @error('type')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
                                </div>
                            </div>
                              <div class="col-md-3">
                                        <div class="form-group">
                                            <label for="method" class="required"><b>Method</b></label>
                                            <input type="text" class="form-control @error('method') border-danger @enderror" id="method" name="method" value="{{$assessmethod->method }}">
                                            @error('method')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
                                        </div>
                                    </div>
                                    </div>
                                    <div class="row">
                                    <div class="col-md-6">
                                        <div class="form-group">
                                           
                                            <button type="submit" class="btn btn-primary">Update</button>
                                        </div>
                                    </div>
                                    </div>
                                    
                                    
                    </form>
                </div>
            </div>
        </div>
        </div>
        
        
        
        
        
        
        
          </div>
            </div>
        </div>
        </div>
  <style>
       .card-body{
            border-left:1px solid #DCDCDC;
            border-right:1px solid #DCDCDC;
            border-bottom:1px solid #DCDCDC;
             
          
        }
  </style>
@endsection