@extends('layouts.settings-template')
@section('title','OBE')
@section('heading','Edit CO Achievement Level')
@section('breadcrumb','Settings / OBE / Edit CO Achievement Level')
@section('content')
    <div class="row">
        <div class="col-lg-12 grid-margin stretch-card">
            <div class="card">
            <div class="card-header" style="background:#073980;color:white;"><b>Edit</b></div>
    
                <div class="card-body">
                    <form action="{{ route('coachlvl.update') }}" method="post">
                        @csrf
                         <input type="hidden" name="cvl_id" value="{{ encrypt($coachlvl->id) }}">
                        <div class="row">
                            
                          
                              <div class="col-md-3">
                                        <div class="form-group">
                                            <label for="level" class="required"><b>CO Achievement Level</b></label>
                                            <input type="text" class="form-control @error('level') border-danger @enderror" id="level" name="level" value="{{$coachlvl->level }}">
                                            @error('level')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
                                        </div>
                                    </div>
                                  <div class="col-md-8">
                                        <div class="form-group">
                                            <label for="label" class="required"><b>Label</b></label>
                                            <input type="text" class="form-control @error('label') border-danger @enderror" id="label" name="label" value="{{$coachlvl->label }}">
                                            @error('label')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
                                        </div>
                                    </div>  
                                     <div class="col-md-8">
                                        <div class="form-group">
                                            <label for="f_per" class="required"><b>Percentage From</b></label>
                                            <input type="text" class="form-control @error('f_per') border-danger @enderror" id="f_per" name="f_per" value="{{$coachlvl->f_per }}">
                                            @error('f_per')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
                                        </div>
                                    </div>  
                                     <div class="col-md-8">
                                        <div class="form-group">
                                            <label for="t_per" class="required"><b>Percentage To</b></label>
                                            <input type="text" class="form-control @error('t_per') border-danger @enderror" id="t_per" name="t_per" value="{{$coachlvl->t_per }}">
                                            @error('t_per')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
                                        </div>
                                    </div>  
                                    
                                    </div>
                                    <div class="row">
                                    <div class="col-md-12">
                                        <div class="form-group">
                                            <button type="submit" class="btn btn-primary float-right">Update</button>
                                        </div>
                                    </div>
                                    </div>
                                    
                                    
                    </form>
                </div>
            </div>
        </div>
        </div>
  <style>
       .card-body{
            border-left:1px solid #DCDCDC;
            border-right:1px solid #DCDCDC;
            border-bottom:1px solid #DCDCDC;
             
          
        }
  </style>
@endsection