@extends('layouts.settings-template')
@section('title','OBE')
@section('heading','Edit Domain')
@section('breadcrumb','Settings / OBE / Domain / Edit')
@section('content')
<head>
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/6.0.0-beta3/css/all.min.css">

</head>
    <div class="row">
    <div class="col-lg-12 grid-margin stretch-card">
    <div class="card">
    <div class="card-body">





    <div class="row">
        <div class="col-lg-12 grid-margin stretch-card">
            <div class="card">
                 <div class="card-header" style="background-color:#005A9C;color:white"><b>Edit</b></div>
                <div class="card-body">
                    <form action="{{ route('domain.update') }}" method="post">
                        @csrf
                        <input type="hidden" name="dm_id" value="{{ encrypt($obedomains->id) }}">

                        <div class="row">
                            <div class="col-md-12">
                                <label for="domain" class="required"><b>Domain Name</b></label>
                                <div class="row">
                                    <div class="col-md-8">
                                        <div class="form-group">
                                            <input type="text" class="form-control @error('domain') border-danger @enderror" id="domain" name="domain" value="{{$obedomains->domain  }}">
                                            @error('domain')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
                                        </div>
                                    </div>
                                    <div class="col-md-4">
                                        <div class="form-group">
                                            <button type="submit" class="btn btn-primary">Save</button>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </form>
                </div>
            </div>
        </div>
    </div>
    
    
    
    
    
      </div>
            </div>
        </div>
    </div>
 <style>
             .card-body{
            border-left:1px solid #DCDCDC;
            border-right:1px solid #DCDCDC;
            border-bottom:1px solid #DCDCDC;
             
          
        }

 </style>
@endsection