@extends('layouts.settings-template')
@section('title','OBE')
@section('heading','Edit Performance Grade')
@section('breadcrumb','Settings / OBE / Set Performance Grade/ Edit')
@section('content')
<head>
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/6.0.0-beta3/css/all.min.css">

</head>
    <div class="row">
    <div class="col-lg-12 grid-margin stretch-card">
    <div class="card">
    <div class="card-body">







    <div class="row">
        <div class="col-lg-12 grid-margin stretch-card">
            <div class="card">
                 <div class="card-header" style="background-color:#005A9C;color:white"><b>Edit</b></div>
                <div class="card-body">
                    <form action="{{ route('stpgrade.update') }}" method="post">
                        @csrf
                        <input type="hidden" name="pgrade_id" value="{{ encrypt($obegrade->id) }}">

                        <div class="row">
                            <div class="col-md-12">
                           
                                <div class="row">
                                    <div class="col-md-3">
                                            <label for="gr_from" class="required"><b>Performance From</b></label>
                                        <div class="form-group">
                                            <input type="text" class="form-control @error('gr_from') border-danger @enderror" id="gr_from" name="gr_from" value="{{$obegrade->gr_from  }}" required>
                                            @error('gr_from')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
                                        </div>
                                    </div>
                                       <div class="col-md-3">
                                            <label for="gr_to" class="required"><b>Performance To</b></label>
                                        <div class="form-group">
                                            <input type="text" class="form-control @error('gr_to') border-danger @enderror" id="gr_to" name="gr_to" value="{{$obegrade->gr_to  }}" required>
                                            @error('gr_to')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
                                        </div>
                                    </div>
                                       <div class="col-md-3">
                                            <label for="letter_grade" class="required"><b>Grade</b></label>
                                        <div class="form-group">
                                            <input type="text" class="form-control @error('letter_grade') border-danger @enderror" id="letter_grade" name="letter_grade" value="{{$obegrade->letter_grade  }}" required>
                                            @error('letter_grade')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
                                        </div>
                                    </div>
                                       <div class="col-md-3">
                                            <label for="performance" class="required"><b>Performance</b></label>
                                        <div class="form-group">
                                            <input type="text" class="form-control @error('performance') border-danger @enderror" id="performance" name="performance" value="{{$obegrade->performance  }}" required>
                                            @error('performance')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
                                        </div>
                                    </div>
                                    </div>
                                    <div class="row">
                                    <div class="col-md-12">
                                        <div class="form-group">
                                            <button type="submit" class="btn btn-primary float-right">Save</button>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </form>
                </div>
            </div>
        </div>
    </div>
    
    
    
    
    
    
    </div>
            </div>
        </div>
    </div>
 <style>
             .card-body{
            border-left:1px solid #DCDCDC;
            border-right:1px solid #DCDCDC;
            border-bottom:1px solid #DCDCDC;
             
          
        }

 </style>
@endsection