@extends('layouts.settings-template')
@section('title','OBE')
@section('heading','Edit Program OutCome')
@section('breadcrumb','Settings / OBE / Edit Program OutCome')
@section('content')
<head>
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/6.0.0-beta3/css/all.min.css">

</head>
    <div class="row">
    <div class="col-lg-12 grid-margin stretch-card">
    <div class="card">
    <div class="card-header" style="border:1px solid #DCDCDC;background-color:white"><b><i class="fa-solid fa-gear" style="color:#005A9C;margin-right: 8px;"></i><span style="color:#005A9C">Settings /OBE /<a href="{{route('obe.po')}}" style="text-decoration:none;color:#005A9C">PO</a>/</span>Edit</b></div>
    <div class="card-body">





    <div class="row">
        <div class="col-lg-12 grid-margin stretch-card">
            <div class="card">
            <div class="card-header" style="background:#005A9C;color:white;"><b>Edit</b></div>
    
                <div class="card-body">
                    <form action="{{ route('po.update') }}" method="post">
                        @csrf
                         <input type="hidden" name="po_id" value="{{ encrypt($po->id) }}">
                        <div class="row">
                            
                          
                              <div class="col-md-3">
                                        <div class="form-group">
                                            <label for="po_no" class="required"><b>PO No.</b></label>
                                            <input type="text" class="form-control @error('po_no') border-danger @enderror" id="po_no" name="po_no" value="{{$po->po_no }}">
                                            @error('po_no')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
                                        </div>
                                    </div>
                                  <div class="col-md-8">
                                        <div class="form-group">
                                            <label for="po_name" class="required"><b>Program Outcome</b></label>
                                            <input type="text" class="form-control @error('po_name') border-danger @enderror" id="po_name" name="po_name" value="{{$po->po_name }}">
                                            @error('po_name')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
                                        </div>
                                    </div>  
                                    
                                    </div>
                                    <div class="row">
                                    <div class="col-md-12">
                                        <div class="form-group">
                                            <button type="submit" class="btn btn-primary float-right">Update</button>
                                        </div>
                                    </div>
                                    </div>
                                    
                                    
                    </form>
                </div>
            </div>
        </div>
        </div>
        
        
        
        
        </div>
            </div>
        </div>
        </div>
  <style>
       .card-body{
            border-left:1px solid #DCDCDC;
            border-right:1px solid #DCDCDC;
            border-bottom:1px solid #DCDCDC;
             
          
        }
  </style>
@endsection