<div class="card" style="border-top:3px solid #073980">
    <div class="card-body">
  
    <input type="hidden" id="course" name="course" value="{{ $course }}">
    <input type="hidden" id="sem_id" name="sem_id" value="{{ $semester_id }}">
   

    <div id="totalStudents" class="mb-3"></div>
    <div class="row">
    <div class="col-md-12">
   
    <input type="hidden" name="crs_id" value="{{ encrypt($course) }}" >
    <input type="hidden" name="sem_id" value="{{ encrypt($semester_id) }}" >
   
   <div align="right">
    <a href="{{ route('coexternalmrkreport.print', ['course' => $course, 'semester_id' => $semester_id]) }}" target="blank_"><img src="{{ asset('public/uploads/logo/print.png'
) }}"  height="30px"></a></div> 
<div class="div_scroller">
     @if(!empty($students))
    
    <table id="table-fine" class="table table-bordered">
    <thead style="background-color:#8FBC8F">
        <tr>
          
            <th rowspan="2" style="word-wrap: break-word; word-break: break-all; white-space: normal;">Adno</th>
            <th rowspan="2" style="word-wrap: break-word; word-break: break-all; white-space: normal;">Student Name</th>
            @foreach($subjects as $subj)
           
            <th rowspan="1" colspan="3">{{$subj->subject_name}}(Max Mark :  {{$subj->submax->where('ac_id',$ac_id)->pluck('max_mark')->first()}} )</th>
            @endforeach
        </tr>
      <tr>
          @foreach($subjects as $subj) 
         
          <th>Mark Obtained</th>
		  <th>% of Marks</th>
		  <th>Achievement Level</th>
          @endforeach
      </tr>
        
     </thead>
     <tbody>
           @foreach($students as $student)
           @php
           $mrk_stud_total = 0;$k=0;
           @endphp
         <tr>
            <td>{{$student->adno}}</td>
            <td>{{$student->name}}</td>
             @foreach($subjects as $subj) 
                @php
                $k++;$mrk_sub=$sub_max=0;
                $subID = $subj->subject_id;
                $mrk_sub = $subj->marklists->where('course_id',$course)->where('sem_id',$semester_id)->where('stud_id',$student->student_id)->where('ac_id',$ac_id)->pluck('mark')->first();
                $sub_max = $subj->submax->where('ac_id',$ac_id)->pluck('max_mark')->first();
                $percentage = $externalpercentage->percentage;
                $mark_per = $mrk_sub*$percentage/100;
                $outcome_cnt = $subj->subco->where('semester_id',$semester_id)->where('course',$course)->count();
                if($outcome_cnt !=0)
                {
                $mrk_tot = $mark_per/$outcome_cnt;		
                }
                else
                {
                    $mrk_tot=0;
                }
        		$mrk_stud_total +=$mrk_tot;	
        		if($sub_max !=0)
        		{
        		    $percen_mrk = 	($mrk_sub/$sub_max)*100;
        		}
        		else
        		{
        		    $percen_mrk = 0;
        		}
        		 $ach_lvl = \App\Models\ObeCoAchievementLevel::where('f_per', '<=', $percen_mrk)->where('t_per', '>=', $percen_mrk)->first();
               @endphp  
             <td>{{ $mrk_sub }}</td>
             <td>{{round(number_format($percen_mrk,2))}}</td>
	         <td>{{$ach_lvl->level}}</td>
             @endforeach
         </tr>
          @endforeach
     </tbody>
    </table>
  
    @else
        <div class="alert alert-primary" role="alert">No Result Found!</div>
    @endif
    </div> 
     </div>
    </div>
    </div>
  </div>
</div> 
  <script src="{{ asset('public/template/plugins/jquery/jquery.min.js') }}"></script>
    <script src="{{ asset('public/js/studall.js') }}"></script>
    
    <style>
        table.table-bordered {
            border: 1px solid #D8D8D8;
        }
        table.table-bordered th,
        table.table-bordered td {
            border: 1px solid #D8D8D8;
        }
        table.table-bordered th{
            background-color:#FEBE10;
        }
        table.table-bordered tr:nth-child(even){background-color: #E0E0E0;}
        .form-control{
            border:1px solid black;
        }
        table.table-bordered tr:hover {background-color: #B9D9EB;cursor:pointer;}
        .card-body{
            border-left:1px solid #DCDCDC;
            border-right:1px solid #DCDCDC;
            border-bottom:1px solid #DCDCDC;
          
        }
       
        .div_scroller{
    	overflow:auto;
      }

        
    </style>  
  