@extends('layouts.template')
@section('title','Paid Report')
@section('heading','Paid Report')
@section('breadcrumb','Home / Salary / Paid Report')
@section('content')
<head>
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/6.0.0-beta3/css/all.min.css">

</head> 
    <div class="row">
    <div class="col-lg-12 grid-margin stretch-card">
    <div class="card">
     <div class="card-header" style="border:1px solid #DCDCDC;background-color:white">
        
         {{ app_button_links_v(array(511,510,513,512)) }}
    </div>
    
    <div class="card-body">
           <div class="row">
        <div class="col-lg-12 grid-margin stretch-card">
        <div class="card">
            
        <div class="card-header" style="background-color:#005A9C;color:white"><b>Paid Report</b></div>
        <div class="card-body">
        <form>
        @csrf
        <div class="row">
        
          <div class="col-md-3">
            <div class="form-group">
                <label for="salmonth" class="required">Month & Year</label>
                <input type="month" id="salmonth" name="salmonth" class="form-control" value="{{ $cur_mnth_yr}}" >
            </div>
          </div>
      
        </div>
        <div class="row">
        <div class="col-md-12">
        <div class="form-group">
              <button type="button" class="btn btn-primary float-right" id="btn-get">Submit</button>
        </div>
        </div>
        </div>
        </form>
        </div>
        </div>
        </div>
    </div>
    
      <div class="row">
            <div class="col-lg-12 grid-margin stretch-card" id="result">
            
            </div>
        </div>
    
    
 
        </div>
        </div>
        </div>
    </div>

   <script src="{{ asset('public/template/plugins/jquery/jquery.min.js') }}"></script>
   <script>
      $(document).ready(function(){
      $("#btn-get").on('click',function(){
        
        var salmonth = $('#salmonth').val();
       
        $("#result").html('');
        $("#result").append('<div class="overlay"><div class="spinner-border"></div></div>');
                
        if(salmonth==''){
            alert('Please select all mandatory fields !');
        }else{
            $.ajax({
                type : 'GET',
                url : '../salarypaidreport-get',
                data : {did:salmonth},
                success : function(response){
                    $("#result").html('');
                    $("#result").append(response);
                }
            });
        }
    });
       $("#btn-get").trigger('click');  
    }); 
    </script>
  
    <style>
        .card-body{
            border-left:1px solid #DCDCDC;
            border-right:1px solid #DCDCDC;
            border-bottom:1px solid #DCDCDC;
          
        }
        hr{
            background-color:#DCDCDC;
        }
        .div_scroller{
    	overflow:auto; 
    	scrollbar-width: initial; /* Make the scrollbar thinner */
        scrollbar-color: #888 #f1f1f1; /* thumb color and track color */
      }
    </style>
@endsection
    