@extends('layouts.settings-template')
@section('title','')
@section('heading','Assign Documents')
@section('breadcrumb','Settings / IQAC / Assign Documents')
@section('content')
<head>
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/6.0.0-beta3/css/all.min.css">

</head>
    <div class="row">
    <div class="col-lg-12 grid-margin stretch-card">
    <div class="card">
    <div class="card-body">





        <div class="row">
            <div class="col-lg-12 grid-margin stretch-card">
                <div class="card">
                <div class="card-header" style="background:#005A9C;color:white;"><b>Select Criteria</b></div>
    
                    <div class="card-body">
                        <div class="row">
                            <div class="col-md-3">
                                <div class="form-group">
                                    <label for="criteria_id" class="required"><b>Criteria</b></label>
                                      <select class="form-control" id="criteria_id" name="criteria_id" required>
                                          <option value="">Select</option>
                                       @foreach($criteria as $crta)
                                            <option value="{{ $crta->id  }}" {{ old('criteria_id')==$crta->id ? "selected":"" }}>{{ $crta->criteria }}</option>
                                        @endforeach
                                    </select>
                                    @error('criteria_id')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
                                </div>
                            </div>
                           
                           
                          
                        </div>
                        <div class="row">
                            <div class="col-md-12">
                                <div class="form-group">
                                    <button type="button" class="btn btn-primary float-right" id="btn-get">Get Details</button>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <div class="row">
            <div class="col-lg-12 grid-margin stretch-card" id="result">
            
            </div>
        </div>
        
        
        
        
           </div>
                </div>
            </div>
        </div>
    <script src="{{ asset('public/template/plugins/jquery/jquery.min.js') }}"></script>
    <script src="{{ asset('public/js/iqacassignstaff.js') }}"></script>
    
    <style>
        .card-body{
            border-left:1px solid #DCDCDC;
            border-right:1px solid #DCDCDC;
            border-bottom:1px solid #DCDCDC;
          
        }
    </style>
@endsection