
@extends('layouts.settings-template')
@section('title','Settings')
@section('heading','Voucher Types')
@section('breadcrumb','Settings / Voucher Types')
@section('content')




    <div class="row">
    <div class="col-lg-12 grid-margin stretch-card">
    <div class="card">
    <div class="card-header" style="background-color:#005A9C;color:white"><b>Select the Criteria</b></div>
    <div class="card-body">
    <form action="{{ route('vouchertyp.save') }}" method="post">
    @csrf
                        
    <div class="row">
    <div class="col-md-3">
    <div class="form-group">
    <label for="voucher_type" class="required"><b>Type Of Voucher</b></label>
    <select class="form-control" id="voucher_type" name="voucher_type" required>
    @foreach($vouchertyp as $voucher)
    <option value="{{ $voucher->id }}" {{ old('voucher_type')==$voucher->id ? "selected":"" }}>{{ $voucher->vtype_name }}</option>
    @endforeach
    </select>
    @error('vtype_name')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
    </div>
    </div>
                                    <div class="col-md-3">
                                    <div class="form-group">
                                    <label for="vname" class="required"><b>Voucher Name</b></label>
                                    <input type="text" class="form-control @error('seats') border-danger @enderror" id="vname" name="vname" value="{{ old('vname') }}">
                                    @error('vname')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
                                    </div>
                                    </div>
                                    </div>
                                    
                                    <div class="row">
                                    <div class="col-md-12">
                                    <div class="form-group">
                                    <button type="submit" class="btn btn-primary float-right">Save</button>
                                    </div>
                                    </div>
                                    </div>
                                    
                                    
                </form>
                </div>
                </div>
                </div>
                </div>
    <div class="row">
    <div class="col-lg-12 grid-margin stretch-card">
    <div class="card">
                <div class="card-header" style="background-color:#004170;color:white"><b>Voucher Details</b></div>
                <div class="card-body">
                    <table class="table table-bordered">
                    <thead>
                    <tr>
                            <th><b>Voucher Name</b></th>
                            
                            <th><b>Voucher Type</b></th>
                            <th><b>Actions</b></th>
                        </tr>
                        </thead>
                        <tbody>
                            @forelse($vouchertyp as $vouchers)
                                <tr>
                                <td>{{$vouchers->vtype_name}}</td>
                                    
                                <td>{{$vouchers->vtype->vtype_name}}</td>
                                <td>{{ app_table_links($vouchers->id ,array(66)) }}</td>

                                 
                                </tr>
                            @empty
                                <tr>
                                <td colspan="2">No Result Found !</td>
                                </tr>
                            @endforelse
                        </tbody>
                        </table>
                        </div>
                        </div>
    </div>
    </div>
    
    
    
    
        
    <style>
                 .card-body{
            border-left:1px solid #DCDCDC;
            border-right:1px solid #DCDCDC;
            border-bottom:1px solid #DCDCDC;
        
        }
  table.table-bordered {
            border: 1px solid #D8D8D8;
        }
        table.table-bordered th,
        table.table-bordered td {
            border: 1px solid #D8D8D8;
        }
        table.table-bordered th{
            background-color:#FEBE10;
        }
        table.table-bordered tr:nth-child(even){background-color: #F8F8F8;}
        .form-control{
            border:1px solid #E8E8E8;
        }
    </style>
@endsection