@extends('layouts.settings-template')
@section('title','Settings')
@section('heading','Edit Sub Criteria')
@section('breadcrumb','Settings / Staff Setting / Feedback Criteria /Sub Criteria/Edit Sub Criteria')
@section('content')
      
        
        
        
        
        
        
        <div class="row">
        <div class="col-lg-12 grid-margin stretch-card">
        <div class="card">
        <div class="card-header" style="background:#005A9C;color:white"><b>Edit</b></div>
        <div class="card-body">
        <form action="{{ route('feedbkcrit.update') }}" method="post">
        @csrf
        <input type="hidden" name="fdbksubc_id" value="{{ encrypt($sub->fdbksubc_id) }}">
        <div class="row">
        <div class="col-md-3">
        <div class="form-group">
        <label for="fdbkmainc_id" class="required"><b>Main Criteria</b></label>
        <select class="form-control" id="fdbkmainc_id" name="fdbkmainc_id" required>
        <option value="">Select</option>
        @foreach($main as $m)
        <option value="{{ $m->fdbkmainc_id  }}" {{ $sub->fdbkmainc_id==$m->fdbkmainc_id  ? "selected":"" }}>{{ $m->main_criteria }}</option>
        @endforeach
        </select>
        @error('fdbkmainc_id')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
        </div>
        </div>
        <div class="col-md-3">
        <div class="form-group">
        <label for="sub_criteria" class="required"><b>Sub Criteria</b></label>
        <input type="text" class="form-control @error('sub_criteria') border-danger @enderror" id="sub_criteria" name="sub_criteria" value="{{ $sub->sub_criteria }}">
        @error('sub_criteria')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
        </div>
        </div>
        </div>
        <div class="row">
        <div class="col-md-12">
        <div class="form-group">
        <button type="submit" class="btn btn-primary  float-right">Update</button>
        </div>
                                    </div>
                                    </div>
            </form>            
            </div>
            </div>
            </div>
            </div>






    <style>
    .card-body{
            border-left:1px solid #DCDCDC;
            border-right:1px solid #DCDCDC;
            border-bottom:1px solid #DCDCDC;
             
          
        }</style>














@endsection