

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Leave Form</title>
    <!-- Bootstrap CSS -->
    <!--<link href="https://stackpath.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css" rel="stylesheet">-->
</head>
<body>

<!-- Existing Content -->
<div class="row">
    <div class="col-lg-12 grid-margin stretch-card">
        <div class="card">
            <div class="card-header" style="background:#FEBE10">
                <b>Leave Form</b>
            </div>
            <div class="card-body">
                <table class="table table-bordered">
                    <thead>
                        <tr>
                            <th><b>Applied By</b></th>
                            <th><b>Employee ID</b></th>
                            <th><b>Applied Date</b></th>
                            <th><b>Leave From</b></th>
                            <th><b>Leave Until</b></th>
                            <th><b>Reason</b></th>
                        </tr>
                    </thead>
                    <tbody>
                        <tr>
                            <td>{{$stflvfrwrd_user->name}}</td>
                            <td>{{$stflvfrwrd_user->employee_id_num}}</td>
                            <td>{{date('d-m-Y',strtotime($stflvfrwrd_user->applied_on))}}</td>
                            <td>{{date('d-m-Y',strtotime($stflvfrwrd_user->lfrom))}}</td>
                            <td>{{date('d-m-Y',strtotime($stflvfrwrd_user->luntil))}}</td>
                            <td>{{$stflvfrwrd_user->reason}}</td>
                        </tr>
                    </tbody>
                </table>
<div class="row mt-4">
                    <div class="col-md-12 text-center">
                        @if($stflvfrwrd_user->status == 0)
                            <a href="{{ route('staff.leave.forward.pending.approve', ['stfleavfrwd' => $stflvfrwrd_user->stfleavfrwd]) }}" data-id="{{ $stflvfrwrd_user->stfleavfrwd }}">
                                <span class="btn btn-success approve-btn" >Approve</span>
                            </a>
                            <a href="{{ route('staff.leave.forward.pending.reject', ['stfleavfrwd' => $stflvfrwrd_user->stfleavfrwd]) }}">
                                <span class="btn btn-danger">Reject</span>
                            </a>
                           
                        @elseif($stflvfrwrd_user->status == 1)
                            <p class="text-success" style="font-size:25px;"><b>Approved</b></p>
                        @else
                            <p class="text-danger" style="font-size:25px;"><b>Rejected</b></p>
                        @endif
                    </div>
                </div>
               
               
               
               
               
               
               
            </div>
        </div>
    </div>
</div>




<script src="https://code.jquery.com/jquery-3.5.1.min.js"></script>

<script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.16.0/umd/popper.min.js"></script>
<script src="https://stackpath.bootstrapcdn.com/bootstrap/4.5.2/js/bootstrap.min.js"></script>

<script>
$(document).ready(function() {
    $('.forward-btn').on('click', function(e) {
        e.preventDefault();
        var requestId = $(this).data('id');
        $('#forwardRequestId').val(requestId);
        $('#forwardModal').modal('show');
    });


    
    
});
</script>

</body>
