
@extends('layouts.student-template')
@section('title','Home')
@section('heading','Leave Report')
@section('breadcrumb','Home/Leave/Report')
@section('content')

                
                
                <div class="row">
<div class="col-lg-12 grid-margin stretch-card">
                <div class="card"  style="border-top:2px solid #005A9C">
                <div class="card-header" style="background-color:#005A9C;color:white"><b>Report</b></div> 
                <div class="card-body">
                <table class="table table-bordered">
                        <thead>
                        <tr>
                            <th><b>#</b></th>
                            <th><b>Date Submitted</b></th>
                            <th><b>Leave From</b></th>
                            <th><b>Leave Until</b></th>
                            <th><b>Reason</b></th>
                            <th><b>Status</b></th>
                        </tr>
                        </thead>
                        <tbody>
                            @forelse($leavrequest as $leave)
                            
                                <tr>
                                    <td>{{$loop->iteration}}</td>
                                    <td>{{ date('d-m-Y',strtotime($leave->date)) }}</td>
                                    <td>{{ date('d-m-Y',strtotime($leave->lfrom)) }}</td>
                                    <td>{{ date('d-m-Y',strtotime($leave->luntil)) }}</td>
                                    <td  style="word-wrap: break-word; word-break: break-all; white-space: normal;">{{ $leave->reason }}</td>

                                        @if($leave->status==0)
                                        <td class="text-primary">Pending</td>
                                        @elseif($leave->status==1)
                                        <td class="text-success">Approved</td>
                                    @elseif($leave->status==2)
                                    <td class="text-danger">Rejected</td>
                                    @endif
                                </tr>
                            @empty
                                <tr>
                                    <td colspan="2">No Result Found !</td>
                                </tr>
                            @endforelse
                        </tbody>
                    </table>
                </div>
                </div>
            </div>
        </div>
    </div>
    
    
    
       </div>
    </div>
    
    <style>
         
        .card-body{
            border-left:1px solid #DCDCDC;
            border-right:1px solid #DCDCDC;
            border-bottom:1px solid #DCDCDC;
             
          
        }
    </style>
@endsection