@extends('layouts.student-template')
@section('title', 'Home')
@section('heading', 'Reserved Book Details')
@section('breadcrumb', 'Home/Reserved Book Details')
@section('content')


<div class="row">
    <div class="col-lg-12 grid-margin stretch-card">
        <div class="card">
            <div class="card-header" style="background-color:#005A9C;color:white;"><b>Reserved Book Details</b></div>
            <div class="card-body">
                @if(!empty($mem_det))
                 <div id="totalStudents" class="mb-3"></div>
    <div class="row">
    <div class="col-md-12">
    <div class="form-group">
@if(!empty($reservelist))
    <table id="table-fine" class="table table-bordered">
        <thead style="background-color:#8FBC8F">
            <tr>
                <th><b>#</b></th>
                <th><b>Date</b></th>
                <th><b>Book No</b></th>
                <th><b>Title</b></th>
                <th><b>Current Status</b></th>
                <th><b>Cancel</b></th>
            </tr>
        </thead>
        <tbody>
            @php 
                $i = 0; 
           
            @endphp
            @foreach($reservelist as $bk)
                @php 
                    $i++ ;
                   $books = App\Models\Books::where('id', $bk->book_id)
             
              ->first(); 
                @endphp

                
                    <tr>
                       <td align="center">{{ $i }}</td>
                       <td align="center">{{ date('d-m-Y',strtotime($bk->date)) }}</td>
                       <td align="center">{{ $books->book_no }}</td>
                       <td>{{ $books->title }}</td>
                       <td align="center">{!! $status_array[$bk->lib_status] !!}</td>
                        @if($bk->lib_status == '0')
                        <td align="center">
                        <a href="{{ route('studentlog.reservelist.cancel', encrypt($bk->id)) }}" title="Cancel Reservation">
                             <i class="fas fa-ban text-danger"></i>
                        </a>
                        </td>
                        @else
                        <td align="center"> - </td>
                        @endif
                    </tr>
                
            @endforeach
        </tbody>
    </table>
      @else
                   <div class="alert alert-warning" align="center">
                        <strong><font color="red" size="5">No result found !</font></strong>
                    </div>
    @endif
</div>
</div>
</div>
                  @else
                   <div class="alert alert-warning" align="center">
                        <strong><font color="red" size="5">Please Obtain a Membership!</font></strong>
                    </div>
                @endif
             </div>
        </div>
    </div>
</div>
                
                
@endsection