
@extends('layouts.student-template')
@section('title','Home')
@section('heading','SpecialClass')
@section('breadcrumb','Home/SpecialClass')
@section('content')

                
                
                <div class="row">
<div class="col-lg-12 grid-margin stretch-card">
                <div class="card"  style="border-top:2px solid #005A9C">
                <div class="card-header" style="background-color:#005A9C;color:white"><b>Report</b></div> 
                <div class="card-body">
                <table class="table table-bordered">
                        <thead>
                        <tr>
                            <th><b>#</b></th>
                            <th><b>Date</b></th>
                            <th><b>Subject</b></th>
                            <th><b>From</b></th>
                            <th><b>To</b></th>
                          
                        </tr>
                        </thead>
                        <tbody>
                            @forelse($spclclass as $spclclasses)
                            
                                <tr>
                                    <td>{{$loop->iteration}}</td>
                                    <td>{{ date('d-m-Y',strtotime($spclclasses->date)) }}</td>
                                    <td style="word-wrap: break-word; word-break: break-all; white-space: normal;">{{$spclclasses->sub->subject_name}}</td>
                                    <td>{{  date('h:i A', strtotime($spclclasses->from)) }}</td>
                                    <td>{{ date('h:i A', strtotime($spclclasses->to))}}</td>
                                   
                                </tr>
                            @empty
                                <tr>
                                    <td colspan="2">No Result Found !</td>
                                </tr>
                            @endforelse
                        </tbody>
                    </table>
                </div>
                </div>
            </div>
        </div>
    </div>
    
    
    
       </div>
    </div>
    
    <style>
     
        .card-body{
            border-left:1px solid #DCDCDC;
            border-right:1px solid #DCDCDC;
            border-bottom:1px solid #DCDCDC;
             
          
        }
    </style>
@endsection