@extends('layouts.student-template')
@section('title','View Time Table')
@section('heading','View Time Table')
@section('breadcrumb','Home / Time Table')
@section('content')
<head>
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/6.0.0-beta3/css/all.min.css">

</head>
    <div class="row">
    <div class="col-lg-12 grid-margin stretch-card">
    <div class="card">

    <div class="card-body">

        <div class="row">
        <div class="col-lg-12 grid-margin stretch-card">
        <div class="card">
            
        <div class="card-header" style="background-color:#005A9C;color:white"><b>Select the Criteria</b></div>
        <div class="card-body">
        <form >
        @csrf
        <div class="row">
        <div class="col-md-3">
        <div class="form-group">
        <label for="course" class="required"><b>Semester</b></label>
         <select class="form-control" id="semester_id" name="semester_id" required>
           <option value="">Select</option>
            @foreach($semlist as $sem)
           <option value="{{ $sem->semester_id }}" {{ old('semester_id')==$sem->semester_id ? "selected":"" }}>{{ $sem->semester_name }}</option>
            @endforeach
         </select>
            @error('semester_id')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
        </div>
        </div>
     
         </div>                   
    
       <div class="row">
        <div class="col-md-12">
        <div class="form-group">
         <button type="button" class="btn btn-primary float-right" id="btn-get">Submit</button>
        </div>
        </div>
        </div>
        </form>
        </div>
        </div>
        </div>
    </div>
    
      <div class="row">
            <div class="col-lg-12 grid-margin stretch-card" id="result">
            
            </div>
        </div>
        
        
        </div>
        </div>
        </div>
    </div>
    
       
    
   <script src="{{ asset('public/template/plugins/jquery/jquery.min.js') }}"></script>
  
    <script src="{{ asset('public/js/studtimetable.js') }}"></script>
    <style>
        .card-body{
            border-left:1px solid #DCDCDC;
            border-right:1px solid #DCDCDC;
            border-bottom:1px solid #DCDCDC;
          
        }
        hr{
            background-color:#DCDCDC;
        }
    </style>
@endsection