@extends('layouts.template')
@section('title','Home')
@section('heading','Add Register Number')
@section('breadcrumb','Home/Student/Add Register Number')
@section('content')






    <div class="row">
    <div class="col-lg-12 grid-margin stretch-card">
    <div class="card">
    <div class="card-header" style="background: #005A9C;color:white;"><b>Select the Criteria</b></div>
    <div class="card-body">
                   
                        <div class="row">
                        <div class="col-md-4">
                        <div class="form-group">
                        <label for="ac_id" class="required"><b>Academic Year</b></label>
                        <select class="form-control" id="ac_id" name="ac_id" required>
                        @foreach($acyears as $acyear)
                        <option value="{{ $acyear->ac_id }}" {{ old('ac_id')==$acyear->ac_id ? "selected":"" }}>{{ $acyear->start_date_formatted.' - '.$acyear->end_date_formatted }}</option>
                        @endforeach
                        </select>
                        @error('ac_id')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
                        </div>
                        </div>
                            <div class="col-md-4">
                            <div class="form-group">
                            <label for="course_id" class="required"><b>Course</b></label>
                            <select class="form-control" id="course_id" name="course_id" style="width:100%">
                            <option value="">Select</option>
                            @foreach($course as $crs)
                            <option value="{{ $crs->course_id }}" {{ old('course_id') == $crs->course_id ? "selected":"" }}>{{ $crs->course_name}}</option>
                            @endforeach
                            </select>
                                   
                            </div>
                            </div>
                                <div class="col-md-4">
                                <div class="form-group">
                                <label for="semester_id" class="required"><b>Semester</b></label>
                                <select class="form-control" id="semester_id" name="semester_id" style="width:100%">
                                <option value="">Select</option>
                                      
                                </select>
                                   
                                </div>
                               </div>
                               </div>
                        <div class="row">
                        <div class="col-md-12">
                        <div class="form-group">
                        <button type="button" class="btn btn-primary float-right"  id="btn-get">Get Details</button>
                        </div>
                        </div>
                        </div>    
                   
        </div>
        </div>
        </div>
        </div>
            <div class="row">
            <div class="col-lg-12 grid-margin stretch-card" id="result">
            
            </div>
            </div>
            
         
    <script src="{{ asset('public/template/plugins/jquery/jquery.min.js') }}"></script>
         
    <script src="{{ asset('public/js/enrol.js') }}"></script>
    <script src="{{ asset('public/js/sem.js') }}"></script> 
     <style>
                 .card-body{
            border-left:1px solid #DCDCDC;
            border-right:1px solid #DCDCDC;
            border-bottom:1px solid #DCDCDC;
            /*border-top:1px solid #0066b2;*/
        }

     </style>
@endsection