@extends('layouts.template')
@section('title','Home')
@section('heading','SpecialClass')
@section('breadcrumb','Home/SpecialClass/Add')
@section('content')
 <div class="row">
    <div class="col-lg-12 grid-margin stretch-card">
    
    <div class="card-tools">
    {{ app_button_links(array(395,396)) }}
    </div>
       
        </div>
        </div>
        
        
        
        
        
        
        
    <div class="row">
    <div class="col-lg-12 grid-margin stretch-card">
    <div class="card">
    <div class="card-header" style="background-color:#005A9C;color:white"><b>Add SpecialClass</b></div>    
    <div class="card-body">
    <form action="{{route('specialclass.save')}}" method="post">
            @csrf
            
            
        <div class="row">
        <div class="col-md-3">
        <div class="form-group">
        <label for="course_id" class="required"><b>Course</b></label>
          <select class="form-control" id="course" name="course_id" required>
        <option value="">Select</option>
        @foreach($staffsubject as $crs)
        <option value="{{ $crs->course_id}}" {{ old('course_id')==$crs->course_id ? "selected":"" }}>{{ $crs->course_name }}</option>
        @endforeach
        </select>
        @error('course_id')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
        </div>
        </div>
        <div class="col-md-3">
        <div class="form-group">
         <label for="semester_id" class="required"><b>Semester</b></label>
        <select class="form-control" id="semester_id" name="semester_id" required>
        <option value="">select</option>
        </select>
        </div>
        </div>
        
        <div class="col-md-3">
        <div class="form-group">
        <label for="subject_id" class="required"><b>Subject</b></label>
        <select class="form-control" id="sub_id" name="subject_id" required>
        <option value="">select</option>
        </select>
        </div>
        </div>
        
        <div class="col-md-3">
        <div class="form-group">
        <label for="date" class="required"><b>Date</b></label>
       <input type="date" name="date" value="{{ \Carbon\Carbon::now()->format('Y-m-d')  }}" class="form-control">
        @error('date')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
        </div>
        </div>
        
        <div class="col-md-3">
        <div class="form-group">
        <label for="from" class="required"><b>From</b></label>
       <input type="time" name="from"   id="time" value="{{ old('from') }}" class="form-control @error('from') border-danger @enderror">
         @error('from')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
        </div>
        </div>
       <div class="col-md-3">
        <div class="form-group">
        <label for="to" class="required"><b>To</b></label>
       <input type="time" name="to"  value="{{ old('to') }}" class="form-control @error('to') border-danger @enderror">
         @error('to')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
        </div>
        </div>  
        
        
        </div>                   
                            
      
        
        <div class="row">
        <div class="col-md-12">
        <div class="form-group">
        <button type="submit" class="btn btn-primary float-right">Add</button>
        </div>
        </div>
        </div>
        
        
        </form>
        
        
        
        
        
        
        
        </div>
        </div>
        </div>
        </div>
        
        
        
      
    <script src="{{ asset('public/template/plugins/jquery/jquery.min.js') }}"></script>
    <script src="{{ asset('public/js/semester.js') }}"></script> 
    <script src="{{ asset('public/js/subj.js') }}"></script>
       <script>
        function getCurrentTime() {
            const now = new Date();
            let hours = now.getHours().toString().padStart(2, '0');
            let minutes = now.getMinutes().toString().padStart(2, '0');
            return `${hours}:${minutes}`;
        }

        document.getElementById('time').value = getCurrentTime();
    </script>
    <style>
     .card-body{
            border-left:1px solid #DCDCDC;
            border-right:1px solid #DCDCDC;
            border-bottom:1px solid #DCDCDC;
             
          
        }
</style>
        @endsection