 <div class="card" style="border-top:3px solid #073980">
    <div class="card-body">
  
         <input type="hidden" id="course_id" name="course_id" value="{{ $course_id }}">
        <input type="hidden" id="sem_id" name="sem_id" value="{{ $semester_id }}">
      
        <div id="totalStudents" class="mb-3"></div>
                 
      
            <div class="row">
                <div class="col-md-12">
                    <div class="form-group">
                        <table id="table-fine" class="table table-bordered">
                            <thead style="background-color:#8FBC8F">
                                <tr>
                                   <th><b>Subject Code</th> 
                                   <th><b>Subject</b></th>
                                    <th><b>Category</th>
                                    <th><b>Credit</b></th>
                                    <th><b>Course</th>
                                    <th><b>Semester</th>
                                    <th><b>Actions</b></th>
                                </tr>
                            </thead>
                            <tbody>
                            @forelse($subject as $subjects)
                                <tr>
                                  <td>{{$subjects->subject_code}}</td>
                                  <td>{{$subjects->subject_name}}</td>
                                  <td>{{$subjects->subject_categ ? $subjects->subcategoryname->category : 'N/A' }}</td>
                                  <td>{{$subjects->subject_credit}}</td>
                                  <td>{{$subjects->course->course_code}}</td>
                                  <td>{{$subjects->sem->semester_name}}</td>
                                  <td>{{ app_table_links($subjects->subject_id,array(448,449)) }}</td>
                                </tr>
                            @empty
                                <tr>
                                    <td colspan="2">No Result Found !</td>
                                </tr>
                            @endforelse
                        </tbody>
                        </table>
                    </div>
                </div>
            </div>
          
    </div>
    
</div>
         <script src="{{ asset('public/template/plugins/jquery/jquery.min.js') }}"></script>

<style>
    
    .totalstudent {
    color: black; 
    font-size: 22px; 
    font-weight: bold;
    padding: 10px; 
    margin: 5px; 
    background-color: #eaf0f1; 
    border: 2px solid #3498db; 
    border-radius: 5px; 
    text-shadow: 1px 1px 2px rgba(0, 0, 0, 0.3); 
    font-family: 'Arial', sans-serif; 
    display: inline-block; 
}

    #table-fine td, #table-fine th {
  border: 1px solid #C0C0C0;
  padding: 8px;
}

#table-fine tr:nth-child(even){background-color: #E0E0E0;}

#table-fine tr:hover {background-color: #B9D9EB;cursor:pointer;}

#table-fine th {
  padding-top: 12px;
  padding-bottom: 12px;
  text-align: left;
 
  background-color: #FEBE10;
  color: black;
}
</style>




