@extends('layouts.template')
@section('title','Home')
@section('heading','Duplicate TC - Payment')
@section('breadcrumb','Home/Student/Duplicate TC-Payment')
@section('content')
<div class="row">
    <div class="col-lg-12 grid-margin stretch-card">
  
    
    <div class="card-tools">
    {{ app_button_links(array(492,322)) }}
    </div>
        </div>
        </div>
       
        





    <div class="row">
    <div class="col-lg-12 grid-margin stretch-card">
    <div class="card">
    <div class="card-header" style="background-color:#005A9C;color:white;"><b>Select the Criteria</b></div>
    <div class="card-body">
    <form action="{{route('duplicate.tc.payment.save')}}" method="post">
                        @csrf 
        <div class="row">
                            <div class="col-md-3">
                                <label for="student_id" class="required">Student</label>
                                <div class="form-group" >
                                    <select class="js-example-basic-single" id="student_id" name="student_id" style="width:100%;">
                                        <option value="">Select</option>
                                        @foreach($students as $student)
                                            <option value="{{ $student->student_id }}" {{ old('student_id') == $student->student_id ? "selected":"" }}>{{ $student->adno.' - '.$student->name }}</option>
                                        @endforeach
                                    </select>
                                    @error('student_id')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
                                </div>
                            </div> 

                            
                            
                            
                            <div class="col-md-3">
                                <label for="receipt_no" class="required">Receipt Number</label>
                                <div class="form-group" >
                             <input type="text" name="receipt_no" id="receipt_no" value="{{$receipt_max}}" class="form-control">   
                                </div>
                            </div>
                              <div class="col-md-3">
                                <label for="amount" class="required">Amount</label>
                                <div class="form-group" >
                             <input type="text" name="amount" id="amount" value="" class="form-control">   
                                </div>
                            </div>
                            <div class="col-md-3">
                                <label for="paid_date" class="required">Payment Date</label>
                                <div class="form-group" >
                             <input type="date" name="paid_date" id="paid_date" value="" class="form-control">   
                                </div>
                            </div>
         
       
        </div>
        
        <div class="row">
        <div class="col-md-3">
        <label for="mode_id" class="required">Payment Mode</label>
        <div class="form-group">
        <select class="js-example-basic-single" id="mode_id" name="mode_id" style="width:100%">
          <option value="">Select</option> 
        @foreach($paymentmode as $paymode)
        <option value="{{ $paymode->mode_id }}" {{ old('mode_id') == $paymode->mode_id ? "selected":"" }}>{{ $paymode->mode_name }}</option>
        @endforeach
        </select>
        @error('mode_id')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
        </div>
        </div>
        
      <div class="col-md-3">
        <label for="type_id" class="required">Fee Type</label>
        <div class="form-group">
        <select class="js-example-basic-single" id="type_id" name="type_id" style="width:100%">
         <option value="">Select</option> 
        @foreach($feetype as $type)
        <option value="{{ $type->type_id }}" {{ old('type_id') == $type->type_id ? "selected":"" }}>{{ $type->type_name }}</option>
        @endforeach
        </select>
        @error('type_id')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
        </div>
        </div>
     
       
       
       
        </div>
        
         
       
         
         
         
        <div class="row">
        <div class="col-md-12">
        <div class="form-group">
        <button type="submit" class="btn btn-primary float-right">Receive Fee</button>
        </div>
        </div>
        </div>
        
        
        
        
                                   
</form>      
</div>
</div>
</div>
</div>
<style>
     .card-body{
            border-left:1px solid #DCDCDC;
            border-right:1px solid #DCDCDC;
            border-bottom:1px solid #DCDCDC;
             
          
        }
</style>
@endsection