@extends('layouts.template')
@section('title','Home')
@section('heading','Duplicate Fee Report')
@section('breadcrumb','Home/Student/Duplicate Fee Report')
@section('content')
<div class="row">
    <div class="col-lg-12 grid-margin stretch-card">
  
    
    <div class="card-tools">
    {{ app_button_links(array(492,322)) }}
    </div>
        </div>
        </div>
    <div class="row">
    <div class="col-lg-12 grid-margin stretch-card">
    <div class="card">
    <div class="card-header" style="background-color:#005A9C;color:white;"><b>Duplicate Fee Report</b></div>
    <div class="card-body">
         <div class="form-group row">
                            <div class="col-md-12">
                                <div class="scroll">
                                    <table class="table table-bordered">
                                        <thead>
                                        <tr>
                                            <th><b>#</b></th>
                                            <th><b>Receipt No</b></th>
            								<th><b>Adm No</b></th>
            								<th><b>Student Name</b></th>
            								<th><b>Fee Amount</b></th>
            								<th><b>Paid Date</b></th>
            								<th><b>Payment Mode</b></th>
            								<!--<th><b>Collected By</b></th>-->
            								<th><b>Actions</b></th>
                                        </tr>
                                        </thead>
                                        <tbody>
                                         
                                              @php
                                             $i=0; 
                                              @endphp
                                            @foreach($duplicatetc_fee as $fee)
                                                <tr>
                                                    <td align="center">{{ ++$i }}</td>
                                                    <td align="center">{{ $fee->receipt_no}}</td>
                                                    <td align="center">{{ $fee->student->adno}}</td>
                                                    <td align="center">{{ $fee->student->name}}</td>
                                                    <td>{{ $fee['amount'] }}</td>
                                                    <td>{{date('d-m-Y',strtotime($fee->paid_date)) }}</td>
                                                    <td align="center">{{ $fee->mode->mode_name }}</td>
                                                    <!--<td align="center">{{ $fee['staff'] }}</td>-->
                                                    <td><a href="{{route('duplicate.tc.payment.print',['id' => $fee->dtcfees_id])}}" target="_blank"><i  style="font-size:20px" class="icon-sm icon-printer text-success"></i></a></td>
                                                </tr>
                                            @endforeach   
                                        </tbody>
                                        
                                    </table>
                                </div>
                            </div>
                        </div>            
                    
                    
                    
                    
                    
                    
                    
                    
                    
                    
                    
                    
                    
    </div>
    </div>
    </div>
    </div>
    <style>
         .card-body{
            border-left:1px solid #DCDCDC;
            border-right:1px solid #DCDCDC;
            border-bottom:1px solid #DCDCDC;
             
          
        }
       
       
        .form-control{
            border:1px solid #E8E8E8;
        }
    </style>
    @endsection