@extends('layouts.template') 
@section('title', 'Home') 
@section('heading', 'Transportation') 
@section('breadcrumb', 'Home/Transportation/Add Stop') 
@section('content') 
<div class="row">
    <div class="col-lg-12 grid-margin stretch-card">
    
    <div class="card-tools">
    {{ app_button_links(array(495,496,517)) }}
    </div>
        </div>
        </div>
<div class="row">     
        <div class="col-lg-12 grid-margin stretch-card">     
        <div class="card">     
        <div class="card-header" style="background-color:#005A9C;color:white;"><b>Add Route</b></div>     
        <div class="card-body">         
<form action="{{route('trans.save.stop')}}" method="post">
    @csrf
    <div class="row">  
                              <div class="col-md-3"> 
                            <div class="form-group">                             
                            <label for="route_name" class="required"><b>Route Name</b></label>                         
                            <select class="form-control" id="route_id" name="route_id" required>                         
                                    <option value=""><span class="fw-bold">Select</span></option>                         
                                    @foreach($routes as $route)                         
                                    <option value="{{ $route->route_id }}" {{ old('route_id') == $route->route_id ? "selected" : "" }}>{{ $route->route_name}}</option>                         
                                    @endforeach                         
                                    </select>   
                                    </div>
                                    </div>
    
 <div class="col-md-3"> 
<div class="form-group">                             
                            <label for="addbus_id" class="required"><b>Bus Number</b></label>                         
                            <select class="form-control" id="addbus_id" name="addbus_id" required>  
                            <option value=""></option>
</select>
</div>
</div>
<div class="col-md-3"> 
                            <div class="form-group">                             
                            <label for="stop_code" class="required"><b>Stop Code</b></label>  
<input type="text" name="stop_code" value="{{$next_stop_no}}" class="form-control">
</div>
</div>

<div class="col-md-3"> 
                            <div class="form-group">                             
                            <label for="stop_name" class="required"><b>Stop Name</b></label>  
<input type="text" name="stop_name" class="form-control" placeholder="Stop Name">
</div>
</div>
<div class="col-md-3"> 
                            <div class="form-group">                             
                            <label for=" " class="required"><b>Fees</b></label>  
<input type="text" name="fee" class="form-control" placeholder="Fees">
</div>
</div>
<div class="col-md-3"> 
<div class="form-group">    
 <label for="fromdate" class="required" class="required"><b>Valid From</b></label>
<input type="date" class="form-control @error('from') border-danger @enderror" id="fromdate" name="fromdate" value="{{ old('fromdate') }}">
</div>
</div>



</div>
<div class="row">
  <div class="col-md-12">
<input type="submit" name="sub" value="Add" class="btn btn-primary float-right">      
      </div>  
</div>

</form>
</div>
</div>
</div>
</div>
<script src="{{ asset('public/template/plugins/jquery/jquery.min.js') }}"></script>
<script src="{{ asset('public/js/busnumber.js') }}"></script>
 <style>                                 
    .card-body {             
        border-left: 1px solid #DCDCDC;             
        border-right: 1px solid #DCDCDC;             
        border-bottom: 1px solid #DCDCDC;         
    }   
    </style>
@endsection