@extends('layouts.template')
@section('title','Home')
@section('heading','Bus Fee Payment')
@section('breadcrumb','Home/Transportation/Fee Payment')
@section('content')
<div class="row">
    <div class="col-lg-12 grid-margin stretch-card">
    
    <div class="card-tools">
    {{ app_button_links(array(528)) }}
    </div>
        </div>
        </div>
 <div class="row">
            <div class="col-lg-12 grid-margin stretch-card">
            <div class="card">
            <div class="card-header" style="background-color:#005A9C;color:white"><b>Bus Fee Payment</b></div>
            <div class="card-body">
           
      
            <div class="row">
            
                            <!--<div class="col-md-3">-->
                            <!--<div class="form-group">-->
                            <!--        <label for="course_id" class="required"><b>Course</b></label>-->
                            <!--        <select class="form-control" id="course" name="course_id" required>-->
                            <!--            <option value="">Select</option>-->
                            <!--            @foreach($courses as $course)-->
                            <!--            <option value="{{ $course->course_id }}" {{ old('course_id')==$course->course_id ? "selected":"" }}>{{ $course->course_name }}</option>-->
                            <!--            @endforeach-->
                            <!--        </select>-->
                            <!--        @error('course_id')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror-->
                            <!--        </div>-->
                            <!--        </div>-->
                            <!--<div class="col-md-3">-->
                            <!--<div class="form-group">-->
                            <!--        <label for="semester_id" class="required"><b>Semester</b></label>-->
                            <!--        <select class="form-control" id="semester_id" name="semester_id" required>-->
                            <!--        <option value="">Select</option>-->
                            <!--        </select>-->
                            <!--        @error('semester_id')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror-->
                            <!--</div>-->
                            <!--</div>-->
                            <div class="col-md-3">
                                <div class="form-group">
                                    <label for="student_id" class="required"><b>Student</b></label>
                                    <select class="js-example-basic-single form-control" id="stud_id" name="student_id" required>
                                    <option value="">Select</option>
                                     @foreach($students as $student)-->
                                        <option value="{{ $student->student_id }}" {{ old('student_id')==$student->student_id ? "selected":"" }}>{{ $student->name }}</option>
                                        @endforeach
                                    </select>
                                    @error('student_id')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
                                  
                            </div>
                            </div>
                            <div class="col-md-3">
                            <div class="form-group">
                            <label for="paid_date" class="required"><b>Date</b></label>
                            <input type="date" class="form-control @error('paid_date') border-danger @enderror" id="paid_date" name="paid_date" value="{{ old('paid_date') ? old('paid_date'):date('Y-m-d')  }}">
                            @error('paid_date')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
                            </div>
                            </div>
                            
                            <div class="col-md-3">
                            <div class="form-group">
                                    <label for="mode_id" class="required"><b>Payment Mode</b></label>
                                    <select class="js-example-basic-single" id="mode_id" name="mode_id" style="width:100%">
                                                @foreach($paymodes as $paymode)
                                                    <option value="{{ $paymode->mode_id }}" {{ old('mode_id') == $paymode->mode_id ? "selected":"" }}>{{ $paymode->mode_name }}</option>
                                                @endforeach
                                            </select>
                                    @error('mode_id')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
                            </div>
                            </div>
                            
                            
                            </div>
                            
                            <div class="row">
                            <div class="col-md-12">
                            <div class="form-group">
                            <button type="button" class="btn btn-primary float-right" id="btn-get">Get Details</button>
                            </div>
                            </div>
                            </div>

                            
                            
                            
                            </div>
                            </div>
                            </div>
                            </div>
                            
            <div class="row">
            <div class="col-lg-12 grid-margin stretch-card" id="result">
            
            </div>
            </div>    
    <script src="{{ asset('public/template/plugins/jquery/jquery.min.js') }}"></script>
    <script src="{{ asset('public/js/semester.js') }}"></script> 
    <script src="{{ asset('public/js/busfacilitystudents.js') }}"></script> 
    <script src="{{ asset('public/js/getbusfee.js') }}"></script> 
    
    
                            @endsection