
<!DOCTYPE html>
<html>
<head>
    <title>Discontinued Student List</title>
    <style>
        
        body {
            font-family: Arial, sans-serif;
            border:1px solid #000;
            padding:20px;
        }
       
        .page-header {
            text-align: center;
            margin-bottom: 20px;
        }
    </style>
</head>
<body>
    <div>
    <div class="container">
      <div class="page-header"> 
      <p style="text-center"><b>{{ $ins_det->name }}</b></p>
      <p style="text-center"><b>{{ $ins_det->affiliation }}</b></p>
      <p style="text-center"><b>{{ $ins_det->address }}</b></p>
      <p style="text-center"><b>{{ 'Ph : '.$ins_det->mobile.' '.$ins_det->landline }}</b></p>
    </div> 
    </div>
    
    <div class="page-header">
        <h3 style="text-decoration:underline;background:#FEBE10">Discontinued Student List</h3>
    </div>
   <table style="border-bottom:1px solid black" width="100%">
                        <thead style="background-color:#484848;color:white">
                        <tr>
                            <th><b>#</b></th>
                            <th><b>Student Name</b></th>
                             <th><b>Admission No.</b></th>
                            <th><b>Discontinued Date</b></th>
                            
                        </tr>
                        </thead>
                        <tbody>
                            @forelse($discontinued as $discontinuedList)
                                <tr>

                                    <td>{{$loop->iteration}}</td>
                                    <td>{{$discontinuedList->student->name}}</td>
                                    <td>{{$discontinuedList->student->adno}}</td>
                                    <td>{{date('d-m-Y',strtotime($discontinuedList->discontinued_date))}}</td>
                                    
                                   
                                </tr>
                            @empty
                                <tr>
                                    <td colspan="2">No Result Found !</td>
                                </tr>
                            @endforelse
                        </tbody>
                    </table>
   
  
</body>
</html>