
@extends('layouts.template')
@section('title','Home')
@section('heading','Temporary Route')
@section('breadcrumb','Home/Transportation/Temporary Route-Report')
@section('content')
<div class="row">
<div class="col-lg-12 grid-margin stretch-card">
    
    <div class="card-tools">
    {{ app_button_links(array(501,502,514,515,516)) }}
    </div>
    </div>
    </div>
        
        <div class="row">
        <div class="col-lg-12 grid-margin stretch-card">
        <div class="card">
        <div class="card-header" style="background-color:#005A9C;color:white"><b>Student Temporary Route-Report</b></div>
        <div class="card-body">
           
            <table class="table table-bordered">
                        <thead>
                        <tr>
                            <th><b>#</b></th>
                            <th><b>Student Name</b></th>
                             <th><b>Admission No.</b></th>
                             <th><b>Course</b></th>
                             <th><b>Semester</b></th>
                            <th><b>Temporary Route</b></th>
                            <th><b>Temporary Stop</b></th>
                           
                        </tr>
                        </thead>
                        <tbody>
                            @forelse($temporary_report as $temporary_reports)
                                <tr>

                                    <td>{{$loop->iteration}}</td>
                                    <td>{{$temporary_reports->name}}</td>
                                    <td>{{$temporary_reports->adno}}</td>
                                    <td>{{$temporary_reports->course_name}}</td>
                                    <td>{{$temporary_reports->semester_name}}</td>
                                   <td>{{$temporary_reports->route_name}}</td>
                                   <td>{{$temporary_reports->stop_name}}</td>
                                   
                                  
                
                </td>
                                   
                                </tr>
                            @empty
                                <tr>
                                    <td colspan="2">No Result Found !</td>
                                </tr>
                            @endforelse
                        </tbody>
                    </table>
        
            
            
            
            </div>
            </div>
            </div>
            </div>
            
            
          
          
        
            
            
             <style>                                 
    .card-body {             
        border-left: 1px solid #DCDCDC;             
        border-right: 1px solid #DCDCDC;             
        border-bottom: 1px solid #DCDCDC;         
    }   
       
       
        .form-control{
            border:1px solid #E8E8E8;
        }
</style>
            
        <script src="{{ asset('public/template/plugins/jquery/jquery.min.js') }}"></script>
    
          
            @endsection