    <div class="card" style="border-top:3px solid #005A9C">

    <div class="card-body">
        
        
            <table class="table table-bordered">
            <thead>
            <tr>
                        
                        <th><b>#</b></th>
                        <th  style="word-wrap: break-word; word-break: break-all; white-space: normal;"><b>Student Name</b></th>
                        <th><b>Admission No.</b></th>
                        <th><b>Receipt Number</b></th>
                        <th><b>Fee</b></th>
                      
                        <th><b>Fine</b></th>
                        <th><b>discount</b></th>
                        <th><b>Fee Paid</b></th>
                        <th><b>Paid Date</b></th>
                        <th><b>Cancel</b></th>
                       <th><b>Print</b></th>
                </tr>
                </thead>
                <tbody>
                    <tbody>
    @forelse($Fees as $Fee)
        <tr>
            <td>{{ $loop->iteration }}</td>
            <td style="word-wrap: break-word; word-break: break-all; white-space: normal;">
                @php
                    $isSpecialFee = $indiFee->contains('student_id', $Fee->student_id);
                @endphp
                {{ $Fee->name }}
                @if($isSpecialFee)
                    <span class="badge bg-warning text-dark">Special Fee</span>
                @endif
            </td>
            <td style="word-wrap: break-word; word-break: break-all; white-space: normal;">{{ $Fee->adno }}</td>
            <td style="word-wrap: break-word; word-break: break-all; white-space: normal;">{{$Fee->receipt_no}}</td>
            <td>{{$Fee->total_fee}}</td>
            <td style="word-wrap: break-word; word-break: break-all; white-space: normal;">{{ $Fee->total_fine }}</td>
            <td style="word-wrap: break-word; word-break: break-all; white-space: normal;">{{ $Fee->total_discount }}</td>
            <td style="word-wrap: break-word; word-break: break-all; white-space: normal;">{{ $Fee->total_fee_amount }}</td>
<td>{{ date('d-m-Y', strtotime($Fee->paid_date)) }}</td> 

    @if ($Fee->status == 1)
    <td style="word-wrap: break-word; word-break: break-all; white-space: normal;">
        <button class="btn btn-close btn-default text-danger cancel-btn" data-other-id="{{$Fee->receipt_no}}">
            <i class="fas fa-times-circle"></i>
        </button>
        </td>
    @else
    <td style="word-wrap: break-word; word-break: break-all; white-space: normal;background:yellow">
        <p class="text-danger"><b>Cancelled</b></p>
        </td>
    @endif

            <td style="word-wrap: break-word; word-break: break-all; white-space: normal;">
                <a href="{{ route('trans.busfee.course.report.print', ['id' => $Fee->busfee_id]) }}" target="_blank"><i class="fa fa-print"></i></a>
            </td>
        </tr>
    @empty
        <tr>
            <td colspan="10">No Result!</td>
        </tr>
    @endforelse
</tbody>

                </tbody>
                
                </div>
                </div>
                <script src="{{ asset('public/template/plugins/jquery/jquery.min.js') }}"></script>

<script>

$(document).ready(function() {
    $('.cancel-btn').click(function() {
        var receiptNo = $(this).data('other-id');

        if (!confirm('Are you sure you want to cancel all fees with this receipt number?')) {
            return false;
        }
        
        $.ajax({
            url: '/cancel-fee-report-crsewise/' + receiptNo, 
            type: 'get',
            success: function(response) {
                if (response.success) {
                    alert('All fees with this receipt number have been cancelled successfully.');
                    location.reload();
                } else {
                    alert('Error cancelling fees: ' + response.error);
                }
            },
            error: function(xhr) {
                console.log(xhr.responseText);
                alert('Error cancelling fees. Please try again.');
            }
        });
    });
});

</script>
                
<style>
                      .card-body {             
        border-left: 1px solid #DCDCDC;             
        border-right: 1px solid #DCDCDC;             
        border-bottom: 1px solid #DCDCDC;         
    }   
      
       
        .form-control{
            border:1px solid #E8E8E8;
        }
                </style>