<style>
    * {
        font-family: Arial, sans-serif;
    }
    .fee-item {
        border: 1px solid black;
        border-collapse: collapse;
        width: 100%;
        margin-top: 20px;
    }
   
</style>

<body onload="window.print()">
    <div class="container">
        <div class="head">
            <table width="100%">
                <tr>
                    <td width="25%" rowspan="4" align="center"><img src="{{ asset('public/uploads/logo/'.$ins_det->logo) }}" alt="{{ $ins_det->logo }}" height="100px"></td>
                    <td width="50%" align="center">{{ $ins_det->name }}</td>
                    <td width="25%" rowspan="4" align="center"></td>
                </tr>
                <tr><td align="center">{{ $ins_det->affiliation }}</td></tr>
                <tr><td align="center">{{ $ins_det->address }}</td></tr>
                <tr><td align="center">{{ 'Ph : '.$ins_det->mobile.' '.$ins_det->landline }}</td></tr>
            </table>

            <center><h4>BUS FEE REPORT</h4></center>
            <hr>

            <table width="100%">
                <tr>
                    <td><b>Receipt No:</b> {{ $busFee->receipt_no }}</td>
                    <td class="float-right"><b>Date:</b> {{ date('d-m-Y', strtotime($busFee->paid_date)) }}</td>
                </tr>
                <tr>
                    <td><b>Student Name:</b> {{ $busFee->student->name }}</td>
                    <td class="float-right"><b>Admission No:</b> {{ $busFee->student->adno }}</td>
                </tr>
                <tr>
                    
                </tr>
                <tr>
                    <td><b>Payment Mode:</b> {{ $busFee->paymentmode->mode_name }}</td>
                </tr>
               
                <tr>
                    
                </tr>
            </table>

            <br>

            <table style="border-bottom:1px solid black" width="100%">
    <thead style="background-color:#484848;color:white">
        <tr>
            <th>Month</th>
            <th>Fine</th>
            <th>Discount</th>
            <th>Fee</th>
            <th>Paid Date</th>
        </tr>
    </thead>
    <tbody>
        @foreach($Fees as $fee)
            <tr>
                <td>{{ $fee->month }}</td> 
                <td>{{ number_format($fee->total_fine, 2) }}</td>
                <td>{{ number_format($fee->total_discount, 2) }}</td> 
                <td>{{ number_format($fee->total_fee_amount, 2) }}</td> 
                <td>{{ date('d-m-Y', strtotime($fee->paid_date)) }}</td> 
            </tr>
        @endforeach
    </tbody>
    <tfoot>
        <tr>
           
            <td colspan="3" style="text-align: right;"><strong>Total Fee:</strong></td>
            <td  style="background:#FEBE10">{{ number_format($overallTotalFee-$grandTotalDiscount+$grandTotalFine,2) }}</td> 
            <td></td>
        </tr>
    </tfoot>
</table>
<?php
if($busFee->status==0)
{
    ?>
    <p style="font-size:40px;color:red;text-align:center">Cancelled</p>
    <?php
}


?>
            <br>
        </div>
    </div>
</body>
