    <div class="card">
    <div class="card-header" style="background:#005A9C;color:white"><b>Due Report</b></div>
    <div class="card-body">
    <table class="table table-bordered">
           <thead>
            <tr>
                
                            <th><b>#</b></th>
                            <th><b>Student Name</b></th>
                            <th><b>Admission No</b></th>
                            <th><b>Total Expected Fees</b></th>
                            <th><b>Total Paid</b></th>
                            <th><b>Due Amount</b></th>
        </tr>
        </thead>
        <tbody>
              @foreach($dueReports as $report)
                 <tr>
                <td>{{ $loop->iteration }}</td>
                        <td>{{ $report['student']->name }}</td>
                        <td>{{ $report['student']->adno }}</td>
                        <td>   @if($report['updatedBusFee'] > 0)
                                {{ number_format($report['updatedBusFee'], 2) }}
                            @else
                                {{ number_format($report['expectedFees'], 2) }} 
                            @endif</td>
                        <td>{{ number_format($report['totalPaid'], 2) }}</td>
                        <td>   @if($report['updatedBusFee'] > 0)
                                {{ number_format($report['updatedBusFee'] - $report['totalPaid'], 2) }} 
                            @else
                                {{ number_format($report['expectedFees'] - $report['totalPaid'], 2) }} 
                            @endif</td>
                 </tr>
       
        @endforeach
         </tbody>
        </table>
                @if(count($dueReports) == 0)
                    <div class="alert alert-warning" role="alert">
                    No due reports found for the selected criteria.
                    </div>
                @endif
        </div>
        </div>
        <style>
                      .card-body {             
        border-left: 1px solid #DCDCDC;             
        border-right: 1px solid #DCDCDC;             
        border-bottom: 1px solid #DCDCDC;         
    }   
       
        
        .form-control{
            border:1px solid #E8E8E8;
        }
                </style>