@extends('layouts.template') 
@section('title', 'Home') 
@section('heading', 'Transportation') 
@section('breadcrumb', 'Home/Transportation/Edit Stop Fee') 
@section('content') 
    <div class="row">
    <div class="col-lg-12 grid-margin stretch-card">
    
    <div class="card-tools">
    {{ app_button_links(array(495,496,517)) }}
    </div>
        </div>
        </div>
        
        <div class="row">     
        <div class="col-lg-12 grid-margin stretch-card">     
        <div class="card">     
        <div class="card-header" style="background-color:#005A9C;color:white;"><b>Edit Stop Fee</b></div>     
        <div class="card-body">  
        
        <div class="row">  
                            <div class="col-md-3"> 
                            <div class="form-group">                             
                            <label for="route_name" class="required"><b>Route Name</b></label>                         
                            <select class="form-control" id="route_id" name="route_id" required>                         
                                    <option value=""><span class="fw-bold">Select</span></option>                         
                                    @foreach($routes as $route)                         
                                    <option value="{{ $route->route_id }}" {{ old('route_id') == $route->route_id ? "selected" : "" }}>{{ $route->route_name}}</option>                         
                                    @endforeach                         
                                    </select>   
                                    </div>
                                    </div> 
                                    </div> 
                                    
                                    <div class="row">
                                    <div class="col-md-12"> 
                                     <input type="button" id="btn-get" value="Get Details" class="btn btn-primary float-right"> 
                                    </div>
                                    </div>
        
</div>
</div>
</div>
</div>
<div class="row">
            <div class="col-lg-12 grid-margin stretch-card" id="result">
            
            </div>
        </div>
<script src="{{ asset('public/template/plugins/jquery/jquery.min.js') }}"></script>
 <script src="{{ asset('public/js/editfeegettrans.js') }}"></script> 
 
@endsection