@extends('layouts.template')
@section('title','Home')
@section('heading','Privilages')
@section('breadcrumb','Home/Privilages')
@section('content')




    <div class="row">
        <div class="col-lg-12 grid-margin stretch-card">
            <div class="card">
                <div class="card-header" style="background:#005A9C;color:white;"><b></bn>Select</b></div>
                <div class="card-body">
                    <form action="{{ route('previlage.get') }}" method="post">
                        @csrf
                        <div class="row">
                            <div class="col-md-6">
                                <div class="form-group">
                                    <label for="type_id" class="required"><b>User Type</b></label>
                                    <div class="row">
                                        <div class="col-sm-6">
                                            <select class="js-example-basic-single" id="type_id" name="type_id" required style="width:100%">
                                                <option value="">Select</option>
                                                @foreach($utypes as $utype)
                                                    <option value="{{ $utype->type_id }}" {{ old('type_id')==$utype->type_id ? "selected":"" }}>{{ $utype->type_name }}</option>
                                                @endforeach
                                            </select>
                                            @error('type_id')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
                                        </div>
                                        <div class="col-sm-6">
                                            <button type="submit" class="btn btn-primary">Get</button>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </form>
                </div>
            </div>
        </div>
    </div>
    
    
    
   
    <style>
        .card-body{
            border-left:1px solid #DCDCDC;
            border-right:1px solid #DCDCDC;
            border-bottom:1px solid #DCDCDC;
             
          
        }
        
    </style>
@endsection