<div class="card" style="border-top:3px solid #004170">
    <div class="card-body">
         <div align="right">
      <form action="<?php echo e(route('staff.reservebooks.save')); ?>" method="post">
    <?php echo csrf_field(); ?>
 
    <input type="hidden" id="categ_id" name="categ_id" value="<?php echo e(encrypt($categ_id)); ?>">
    <input type="hidden" id="subcateg_id" name="subcateg_id" value="<?php echo e(encrypt($subcateg_id)); ?>">
    <input type="hidden" id="date" name="date" value="<?php echo e(encrypt($date)); ?>">
    
  <div id="totalStudents" class="mb-3"></div>
    <div class="row">
    <div class="col-md-12">
    <div class="form-group">
<?php if(!empty($books)): ?>
    <table id="table-fine" class="table table-bordered">
        <thead style="background-color:#8FBC8F">
            <tr>
                <th><b>#</b></th>
                <th>
                    <div class="form-check form-check-success d-flex justify-content-center align-items-center">
                        <label class="container">
                            <input type="checkbox" class="form-check-input" id="checkAll">
                        </label>
                    </div>
                </th>
                <th><b>Book No</b></th>
                <th><b>Title</b></th>
                <th><b>Author</b></th>
                <th><b>Current Status</b></th>
            </tr>
        </thead>
        <tbody>
            <?php 
                $i = 0; 
                // You could fetch the reservations and issued books in one query before the loop
                $issued_books = App\Models\BookIssueList::where('status', 0)
                    ->where('mem_det_id', $mem_det->id)
                    ->where('member_type', 1)
                    ->where('member_id', $userId)
                    ->pluck('book_id')->toArray(); // Books the student has issued
                $reserved_books = App\Models\BookReservationList::where('lib_status', 0)
                    ->where('mem_det_id', $mem_det->id)
                    ->where('member_type', 1)
                    ->where('member_id', $userId)
                    ->pluck('book_id')->toArray(); // Books the student has reserved
            ?>
            <?php $__currentLoopData = $books; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $bk): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                <?php 
                    $quantity = 0;
                    $availability = "Not available";
                    $issued_qty = App\Models\BookIssueList::where('book_id', $bk->id)
                        ->where('status', 0)
                        ->count();

                    if ($issued_qty < $bk->quantity) {
                        $quantity = $bk->quantity - $issued_qty;
                        $availability = "Available";
                    }

                    $checked = ($quantity <= 0 || in_array($bk->id, $issued_books) || in_array($bk->id, $reserved_books)) ? 'disabled' : '';
                ?>

                <?php if(!in_array($bk->id, $issued_books) && !in_array($bk->id, $reserved_books)): ?>
                    <?php $i++; ?>
                    <tr>
                        <td><?php echo e($i); ?></td>
                        <td align="center">
                            <div class="form-check form-check-success d-flex justify-content-center align-items-center">
                                <label class="container">
                                    <input type="checkbox" class="form-check-input checkSub" name="posted[]" value="<?php echo e($bk->id); ?>" <?php echo e($checked); ?>>
                                </label>
                            </div>
                        </td>
                        <td><?php echo e($bk->book_no); ?></td>
                        <td><?php echo e($bk->title); ?></td>
                        <td><?php echo e($bk->author); ?></td>
                        <td><?php echo e($availability); ?></td>
                    </tr>
                <?php endif; ?>
            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
        </tbody>
    </table><br>

    <div class="row">
        <div class="col-md-12">
            <div class="form-group">
                <button type="submit" class="btn btn-primary float-right">Reserve</button>
            </div>
        </div>
    </div>
<?php endif; ?>
</div></div></div>
</div></div></div>
<script src="<?php echo e(asset('public/js/studall.js')); ?>"></script> <?php /**PATH /home/cllgdemodrlnt/public_html/resources/views/books/staff/book_reservation_get.blade.php ENDPATH**/ ?>