
<?php $__env->startSection('title', 'Home'); ?>
<?php $__env->startSection('heading', 'Fee-Report'); ?>
<?php $__env->startSection('breadcrumb', 'Home/Fees/Fee-Report'); ?>
<?php $__env->startSection('content'); ?>

<div class="row">
    <div class="col-12">
        <br>
        <div class="col-lg-12 grid-margin stretch-card">
            <div class="card" style="border-top:1px solid green">
                <div class="card-header" style="background-color:#004170;color:white;">
                    <b>Fee Report</b>
                </div>
                <div class="card-body" style="border-left:1px solid #DCDCDC; border-right:1px solid #DCDCDC; border-bottom:1px solid #DCDCDC;">
                    <div class="form-group row">
                        <div class="col-md-12">
                            <div class="scroll">
                                <table class="table table-bordered" style="background-color:#F0F0F0">
                                    <thead style="background-color:#FEBE10;">
                                        <th><b>Bill Number</b></th>
                                        <th><b>Bill Date</b></th>
                                        <th><b>Paid Amount</b></th>
                                        <th><b>Discount</b></th>
                                        <th><b>Fine</b></th>
                                        <th><b>Payment Mode</b></th>
                                        <th><b>Print</b></th>
                                    </thead>  
                                    <tbody>
                                        <?php $__empty_1 = true; $__currentLoopData = $grouped_payments; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $bill_number => $payments): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); $__empty_1 = false; ?>
                                            <?php
                                                $total_fee_amount = $payments->sum('fee_amount');
                                                $total_discount = $payments->sum('discount');
                                                $fine = $payments->sum('fine_amount');
                                            ?>
                                            <tr>
                                                <td><?php echo e($bill_number); ?></td>
                                                <td><?php echo e(date('d-m-Y',strtotime($payments[0]->paid_date))); ?></td>
                                                <td><?php echo e($total_fee_amount - $total_discount + $fine); ?></td>
                                                <td><?php echo e($total_discount); ?></td>
                                                <td><?php echo e($fine); ?></td>
                                                <td><?php echo e($payments[0]->mode->mode_name); ?></td>
                                                <td><a href="<?php echo e(route('studentlog.history.print', ['receipt_no' => $payments[0]->receipt_no, 'paid_date' => $payments[0]->paid_date])); ?>" target="_blank"><i style="font-size:20px;" class="icon-sm icon-printer text-danger"></i></a></td>
                                            </tr>
                                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); if ($__empty_1): ?>
                                            <tr>
                                                <td colspan="7">No Result Found!</td>
                                            </tr>
                                        <?php endif; ?>
                                    </tbody>
                                </table>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div> 
</div>

<style>
    th, td {
        text-align: left;
        padding: 8px;
    }
    tr:nth-child(even) { background-color: #F8F8F8; }
    tr:hover { background-color: #B9D9EB; cursor: pointer; }
</style>

<?php $__env->stopSection(); ?>

<?php echo $__env->make('layouts.student-template', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/cllgdemodrlnt/public_html/resources/views/studentlogin/fees/studentfee.blade.php ENDPATH**/ ?>