<?php

namespace App\Exports;

use App\Models\Student;
use Maatwebsite\Excel\Concerns\FromCollection;
use Illuminate\Support\Collection;
class StudentsExport implements FromCollection
{
    /**
    * @return \Illuminate\Support\Collection
    */
    protected $ac_id;
    protected $course_id;

 public function __construct($ac_id, $course_id)
    {
        $this->ac_id = $ac_id;
        $this->course_id = $course_id;
    }
    public function collection()
    {
       $students = Student::where('course_id', $this->course_id)
                           ->where('ac_id', $this->ac_id)
                           ->get();
                           return $students;
    }

    
     public function headings(): array
    {
        return [
            '#',
            'Admission No.',
            'Student Name',
            'Quota',
            'Mobile Number',
        ];
    }
    
    
}
