<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\SoftDeletes;
class Accounttype extends Model
{
    use HasFactory, SoftDeletes;
    protected $table  = 'account_type';
    protected $primaryKey = 'accounttype_id';
    protected $guarded = [];
    
    public static function getDefaultAccountId()
    {
        return self::where('default1', 1)->value('accounttype_id');
    }
}
