<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\SoftDeletes;
class BookReservationList extends Model
{
     use HasFactory,SoftDeletes;
    protected $table = 'book_reservation_list';
    protected $primaryKey = 'id'; 
    
    protected $guarded = [];
    
    public function book()
    {
        return $this->belongsTo(Books::class, 'book_id'); 
    }
    public function membertypes()
    {
        return $this->belongsTo(Membershiptype::class, 'member_type'); 
    }
}
