<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\SoftDeletes;

class Community extends Model
{
    use HasFactory, SoftDeletes;
    protected $table = 'community';
    
    protected $primaryKey = 'community_id'; 
    
    protected $guarded = [];
    
    protected $hidden = ['community_id'];
    
    public function religion(){
        return $this->hasOne(Religion::class,'religion_id','religion_id');
    }
}
