<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\SoftDeletes;

class FeeType extends Model
{
    use HasFactory, SoftDeletes;
    
    protected $table = 'fee_types';
    
    protected $primaryKey = 'type_id'; 
    
    protected $guarded = [];
    
    protected $hidden = ['type_id'];
}
