<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class GenerateStaffCertificate extends Model
{
    use HasFactory;
    protected $table = 'generate_staff_certificate';
     protected $primaryKey = 'genstafcert_id'; 
     protected $guarded = [];
    
     protected $hidden = ['genstafcert_id'];
     public function staff(){
        return $this->hasOne(User::class,'user_id','user_id');
    }
    public function template(){
        return $this->hasOne(CertificateStaffTemplate::class,'templatestaff_id','templatestaff_id');
    } 
    public function stafftype()
    {
         return $this->hasOne(Stafftype::class,'staftyp_id','staftyp_id');
    }
    public function UserType()
    {
         return $this->hasOne(UserType::class,'type_id','type_id');
        
    }
}
