<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class HOD extends Model
{
    use HasFactory;
    protected $table = 'section_head';
    protected $primaryKey = 'hod_id'; 
    
    protected $guarded = [];
    
    protected $hidden = ['hod_id'];
    
    
    public function acyear(){
        return $this->hasOne(Acyear::class,'ac_id','ac_id');
        
    }
    public function dept(){
        return $this->hasOne(Department::class,'id','id');
    }
      public function user(){
        return $this->hasOne(User::class,'user_id','user_id');
    }
}
