<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\SoftDeletes;

class HostelFacility extends Model
{
    use HasFactory, SoftDeletes;
    
    protected $table = 'hostel_facilities';
    
    protected $primaryKey = 'hf_id'; 
    
    protected $guarded = [];
    
    protected $hidden = ['hf_id'];
    
    public function hostel(){
        return $this->hasOne(Hostel::class,'hostel_id','hostel_id');
    }
    
    public function student(){
        return $this->hasOne(Students::class,'student_id','student_id');
    }
}
