<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\SoftDeletes;
class Iqacdocumentupload extends Model
{
    use HasFactory;
    protected $table  = 'iqacupload_document';
   
    protected $guarded = [];
    
    protected $hidden = ['id'];
    public function criteria(){
        return $this->belongsTo(iqacmodel::class,'criteria_id','id')->withDefault(['name' => '']);
    }
     public function document(){
        return $this->belongsTo(Iqacdocumentmodel::class,'document_id','id')->withDefault(['name' => '']);
    }
      public function staff(){
        return $this->belongsTo(User::class,'staff_id','id')->withDefault(['name' => '']);
    }
     public function acyear(){
        return $this->belongsTo(Acyear::class,'acyear_id','ac_id')->withDefault(['name' => '']);
    }
}
