<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\SoftDeletes;

class ObeActivity extends Model
{
    use HasFactory,SoftDeletes;
    protected $table  = 'obe_activity';
    protected $guarded = [];
    protected $hidden = ['id'];
    public function domain(){
        return $this->belongsTo(ObeDomain::class,'domain_id','id')->withDefault(['name' => '']);
    }
}
