<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\SoftDeletes;
class ObeActivityOutcome extends Model
{
    use HasFactory,SoftDeletes;
    protected $table  = 'obe_activity_outcome';
    protected $guarded = [];
    protected $hidden = ['id'];
    public function activity(){
        return $this->belongsTo(ObeActivity::class,'activity_id','id')->withDefault(['name' => '']);
    }
}
