<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\SoftDeletes;
class ObeQuestions extends Model
{
    use HasFactory,SoftDeletes;
    protected $table  = 'internal_obe_questions';
    protected $guarded = [];
    protected $hidden = ['id'];
    
     public function subquestn(){
        return $this->hasmany(ObeQuestions::class,'id','qstn_id');
    }
    
    public function leveln(){
        return $this->belongsTo(ObeLevel::class,'bt_lvl','id')->withDefault(['name' => '']);
    }
    
    public function coursoutcmn(){
        return $this->belongsTo(ObeCo::class,'co_id','id')->withDefault(['name' => '']);
    }
    
     public function subtypen(){
        return $this->belongsTo(SubjectType::class,'subtyp_id','subject_type')->withDefault(['name' => '']);
    }
    
}
