<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\SoftDeletes;

class Stockunit extends Model
{
    use HasFactory, SoftDeletes;
    protected $table = 'stock_unit';
    
    protected $primaryKey = 'stock_id'; 
    protected $guarded = [];
    
    protected $hidden = ['stock_id'];
    
}
