<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class StudentLeaveRequest extends Model
{
    use HasFactory;
      protected $table = 'table_student_leave_request';
    protected $primaryKey = 'stulvreq_id'; 
    protected $guarded = [];
    
    protected $hidden = ['stulvreq_id'];
    
    public function student()
    {
        return $this->hasOne(Student::class,'student_id','student_id'); 
    }
}
