<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('lib_book_sub_location', function (Blueprint $table) {
       $table->bigIncrements('sl_id'); 
        $table->unsignedBigInteger('ml_id');
          $table->foreign('ml_id')->references('ml_id')->on('lib_book_main_location');
          $table->double('subloc_code');
          $table->string('subloc_name');
           $table->timestamps();
           $table->softDeletes();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('lib_book_sub_location');
    }
};
