<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('staff_leave_type', function (Blueprint $table) {
          
           $table->bigIncrements('leavtyp_id');
           $table->double('year');
            $table->unsignedBigInteger('stfcate_id');
       $table->foreign('stfcate_id')->references('stfcate_id')->on('staff_category');
       $table->unsignedBigInteger('staftyp_id');
       $table->foreign('staftyp_id')->references('staftyp_id')->on('staff_type');
       $table->unsignedBigInteger('desig_id');
       $table->foreign('desig_id')->references('desig_id')->on('staff_designation');
        $table->unsignedBigInteger('leav_id');
       $table->foreign('leav_id')->references('leav_id')->on('staff_leave_setting');
       $table->double('max_allwdleav');
            $table->timestamps();
            $table->softDeletes();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('staff_leave_type');
    }
};
