<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
         Schema::create('staff_leave_allowance', function (Blueprint $table) {
         $table->bigIncrements('allowance_id');
            $table->unsignedBigInteger('accounttype_id');
          $table->foreign('accounttype_id')->references('accounttype_id')->on('account_type');
          $table->double('allowance_code');
          $table->string('allowance_name');
            $table->timestamps();
            $table->softDeletes();
         });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        //
    }
};
