<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('caste', function (Blueprint $table) {
            $table->bigIncrements('caste_id'); 
        $table->unsignedBigInteger('religion_id');
          $table->foreign('religion_id')->references('religion_id')->on('religion');
          $table->unsignedBigInteger('community_id');
          $table->foreign('community_id')->references('community_id')->on('community');
          $table->string('caste');
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('caste');
    }
};
