<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('staff_leave_type_new', function (Blueprint $table) {
            $table->bigIncrements('leavtyp_id'); 
            $table->double('year');
            $table->unsignedBigInteger('staftyp_id');
       $table->foreign('staftyp_id')->references('staftyp_id')->on('staff_type');
        $table->unsignedBigInteger('type_id');
       $table->foreign('type_id')->references('type_id')->on('user_types');
       $table->unsignedBigInteger('leav_id');
       $table->foreign('leav_id')->references('leav_id')->on('staff_leave_setting');
       $table->double('max_allwdleav');
        $table->timestamps();
        $table->softDeletes();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('staff_leave_type_new');
    }
};
