<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('feeback_subcriteria', function (Blueprint $table) {
           $table->bigIncrements('fdbksubc_id');
             $table->unsignedBigInteger('fdbkmainc_id');
       $table->foreign('fdbkmainc_id')->references('fdbkmainc_id')->on('feedback_maincriteria');
       $table->string('sub_criteria');
            $table->timestamps();
              $table->softDeletes();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('feeback_subcriteria');
    }
};
