<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('obe_assessment_method', function (Blueprint $table) {
            $table->dropColumn('type_id');
            $table->string('type');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('obe_assessment_method', function (Blueprint $table) {
            $table->unsignedBigInteger('type_id');
            $table->dropColumn('type');
        });
    }
};
