<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('obe_pso', function (Blueprint $table) {
            $table->id();
            $table->unsignedBigInteger('c_categ');
            $table->unsignedBigInteger('course');
            $table->string('pso_no');
            $table->string('pso_name');
            $table->timestamps();
             $table->softDeletes();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('obe_pso');
    }
};
