<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('co_attainment_level', function (Blueprint $table) {
            $table->id();
            $table->string('level');
            $table->unsignedTinyInteger('target');
            $table->double('f_per');
            $table->double('t_per');
            $table->unsignedBigInteger('ac_id');
            $table->timestamps();
             $table->softDeletes();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('co_attainment_level');
    }
};
