<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('co_pso', function (Blueprint $table) {
            $table->id();
             $table->unsignedBigInteger('co_id');
             $table->unsignedBigInteger('pso_id');
             $table->unsignedBigInteger('level_id');
             $table->unsignedBigInteger('assmnt_method');
             $table->unsignedBigInteger('mapping_level');
             $table->unsignedBigInteger('course');
             $table->unsignedBigInteger('sem_id');
             $table->unsignedBigInteger('sub_type');
             $table->unsignedBigInteger('sub');
             $table->unsignedBigInteger('ac_id');
             $table->timestamps();
             $table->softDeletes();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('co_pso');
    }
};
