<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('internal_obe_subquestions', function (Blueprint $table) {
            $table->id();
            $table->unsignedBigInteger('qstn_id');
            $table->string('sub_questn');
            $table->tinyInteger('type');
            $table->unsignedBigInteger('main_qs_no');
            $table->timestamps();
            $table->softDeletes();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('internal_obe_subquestions');
    }
};
