<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('enquiry', function (Blueprint $table) {
            $table->id();
            $table->string('visitor_name');
            $table->string('address');
            $table->date('en_date');
            $table->string('mobile');
            $table->string('landline');
            $table->string('visitors_query');
            $table->string('form_no');
            $table->string('class');
            $table->string('fee');
            $table->string('remarks');
            $table->date('nxt_follow_date');
            $table->unsignedBigInteger('acyear');
            $table->timestamps();
            $table->softDeletes();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('enquiry');
    }
};
