<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('library_members_due', function (Blueprint $table) {
            $table->id();
            $table->unsignedBigInteger('member_type');
            $table->double('fine_amount');
            $table->unsignedBigInteger('fine_count');
            $table->unsignedBigInteger('fine_per');
            $table->unsignedBigInteger('ac_id');
            $table->timestamps();
            $table->softDeletes();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('library_members_due');
    }
};
