$(document).ready(function(){
    
    $("#checkAll").on('click',function () {
        if($(this).is(':checked')){
            $('.checkSub').each(function(){
                this.checked = true;
            });
        }else{
            $('.checkSub').each(function(){
                this.checked = false;
            });
        }
        get_total();
    });
    
    $(".checkSub").on('change',function () {
        get_total();
    });
});

function showFee(amount,month,year,ftype){
    amount = parseFloat(amount);
    if(isNaN(amount) || amount==null || amount < 0){ amount=0; }
    var cur_fee = parseFloat($("#current_fee"+month+"-"+year+"-"+ftype).val());
    if(isNaN(cur_fee) || cur_fee==null){ cur_fee=0; }
    if(amount > cur_fee){ amount=cur_fee; }
    $("#fee_amount"+month+"-"+year+"-"+ftype).val(amount);
    
    var disc_amount = parseFloat($("#disc_amount"+month+"-"+year+"-"+ftype).val());
    if(isNaN(disc_amount) || disc_amount==null){ disc_amount=0; }
    if(disc_amount>amount){ disc_amount=amount; }
    $("#disc_amount"+month+"-"+year+"-"+ftype).val(disc_amount)
    var total = amount-disc_amount;
    $(".ftotal"+month+"-"+year+"-"+ftype).html(total);
    
    get_total();
}

function showDisc(amount,month,year,ftype){
    amount = parseFloat(amount);
    if(isNaN(amount) || amount==null || amount < 0){ amount=0; }
    var fee_amount = parseFloat($("#fee_amount"+month+"-"+year+"-"+ftype).val());
    if(isNaN(fee_amount) || fee_amount==null){ fee_amount=0; }
    if(amount > fee_amount){ amount=fee_amount; }
    $("#disc_amount"+month+"-"+year+"-"+ftype).val(amount);
    
    var total = fee_amount-amount;
    $(".ftotal"+month+"-"+year+"-"+ftype).html(total);
    
    get_total();
}
    
function get_total(){
    var total=0;
    $('input:checkbox.checkSub').each(function () {
        if(this.checked){
            var code = $(this).val();
            var fee = parseFloat($("#fee_amount"+code).val());
            if(isNaN(fee) || fee==null){ fee=0; }
            var disc = parseFloat($("#disc_amount"+code).val());
            if(isNaN(disc) || disc==null){ disc=0; }
            
            total += fee-disc;
        }
    });
    
    $("#gtotal").html(total.toFixed(2));
}