    $(document).ready(function() {
  
  
    $("#btn-get").on('click', function() {
        var course = $('#course_id').val();
        var sem = $('#semester_id').val();
        var sub = $('#subject_id').val();
        var month = $('#month').val();

       
        $("#result").html('');
        $("#result").append('<div class="overlay"><div class="spinner-border"></div></div>');
        
     
        if(course === '' || sem === '' || sub === '' || month === '') {
            alert('Please select all mandatory fields!');
        } else {
        
            absentview(course, sem, sub, month);
        }
    });

    $("#absent-get").on('click', function() {
        var course = $('#course_id').val();
        var sem = $('#semester_id').val();
        var sub = $('#subject_id').val();
        var absentDate = $('#absentDate').val();
        var studentId = $('#studentId').val();
        var reason = $('#absentReason').val();
        var am = $('#amRadio').prop('checked') ? 1 : 0;
        var pm = $('#pmRadio').prop('checked') ? 1 : 0;
        var leaveType = $('#stuleav_id').val();
        var month = $('#month').val();

       
        // if (am && pm) {
        //     alert("Both AM and PM are selected for a full-day absence.");
        // } else if (am) {
        //     alert("AM is selected for half-day absence.");
        // } else if (pm) {
        //     alert("PM is selected for half-day absence.");
        // } else {
        //     alert("The student is marked as present for the full day.");
        // }

    
        if (!course || !sem || !sub || !absentDate || !studentId || !reason || !leaveType || !month) {
            alert("Please fill in all required fields!");
            return;
        } else {
          
            $.ajax({
                type: 'get',
                url: '../studentabsent-save',
                data: {
                    course: course,
                    sem: sem,
                    sub: sub,
                    absentDate: absentDate,
                    studentId: studentId,
                    reason: reason,
                    amChecked: am,
                    pmChecked: pm,
                    leaveType: leaveType,
                    month: month
                },
                success: function(response) {
                  
                    $('#absentFormModal').modal('hide');
                    absentview(course, sem, sub, month);
                },
            });
        }
    });
});

function absentview(cid, sid, sub, month) {
    $.ajax({
        type: 'GET',
        url: '../studentattendance-get',
        data: { tid: cid, did: sid, sub: sub, month: month },
        success: function(response) {
            $("#result").html('');
            $("#result").append(response);
        },
        // error: function(xhr, status, error) {
        //     console.log("Error in AJAX request:", error);
        // }
    });
}
