
@extends('layouts.template')
@section('title','Home')
@section('heading','Certificate')
@section('breadcrumb','Home/Certificate/Student')
@section('content')
    <div class="row">
    <div class="col-lg-12 grid-margin stretch-card">
    <div class="card">
    <div class="card-body">
    <div class="card-tools">
    {{ app_button_links(array(363,364,367,368)) }}
    </div>
        </div>
        </div>
        </div>
        </div>
    <div class="row">
    <div class="col-lg-12 grid-margin stretch-card">
    <div class="card">
    <div class="card-header" style="background-color:#005A9C;color:white"><b>Generate-Edit</b></div>    
    <div class="card-body">
        <form action="{{route('certificate.generated.update.student')}}" method="post">
             @csrf
            <input type="hidden" name="genstucert_id" value="{{ $generateStucert->genstucert_id }}">
           
        <div class="row">
        <div class="col-md-3">
        <div class="form-group"> 
             <label for="ac_id"><b>Academic Year</b></label>
                        <select class="form-control" id="acyear"  name="ac_id" required>
                        <option value=""><span class="fw-bold">Select</span></option>
                        @php $ac_id=old('ac_id') ?? $generateStucert->ac_id; @endphp
                        @foreach($acyears as $acyear)
                        <option value="{{ $acyear->ac_id }}" {{ $ac_id==$acyear->ac_id ? "selected":"" }}>{{ $acyear->start_date_formatted.' - '.$acyear->end_date_formatted }}</option>
                        @endforeach
                        </select>
                        @error('ac_id')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
            </div>
            </div>
            <div class="col-md-3">
        <div class="form-group"> 
             <label for="student_id"><b>Students</b></label>
                        <select class="form-control" id="student_id"  name="student_id" required>
                        <option value=""><span class="fw-bold">Select</span></option>
                         @php $student_id=old('student_id') ?? $generateStucert->student_id; @endphp
                        @foreach($student as $students)
                        <option value="{{ $students->student_id }}" {{ $student_id==$students->student_id ? "selected":"" }}>{{ $students->name}}</option>
                        @endforeach
                        </select>
                        @error('ac_id')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
            </div>
            </div>
         <div class="col-md-3">
        <div class="form-group"> 
             <label for="template_id"><b>Certificate</b></label>
                        <select class="form-control" id="template_id"  name="template_id" required>
                        <option value=""><span class="fw-bold">Select</span></option>
                        @php $certificate_id=old('template_id') ?? $generateStucert->template_id; @endphp
                        @foreach($certificate as $certificates)
                        <option value="{{ $certificates->template_id }}" {{ $certificate_id==$certificates->template_id ? "selected":"" }}>{{ $certificates->title}}</option>
                        @endforeach
                        </select>
                        @error('template_id')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
            </div>
            </div>   
        <div class="col-md-3">
        <div class="form-group"> 
        <label for="certificate_number"><b>Certificate Number</b></label>
        <input type="text" name="certificate_number" class="form-control" value="{{$generateStucert->certificate_number}}">
        </div>
        </div>
          <div class="col-md-3">
        <div class="form-group"> 
        <label for="date"><b>Date</b></label>
        <input type="date" name="date" class="form-control" value="{{$generateStucert->date}}">
        </div>
        </div>  
            
            </div>
            <div class="row">
                <div class="col-md-12">
                    <input type="submit" name="sub" value="Update" class="btn btn-primary  float-right">
                </div>
            </div>
        
        
       </form>
       </div>
        </div>
        </div>
        </div>
        
        @endsection