
@extends('layouts.template')
@section('title','Home')
@section('heading','Certificate')
@section('breadcrumb','Home/Certificate/Staff')
@section('content')
    <div class="row">
    <div class="col-lg-12 grid-margin stretch-card">
   
    <div class="card-tools">
    {{ app_button_links(array(370,371,372,373)) }}
    </div>
        </div>
        </div>
        
    <div class="row">
    <div class="col-lg-12 grid-margin stretch-card">
    <div class="card">
    <div class="card-header" style="background-color:#005A9C;color:white"><b>Generate</b></div>    
    <div class="card-body">
        <form action="{{route('certificate.staff.generate.save')}}" method="post">
            @csrf
        <div class="row">
      
            <div class="col-md-3">
        <div class="form-group"> 
             <label for="user_id" class="required"><b>Staff</b></label>
                        <select class="form-control" id="user_id"  name="user_id" required>
                        <option value=""><span class="fw-bold">Select</span></option>
                        @foreach($staff as $staffs)
                        <option value="{{ $staffs->user_id }}" {{ old('user_id')==$staffs->user_id ? "selected":"" }}>{{ $staffs->name}}</option>
                        @endforeach
                        </select>
                        @error('user_id')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
            </div>
            </div>
         <div class="col-md-3">
        <div class="form-group"> 
             <label for="templatestaff_id" class="required"><b>Certificate</b></label>
                        <select class="form-control" id="templatestaff_id"  name="templatestaff_id" required>
                        <option value=""><span class="fw-bold">Select</span></option>
                        @foreach($certificate as $certificates)
                        <option value="{{ $certificates->templatestaff_id }}" {{ old('templatestaff_id')==$certificates->templatestaff_id ? "selected":"" }}>{{ $certificates->title}}</option>
                        @endforeach
                        </select>
                        @error('templatestaff_id')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
            </div>
            </div>   
        <div class="col-md-3">
        <div class="form-group"> 
        <label for="certificate_number" class="required"><b>Certificate Number</b></label>
        <input type="text" name="certificate_number" class="form-control" value="{{$nxt_cert_no}}">
        </div>
        </div>
          <div class="col-md-3">
        <div class="form-group"> 
        <label for="date" class="required"><b>Date</b></label>
        <input type="date" name="date" class="form-control" value="{{date('Y-m-d')}}">
        </div>
        </div>  
            
            </div>
            <div class="row">
                <div class="col-md-12">
                    <input type="submit" name="sub" value="Add" class="btn btn-primary  float-right">
                </div>
            </div>
        
        
       </form>
       </div>
        </div>
        </div>
        </div>
        
        @endsection