
@extends('layouts.template')
@section('title','Home')
@section('heading','Certificate')
@section('breadcrumb','Home/Certificate/Staff')
@section('content')
<div class="row">
<div class="col-lg-12 grid-margin stretch-card">
           
            <div class="card-tools">
            {{ app_button_links(array(370,371,372,373)) }}
            </div>
            </div>
              </div>  
                
                
                
                <div class="row">
<div class="col-lg-12 grid-margin stretch-card">
                <div class="card"  style="border-top:2px solid #005A9C">
                <div class="card-header" style="background-color:#005A9C;color:white"></div> 
                <div class="card-body">
                <table class="table table-bordered">
                        <thead>
                        <tr>
                            <th><b>Name</b></th>
                            <th><b>Title</b></th>
                            <th colspan="3"><b>Actions</b></th>
                        </tr>
                        </thead>
                        <tbody>
                            @forelse($certificate as $certificates)
                                <tr>
                                    <td>{{ $certificates->name }}</td>
                                    <td>{{ $certificates->title }}</td>
                                    <td><a href="{{route('staff.template.view',['id'=>$certificates->templatestaff_id ])}}"><i class="icon-sm icon-magnifier text-primary"></i></a></td>
                                     <td><a href="{{route('staff.template.edit',['id'=>$certificates->templatestaff_id ])}}"><i class="icon-pencil text-primary"></i></a></td>
                                     <td><a href="{{route('staff.template.delete',['id'=>$certificates->templatestaff_id ])}}"   onclick="return confirm('Are you sure you want to delete this Template?');"><i class="icon-trash text-danger"></i></a>
                                     </td>
                                    
                                </tr>
                            @empty
                                <tr>
                                    <td colspan="2">No Result Found !</td>
                                </tr>
                            @endforelse
                        </tbody>
                    </table>
                </div>
                </div>
            </div>
        </div>
    </div>
    
    </div>
    </div>
    
    
    
    <style>
       
       
        .form-control{
            border:1px solid black;
        }
        .card-body{
            border-left:1px solid #DCDCDC;
            border-right:1px solid #DCDCDC;
            border-bottom:1px solid #DCDCDC;
             
          
        }
    </style>
@endsection