
@extends('layouts.template')
@section('title','Home')
@section('heading','Generate')
@section('breadcrumb','Home/Certificate/Event-Generate')
@section('content')
    <div class="row">
    <div class="col-lg-12 grid-margin stretch-card">
    <div class="card">
    <div class="card-body">
    <div class="card-tools">
    {{ app_button_links(array(383,384,385,386)) }}
    </div>
        </div>
        </div>
        </div>
        </div>
    <div class="row">
    <div class="col-lg-12 grid-margin stretch-card">
    <div class="card">
    <div class="card-header" style="background-color:#005A9C;color:white"><b>Generate</b></div>    
    <div class="card-body">
        <form action="{{route('event.generate.report.update')}}" method="post">
            @csrf
            <input type="hidden" name="evntgen_id" value="{{$gen_id->evntgen_id}}">
        <div class="row">
      
            <div class="col-md-3">
        <div class="form-group"> 
             <label for="student_id"><b>Student</b></label>
                        <select class="form-control" id="student_id"  name="student_id" required>
                        <option value=""><span class="fw-bold">Select</span></option>
                         @php $student_id=old('student_id') ?? $gen_id->student_id; @endphp
                        @foreach($students as $student)
                        <option value="{{ $student->student_id }}" {{ $student_id==$student->student_id ? "selected":"" }}>{{ $student->name}}</option>
                        @endforeach
                        </select>
                        @error('user_id')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
            </div>
            </div>
             <div class="col-md-3">
        <div class="form-group"> 
             <label for="addevent_id"><b>Events</b></label>
                        <select class="form-control" id="addevent_id"  name="addevent_id" required>
                        <option value=""><span class="fw-bold">Select</span></option>
                         @php $evnt_id=old('addevent_id') ?? $gen_id->addevent_id; @endphp
                        @foreach($event as $events)
                        <option value="{{ $events->addevent_id }}" {{ $evnt_id==$events->addevent_id ? "selected":"" }}>{{ $events->event}}</option>
                        @endforeach
                        </select>
                        @error('addevent_id')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
            </div>
            </div>  
            
            
             <div class="col-md-3">
             <div class="form-group"> 
             <label for="addcompt_id"><b>Competition</b></label>
            <select class="form-control" id="addcompt_id"  name="addcompt_id" required>
               
            </select>
            </div>
            </div> 
            
          <div class="col-md-3">
             <div class="form-group"> 
             <label for="grade"><b>Grade</b></label>
            <input type="text" name="grade" class="form-control" value="{{$gen_id->grade}}">
            </div>
            </div> 
          <div class="col-md-3">
             <div class="form-group"> 
             <label for="position"><b>Position</b></label>
            <input type="text" name="position" class="form-control" value="{{$gen_id->position}}">
            </div>
            </div> 
          
          
            
         <div class="col-md-3">
        <div class="form-group"> 
             <label for="evnttem_id"><b>Certificates</b></label>
                        <select class="form-control" id="evnttem_id"  name="evnttem_id" required>
                        <option value=""><span class="fw-bold">Select</span></option>
                        @php $temp_id=old('evnttem_id') ?? $gen_id->evnttem_id; @endphp
                        @foreach($template as $templates)
                        <option value="{{ $templates->evnttem_id }}" {{ $temp_id==$templates->evnttem_id ? "selected":"" }}>{{ $templates->title}}</option>
                        @endforeach
                        </select>
                        @error('evnttem_id')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
            </div>
            </div>   
        <div class="col-md-3">
        <div class="form-group"> 
        <label for="certificate_number"><b>Certificate Number</b></label>
        <input type="text" name="certificate_number" class="form-control" value="{{$gen_id->certificate_number}}">
        </div>
        </div>
          <div class="col-md-3">
        <div class="form-group"> 
        <label for="date"><b>Date</b></label>
        <input type="date" name="date" class="form-control" value="{{$gen_id->date}}">
        </div>
        </div>  
            
            </div>
            <div class="row">
                <div class="col-md-12">
                    <input type="submit" name="sub" value="Update" class="btn btn-primary  float-right">
                </div>
            </div>
        
        
       </form>
       </div>
        </div>
        </div>
        </div>
        <script src="{{ asset('public/template/plugins/jquery/jquery.min.js') }}"></script>
     <script src="{{ asset('public/js/competition.js') }}"></script> 
        @endsection