@extends('layouts.template')
@section('title','Home')
@section('heading','Certificate')
@section('breadcrumb','Home/Certificate/Student')
@section('content')


<div class="row">
<div class="col-lg-12 grid-margin stretch-card">
<div class="card">
<div class="card-header" style="background-color:#005A9C;color:white"></div>
<div class="card-body">
<div class="container"> 
 <div class="certificate-shadow">



<table width="100%">
    <tr>
                    <td width="25%" rowspan="4" align="center"><img src="{{ asset('public/uploads/logo/'.$institution->logo) }}" alt="{{ $institution->logo }}" height="100px"></td>
                    <td width="50%" align="center">{{ $institution->name }}</td>
                    <td width="25%" rowspan="4" align="center"></td>
                </tr>
    <tr><td align="center">{{ $institution->affiliation }}</td></tr>
                <tr><td align="center">{{ $institution->address }}</td></tr>
                <tr><td align="center">{{ 'Ph : '.$institution->mobile.' '.$institution->landline }}</td></tr>
    </table>
  
  <hr style="background:#800000">
  
  
  <div class="head">
      
      
      <table width="100%">
                  <tr>
            <td class="float-left"><b>No. : </b></td>   
            <td align="right" style="white-space:nowrap"><b>DATE : {{ date('d/m/Y') }}</b></td>     
</tr>

<tr> <center><div id="title"><span style="font-size:20px;color:#800000"><b>{{strtoupper($template->title)}}</b></div></center>  </tr>

<tr>
 <td colspan="2" class="content">
     <br>
                        <p>{!! strip_tags($template->content) !!}</p>
                    </td>
                    </tr>
</table>
      </div>
      </div>


</div>
</div>
</div>
</div>
</div>
<style>
    
.certificate-shadow {
    border: 1px solid transparent; /* Optional: for a solid border */
    box-shadow: 0 4px 15px rgba(0, 0, 0, 0.2); /* Soft shadow */
    padding: 20px; /* Add some padding */
    border-radius: 8px; /* Optional: rounded corners */
    background-color: white; /* Ensure the background is white */
}

</style>
@endsection