
@extends('layouts.template')
@section('title','Dashboard')
@section('heading','')
@section('breadcrumb','')
@section('content')
 
                   

    @if(!empty($fees))
        <div class="row">
             <div class="col-lg-12 grid-margin stretch-card">
                <div class="card">
                    <div class="card-header" style="background-color:#005A9C;color:white;"><b>Daily Fee Report</b></div>
                    <div class="card-body">
                        <div class="form-group row">
                            <div class="col-md-12">
                                <div class="scroll">
                                    <table class="table table-bordered">
                                        <thead>
                                        <tr>
                                            <th><b>#</b></th>
                                            <th><b>Receipt No</b></th>
                                            <th><b>Date</b></th>
            								<th><b>Adm No</b></th>
            								<th><b>Name</b></th>
            								<th><b>Fee Amount</b></th>
            								<th><b>Paid Amount</b></th>
            								<th><b>Discount</b></th>
            								<th><b>Fine</b></th>
            								
            								
                                        </tr>
                                        </thead>
                                        <tbody>
                                            @php  $paid_fee=$fee_total=$discount_sum=$fine_sum=$i=0;
                                            foreach($fees as $fee){
                                                $famount = $fee['fee'];
                                                $discount = $fee['discount'];
                                                $discount_sum += $discount;
                                                $fine_amount=$fee['fine'];
                                                $fine_sum +=$fine_amount;
                                                $paidAmount = $famount - $discount+$fine_amount;
                                                
                                              
                                                @endphp
                                                <tr>
                                                    <td align="center">{{ ++$i }}</td>
                                                    <td align="center">{{ $fee['recno'] }}</td>
                                                    <td align="center">{{ date('d/m/Y',strtotime($fee['pdate'])) }}</td>
                                                    <td align="center">{{ $fee['adno'] }}</td>
                                                    <td>{{ $fee['name'] }}</td>
                                                    <td>{{number_format($famount,2) }}</td>
                                                    <td align="right">{{ number_format($paidAmount,2) }}</td>
                                                    <td align="right">{{number_format($discount,2)}}</td>
                                                   <td align="right">{{number_format($fine_amount,2)}}</td>
                                                </tr>
                                            @php $fee_total +=$famount;
                                           $paid_fee +=$paidAmount;
                                           
                                            } @endphp
                                        </tbody>
                                        <tfoot>
                                        <tr>
                                            <td colspan="5" class="font-weight-bold" style="font-size:20px" align="center">Grand Total</td>
                                            <td class="font-weight-bold" align="right" style="font-size:20px">{{ number_format($fee_total,2) }}</td>
                                            <td class="font-weight-bold" align="right" style="font-size:20px">{{ number_format($paid_fee,2) }}</td>
                                            <td class="font-weight-bold" align="right" style="font-size:20px">{{ number_format($discount_sum,2) }}</td>
                                            <td class="font-weight-bold" align="right" style="font-size:20px">{{ number_format($fine_sum,2) }}</td>
                                           
                                        </tr>
                                        </tfoot>
                                    </table>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    @else
        <div class="alert alert-danger" role="alert">No Result Found!</div>
    @endif
       </div>
                </div>
            </div>
        </div>
    <script src="{{ asset('public/template/plugins/jquery/jquery.min.js') }}"></script>
    <script src="{{ asset('public/js/fee.js') }}"></script>
    <style>
       
                      .dataTables_wrapper .dataTables_filter input {
   
    font-weight:bold;
    background-color: white;
    border: 1px solid black;
    border-radius: 4px;
    padding: 6px 10px;
    width: 300px; /* Adjust width as needed */
    box-shadow: inset 0 1px 2px rgba(0,0,0,0.1); /* Optional: add shadow */
}
.card-body{
            border-left:1px solid #DCDCDC;
            border-right:1px solid #DCDCDC;
            border-bottom:1px solid #DCDCDC;
          
        }

    </style>
@endsection