@extends('layouts.template')
@section('title','')
@section('heading','')
@section('breadcrumb','')
@section('content')
 
                 
        <div class="row">
        <div class="col-lg-12 grid-margin stretch-card">
        <div class="card">
        <div class="card-header" style="background: #005A9C;color:white;"><b>Hostel Fee Report</b></div> 
        <div class="card-body">
        <table class="table table-bordered" id="dueTable" width="100%">
        <thead>
        <tr>
                            <th><b>Rec No</b></th>
                            <th><b>Date</b></th>
                            <th><b>Adm No</b></th>
                            <th><b>Name</b></th>
                            <th><b>Course</b></th>
                            <th><b>Semester</b></th>
                            <th class="no-sort aright"><b>Paid Amount</b></th>
                            
                        </tr>
                        </thead>
                        <tbody>
                        </tbody>
                    </table>
                    <div class="row">
                    <div class="col-8 text-right font-weight-bold">Total :</div>
                    <div class="col-4 font-weight-bold" id="total">0.00</div>
                    </div>
                    </div>
    </div>
    </div>
    </div>
    
    
    
    
         </div>
    </div>
    </div>
    </div>
    <script src="{{ asset('public/template/plugins/jquery/jquery.min.js') }}"></script>
    <script src="{{ asset('public/js/fee.js') }}"></script>
    <script>
        $(function () {
            var dueTable = $("#dueTable").DataTable({
                lengthChange: true,
                scrollX: true,
                searching: true,
                processing : true,
                serverSide : true,
                columnDefs : [{ targets: 'no-sort', orderable: false },{ targets: 'aright', className: 'text-right'}],
                ajax : {
                    url : '{{ route('dash.dailyhostel.get') }}',
                    dataType : 'json',
                    type : 'GET',
                },
                columns : [
                    { data : 'recno' },
                    { data : 'date' },
                    { data : 'adno' },
                    { data : 'name' },
                    { data : 'course' },
                    { data : 'semester' },
                    { data : 'amount' },
                   
                ]
            });
            $('#getData').click(function(){
                dueTable.draw();
                get_total();
            });
            get_total();
        });
        
        function get_total(){
            var course = $('#course').val();
            var semester = $('#semester').val();
            var fdate = $('#fdate').val();
            var tdate = $('#tdate').val();
            var mode = $('#mode').val();
            var ftype = $('#ftype').val();
            var staff = $('#staff').val();
            
            $.ajax({
                type: "GET",
                url: '{{ route('dash.hostel.total') }}',
                data: { course:course, semester:semester, fdate:fdate, tdate:tdate, mode:mode, ftype:ftype, staff:staff },
                cache: false,
                success: function(data){
                    $("#total").text(data);
                }
            });
        }
    </script>
    <style>
         .card-body{
            border-left:1px solid #DCDCDC;
            border-right:1px solid #DCDCDC;
            border-bottom:1px solid #DCDCDC;
          
        }
       
    </style>
@endsection