    <div class="row">
    <div class="col-12">
    <div class="card card-default">
    <div class="card-header">
                   
                        <div class="card-tools">
                        <ul class="nav nav-pills ml-auto">
                        <li class="nav-item">
                        <a class="nav-link active"  href="#yearly-chart" data-toggle="tab">Yearly</a>
                        </li>
                           
                            <li class="nav-item" style="padding-left:3px;">
                            <select class="form-control" id="year">
                            <option value="">Academic year</option>
                                  
                            @foreach($allAcademicYears as $acyear)
                            @php
                            $sdate=date('Y',strtotime($acyear->sdate));
                            $edate=date('Y',strtotime($acyear->edate));
                            
                            @endphp
                            <option value="{{$acyear['ac_id']}}">{{$sdate.' - '.$edate}}</option>
                            @endforeach
                            </select>
                            </li>
                            </ul>
                            </div>
                            </div>
                
                <div class="card-body">
                <div class="tab-content p-0">
                <div class="chart-container">
    <div class="chart tab-pane active" id="yearly-chart" style="position: relative; height: 300px;">
        <canvas id="yearly-chart-canvas" height="300" style="height: 300px;"></canvas>
    </div>
</div>
                        
                    <div class="chart tab-pane" id="monthly-chart" style="position: relative; height: 300px;">
                    <canvas id="monthly-chart-canvas" height="300" style="height: 300px;"></canvas>
                    </div>
                    </div>
                    </div>
                    </div>
                    </div>
                    </div>
    
    <br>
    <br>
    
    
    
    <script src="{{ asset('public/template/plugins/chartjs/Chart.min.js') }}"></script>    
    <script>
    
  	$(function () {
		var ticksStyle = {
    		fontColor: '#495057',
    		fontStyle: 'bold'
  		}

  		var mode      = 'index'
  		var intersect = true

		var $yearlyChart = $('#yearly-chart-canvas')
var yearlyChart = new Chart($yearlyChart, {
    type: 'bar',
    data: {
        labels: @json($academic_year_labels),
        datasets: [
            {
                backgroundColor: 'green',
                borderColor: '#28a745',
                data: @json($student_count),
                barThickness: 25,  
            },
        ]
    },
    options: {
        maintainAspectRatio: false,
        tooltips: {
            mode: mode,
            intersect: intersect
        },
        hover: {
            mode: mode,
            intersect: intersect
        },
        legend: {
            display: false
        },
        scales: {
            yAxes: [{
                gridLines: {
                    display: true,
                  
                    zeroLineColor: 'rgba(0, 0, 0, 0.1)',  
                    zeroLineWidth: 2  
                },
                ticks: {
                    beginAtZero: true,
                    stepSize: 100000,
                    fontColor: '#495057',  
                    fontStyle: 'bold'
                }
            }],
            xAxes: [{
                gridLines: {
                    display: true, 
                  
                    zeroLineColor: 'rgba(0, 0, 0, 0.1)',  
                    zeroLineWidth: 2  
                },
                ticks: {
                    fontColor: '#495057',  
                    fontStyle: 'bold'
                }
            }]
        }
    }
});

  
    $('#year').change(function () {
            var ac_id = $(this).val();
            if (ac_id) {
                $.ajax({
                    url: '/courses-by-academic-year/'+ ac_id,
                    method: 'GET',
                    success: function (data) {
                       
                        yearlyChart.data.labels = data.course_names;
                        yearlyChart.data.datasets[0].data = data.student_counts;
                        yearlyChart.update();
                    }
                });
            }
        }); 
  
  
  
  	})
  	
   </script>

 <style>
     

 </style>