@extends('layouts.template')
@section('title','Home')
@section('heading','Enquiry')
@section('breadcrumb','Home/Enquiry/Gate Pass')
@section('content')


 <form action="{{ route('gatepass.save') }}" method="post" enctype="multipart/form-data">
    @csrf
    <div class="row">
    <div class="col-lg-12 grid-margin stretch-card">
    <div class="card">
    <div class="card-header" style="background:#005A9C;color:white;"><b>Gate Pass</b></div>
    <div class="card-body" style="">
        
    <div class="row">
   
        <div class="col-md-3">
         <div class="form-group">
            <label for="date" class="required">Date</label>
            <input type="date" class="form-control text" id="date" name="date" value="{{ $cur_date }}" required>
            @error('date')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
         </div>
        </div>
   
        <div class="col-md-3">
         <div class="form-group">
            <label for="visitor_name" class="required">Name</label>
            <input type="text" class="form-control text" id="visitor_name" name="visitor_name" value="{{ old('visitor_name') }}" required>
            @error('visitor_name')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
         </div>
        </div>
        
        <div class="col-md-3">
          <div class="form-group">
            <label for="reason" class="required">Reason</label>
            <textarea class="form-control text" id="reason" name="reason"  rows="2" required>{{ old('reason') }}</textarea>
            @error('reason')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
         </div>
        </div>
        
         <div class="col-md-3">
         <div class="form-group">
            <label for="p_to" class="required">Person to meet</label>
            <input type="text" class="form-control text" id="p_to" name="p_to" value="{{ old('p_to') }}" required>
            @error('p_to')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
         </div>
        </div>
        
        <div class="col-md-3">
            <div class="form-group">
              <label for="etime" class="required">Time</label>
                <input type="time" class="form-control text" id="" name="etime"  value="{{$currentTime}}" required>
                 @error('etime')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
            </div>
        </div>
        
         <div class="col-md-3">
         <div class="form-group">
            <label for="cno">Contact Number</label>
            <input type="text" class="form-control text" id="cno" name="cno" value="{{ old('cno') }}">
            @error('cno')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
         </div>
        </div>
        
        
      
        <div class="row">
          <div class="col-md-12">
            <div class="form-group">
               <button type="submit" class="btn btn-primary float-right">Save</button>
            </div>
          </div>
        </div>
    
    </div>
    </div>
    </div>
    </div>
    </div>
    
   
                      
        
           </form>
           
             <script src="{{ asset('public/template/plugins/jquery/jquery.min.js') }}"></script>
    <script src="{{ asset('public/js/student.js') }}"></script>
    <style>
        .text{
            border:1px solid #E0E0E0;
            
             background-color:white;
        }
        .card-body{
            border-left:1px solid #DCDCDC;
            border-right:1px solid #DCDCDC;
            border-bottom:1px solid #DCDCDC;
        }
    </style>
    
    
    @endsection
        