<div class="card" style="border-top:3px solid #004170">
    <div class="card-body">
       <form action="{{ route('exam.save') }}" method="post">
    @csrf
    <input type="hidden" id="course" name="course" value="{{ $course}}">
  
    <input type="hidden" id="sem_id" name="sem_id" value="{{ $semester_id}}">
    <input type="hidden" id="exam_name" name="exam_name" value="{{ $exam_name}}">
      <div id="totalStudents" class="mb-3"></div>
    <div class="row">
    <div class="col-md-12">
    <div class="form-group">
    <table id="table-fine" class="table table-bordered">
    <thead style="background-color:#8FBC8F">
    <tr>
        <th colspan="1" rowspan="2">
            <div class="form-check form-check-success d-flex justify-content-center align-items-center">
              <label class="container"> <input type="checkbox" class="form-check-input" id="checkAll"></label>
            </div>
        </th>
        <th colspan="1" rowspan="2"><b>SUBJECT</b></th>
        <th colspan="1" rowspan="1"><b>MAX MARK</b></th>
        <th colspan="1" rowspan="2"><b>DATE</b></th>
        <th colspan="1" rowspan="2"><b>START TIME</b></th>
        <th colspan="1" rowspan="2"><b>END TIME</b></th>
        
    </tr>
   
    </thead>
    <tbody>
            @foreach($subjects as $subj)
        <tr>
           <td align="center" >
           
                <div class="form-check form-check-success d-flex justify-content-center align-items-center">
                 <label class="container"><input type="checkbox" class="form-check-input checkSub" name="posted[]" value="{{ $subj->subject_id }}"></label>
                </div>
             
            </td> 
           <td>{{ $subj->subject_name }}</td>
           <td><input type="text" class="form-control @error('max_mark') border-danger @enderror" id="max_mark{{$subj->subject_id}}" name="max_mark{{$subj->subject_id}}"></td>
           <td>
           <input type="date" size="2"class="form-control @error('exam_date') border-danger @enderror" id="exam_date{{$subj->subject_id}}" name="exam_date{{$subj->subject_id}}">
            
           </td>
           <td>
             
        <input type="time" size="2"class="form-control @error('s_time') border-danger @enderror" id="s_time{{$subj->subject_id}}" name="s_time{{$subj->subject_id}}">
    
               
           </td>
           <td>
            <input type="time" size="2"class="form-control @error('e_time') border-danger @enderror" id="e_time{{$subj->subject_id}}" name="e_time{{$subj->subject_id}}">  
               
           </td>
        </tr>
        
            @endforeach
    </tbody>
    </table>
    <div id="load"></div>
    </div>
    </div>
    </div>
      
       <div class="row">
                <div class="col-md-12">
                    <div class="form-group">
                        <button type="submit" class="btn btn-primary float-right">Save</button>
                    </div>
                </div>
            </div>
            </form>
              </div>
    
</div>
   <script src="{{ asset('public/template/plugins/jquery/jquery.min.js') }}"></script>
   
       <script>
    $(document).ready(function() {
     
        $('#checkAll').change(function() {
            $('.checkSub').prop('checked', this.checked);
        });
    });

   </script>
   <style>
    
    .totalstudent {
    color: black; 
    font-size: 22px; 
    font-weight: bold;
    padding: 10px; 
    margin: 5px; 
    background-color: #eaf0f1; 
    border: 2px solid #3498db; 
    border-radius: 5px; 
    text-shadow: 1px 1px 2px rgba(0, 0, 0, 0.3); 
    font-family: 'Arial', sans-serif; 
    display: inline-block; 
}

  


input[type="checkbox"] {
  width: 2em;
  height: 2rem;
   display: inline-block; 
   margin: 0;
  accent-color: green;
}
.container {
    display: flex; /* Flexbox for better alignment */
    align-items: center; /* Center align vertically */
    justify-content: center; /* Center align horizontally */
}
</style>