  <div class="card">
    <div class="card-header" style="background:#005A9C;color:white"><b>Student Fee Structure</b></div>
    <div class="card-body">
        <form action="{{route('student.fee.structure.save')}}" method="post">
            @csrf
            <input type="hidden" id="ac_id" name="ac_id" value="{{ $acyear->ac_id }}">
            <input type="hidden" id="course_id" name="course_id" value="{{ $crs->course_id }}">
            <input type="hidden" id="semester_id" name="semester_id" value="{{ $sem->semester_id }}">
            <input type="hidden" id="student_id" name="student_id" value="{{ $student->student_id }}">
            <input type="hidden" id="category_id" name="category_id" value="{{ $cat_det->category_id }}">
            <input type="hidden" id="term_id" name="term_id" value="{{ $term_det->term_id }}">
        <div class="row">     
        <div class="col-lg-12 grid-margin stretch-card">
            
            <table class="table table-bordered">    
            <tr>
            <td><b>Student Name</b></td>
            <td><b>{{$student->name}}</b></b></td>
            </tr>
            <tr>
            <td><b>Admission No.</b></td>
            <td><b>{{$student->adno}}</b></td>
            </tr>
            <tr>
                <td><b>Semester</b></td>
                <td><b>{{$student->semester_name}}</b></td>
            </tr> 
            <tr>
                <td><b>Term</b></td>
                <td><b>{{ $term_det->term_name}}</b></td>
            </tr> 
           <tr>
                <td><b>Category</b></td>
                <td><b>{{ $cat_det->category_name}}</b></td>
            </tr> 
            </table>
             </div>
            </div>
            <div class="row">     
        <div class="col-lg-12 grid-margin stretch-card">
            <table class="table table-bordered">
                <thead>
                            <tr>
                                <th><b>Fee Type</b></th>
                                <th><b>Amount</b></th>
                                <th><b>Start Date</b></th>
                                <th><b>End Date</b></th>
                            </tr>
                             <tbody>
                                @foreach($feetypes as $feetype)
                                    @php $amount=$start=$end=""; @endphp
                                    <tr>
                                        <td>{{ $feetype->type_name }}<input type="hidden" name="type[]" value="{{ $feetype->type_id }}"</td>
                                         @if(!empty($stutypes) && $stutypes->contains('type_id', $feetype->type_id))
                                        @foreach($stutypes as $stype)
                                            @if($stype->type_id == $feetype->type_id)
                                                @php
                                                    $amount = $stype->amount;
                                                    $start = $stype->start_date;
                                                    $end = $stype->end_date;
                                                @endphp
                                            @endif
                                        @endforeach
                                    @else
                                        @foreach($stypes as $stype)
                                            @if($stype->type_id == $feetype->type_id)
                                                @php
                                                    $amount = $stype->amount;
                                                    $start = $stype->start_date;
                                                    $end = $stype->end_date;
                                                @endphp
                                            @endif
                                        @endforeach
                                    @endif
                                        <td><input type="text" class="form-control" name="amount[]" value="{{ $amount }}"></td>
                                        <td><input type="date" class="form-control" name="start[]" value="{{ $start }}"></td>
                                        <td><input type="date" class="form-control" name="end[]" value="{{ $end }}"></td>
                                    </tr>
                                @endforeach
                            </tbody>
                
                </table>
           </div>
            </div>
           
           <div class="row">
                <div class="col-md-12">
                    <div class="form-group">
                        <button type="submit" class="btn btn-primary float-right">Save</button>
                    </div>
                </div>
            </div>
           
           
           </form>
            </div>
            </div>
            
            
            
            <style>
    
        .form-control{
            border:1px solid black;
        }
</style>