<div class="card" style="border-top:3px solid #004170">
    <div class="card-body">
     <input type="hidden" id="course_id" name="course_id" value="{{ $course_id }}">
    <input type="hidden" id="sem" name="sem" value="{{ $semester_id }}">
    <input type="hidden" id="categ" name="categ" value="{{ $category_id }}">   
  <form action="{{ route('fyugpstudpreferences.save') }}" method="post">
    @csrf
    
    
    <input type="hidden" id="course" name="course" value="{{ encrypt($course_id) }}">
    <input type="hidden" id="sem_id" name="sem_id" value="{{ encrypt($semester_id) }}">
    <input type="hidden" id="categ_id" name="categ_id" value="{{ encrypt($category_id) }}">
  

    <div id="totalStudents" class="mb-3"></div>
    <div class="row">
    <div class="col-md-12">
    <div class="form-group">
    
    <div class="div_scroller">
    <table id="table-fine" class="table table-bordered" style="width:200%;">
    <thead >
    <tr>
        <th rowspan="2" colspan="1" style="width:3%;">
            <div class="form-check form-check-success d-flex justify-content-center align-items-center">
              <label class="container"> <input type="checkbox" class="form-check-input" id="checkAll"></label>
            </div>
        </th>
        <th rowspan="2" colspan="1" style="width:5%;"><b>Adno</b></th>
        <th rowspan="2" colspan="1"><b>Student Name</b></th>
        <th rowspan="2" colspan="1" style="width:15%;"><b>Pathway</b></th>
        <th rowspan="1" colspan="5" ><b><center>{{$categ_name->category}} Preferences</center></b></th>
        
    </tr>
    <tr>
        <th rowspan="1" colspan="1"><b>1'st Preference</b></th>
        <th rowspan="1" colspan="1"><b>2'nd Preference</b></th>
        <th rowspan="1" colspan="1"><b>3'rd Preference</b></th>
        <th rowspan="1" colspan="1"><b>4'th Preference</b></th>
        <th rowspan="1" colspan="1"><b>5'th Preference</b></th>
    </tr>
    </thead>
    <tbody>
            @foreach($students as $student)
        <tr>
           <td align="center" >
           
                <div class="form-check form-check-success d-flex justify-content-center align-items-center">
                 <label class="container"><input type="checkbox" class="form-check-input checkSub" name="posted[]" value="{{ $student->student_id }}"></label>
                </div>
             
            </td> 
           <td>{{ $student->adno }}</td>
           <td>{{ strtoupper($student->name) }}</td>
           <td>
            @php
              $pathway_id = $student->studpathway ? $student->studpathway->pathway_id : null;
              if($pathway_id == '1')
              {
                $minors = [];
                 $sem_name = \App\Models\Semester::where('semester_id',$semester_id)->first();
              $query = \App\Models\Subject::join('course_subject', 'subjects.subject_id', '=', 'course_subject.subject_id')
        ->where('subjects.subject_categ', $category_id)
        ->where('course_subject.semester_id', $sem_name->semester_name);
        if ($pathway_id == '1') {
        $query->where('course_subject.course_id', $course_id);
        }
        $minors = $query
        ->select('subjects.subject_id', 'subjects.subject_code', 'subjects.subject_name')
        ->get();
       
              
          }
          else
          {
          $minors = [];
                 $sem_name = \App\Models\Semester::where('semester_id',$semester_id)->first();
              $query = \App\Models\Subject::join('course_subject', 'subjects.subject_id', '=', 'course_subject.subject_id')
        ->where('subjects.subject_categ', $category_id)
        ->where('course_subject.semester_id', $sem_name->semester_name);
        
        $minors = $query
        ->select('subjects.subject_id', 'subjects.subject_code', 'subjects.subject_name')
        ->get();
       
          
          }
            @endphp
  
            <select class="form-control" id="pathway_id" name="pathway_id{{ $student->student_id }}" disabled>
                <option value="">Select</option>
                  @foreach($pathway as $path)
                <option value="{{ $path->id  }}" {{ $pathway_id==$path->id  ? "selected":"" }}>{{ $path->pathway }}</option>
                  @endforeach
             </select> 
            @error('pathway_id')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror      
               
               
           </td>
            <td>
            @php  $preferenceI = $student->minpreferences->where('acyear_id',$ac_id)->where('sub_cat',$category_id)->where('course',$course_id)->where('sem',$semester_id)->where('type',1)->pluck('pref_Id')->first()@endphp
             <select class="form-control" id="pref_I" name="pref_I{{ $student->student_id }}">
                <option value="">Select</option>
                  @foreach($minors as $minI)
                <option value="{{ $minI->subject_id  }}" {{ $preferenceI==$minI->subject_id  ? "selected":"" }}>{{ $minI->subject_code.' - '.$minI->subject_name }}</option>
                  @endforeach
             </select> 
            @error('pref_I')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror   
           </td>
           <td>
               @php  $preferenceII = $student->minpreferences->where('acyear_id',$ac_id)->where('sub_cat',$category_id)->where('course',$course_id)->where('sem',$semester_id)->where('type',2)->pluck('pref_Id')->first()@endphp
             <select class="form-control" id="pref_II" name="pref_II{{ $student->student_id }}">
                <option value="">Select</option>
                  @foreach($minors as $minI)
                <option value="{{ $minI->subject_id  }}" {{ $preferenceII==$minI->subject_id  ? "selected":"" }}>{{ $minI->subject_code.' - '.$minI->subject_name }}</option>
                  @endforeach
             </select> 
            @error('pref_II')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror   
           </td>
           <td>
               @php  $preferenceIII = $student->minpreferences->where('acyear_id',$ac_id)->where('sub_cat',$category_id)->where('course',$course_id)->where('sem',$semester_id)->where('type',3)->pluck('pref_Id')->first()@endphp
             <select class="form-control" id="pref_III" name="pref_III{{ $student->student_id }}">
                <option value="">Select</option>
                  @foreach($minors as $minI)
                <option value="{{ $minI->subject_id  }}" {{ $preferenceIII==$minI->subject_id  ? "selected":"" }}>{{ $minI->subject_code.' - '.$minI->subject_name }}</option>
                  @endforeach
             </select> 
            @error('pref_III')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror    
           </td>
           <td>
                @php  $preferenceIV = $student->minpreferences->where('acyear_id',$ac_id)->where('sub_cat',$category_id)->where('course',$course_id)->where('sem',$semester_id)->where('type',4)->pluck('pref_Id')->first()@endphp
             <select class="form-control" id="pref_IV" name="pref_IV{{ $student->student_id }}">
                <option value="">Select</option>
                  @foreach($minors as $minI)
                <option value="{{ $minI->subject_id  }}" {{ $preferenceIV==$minI->subject_id  ? "selected":"" }}>{{ $minI->subject_code.' - '.$minI->subject_name }}</option>
                  @endforeach
             </select> 
            @error('pref_IV')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror   
           </td>
           <td>
               @php  $preferenceV = $student->minpreferences->where('acyear_id',$ac_id)->where('sub_cat',$category_id)->where('course',$course_id)->where('sem',$semester_id)->where('type',5)->pluck('pref_Id')->first()@endphp
             <select class="form-control" id="pref_V" name="pref_V{{ $student->student_id }}">
                <option value="">Select</option>
                  @foreach($minors as $minI)
                <option value="{{ $minI->subject_id  }}" {{ $preferenceV==$minI->subject_id  ? "selected":"" }}>{{ $minI->subject_code.' - '.$minI->subject_name }}</option>
                  @endforeach
             </select> 
            @error('pref_V')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror   
           </td>
        </tr>
        
            @endforeach
    </tbody>
    </table>
    </div>
    <div id="load"></div>
    </div>
    </div>
    </div>
      
       <div class="row">
                <div class="col-md-12">
                    <div class="form-group">
                        <button type="submit" class="btn btn-primary float-right">Save</button>
                    </div>
                </div>
            </div>
        </form>
          
    </div>
    
</div>
         <script src="{{ asset('public/template/plugins/jquery/jquery.min.js') }}"></script>
   <script src="{{ asset('public/js/studall.js') }}"></script>
   
   
   
   
   
<style>
    
   
 input[type="checkbox"] {
  width: 2em;
  height: 2rem;
   display: inline-block; 
   margin: 0;
  accent-color: green;
}   
  
.div_scroller {
    overflow: auto;
    scrollbar-width: initial; 
    scrollbar-color: #888 #f1f1f1;
}

.table {
    width: 100%;
    table-layout: fixed;
    border-collapse: collapse;
}

th, td {
    text-align: center;
   
}


th, td {
    white-space: nowrap; 
}


th:nth-child(1), td:nth-child(1),
th:nth-child(2), td:nth-child(2)
th:nth-child(3), td:nth-child(3) {
    position: sticky;
    left: 0;
    background-color: #fff; 
    z-index: 1; 
}


th:nth-child(4), td:nth-child(4) {
    position: sticky;
    left: 230px; 
    background-color: #fff;
    z-index: 2; 
}


th:nth-child(n+5), td:nth-child(n+5) {
    min-width: 150px; 
  
}

</style>


