@extends('layouts.template')
@section('title','Home')
@section('heading','Report - Stock Adjustment')
@section('breadcrumb','Home/Inventory/Report - Stock Adjustment')
@section('content')


    <div class="row">
    <div class="col-lg-12 grid-margin stretch-card">
    <div class="card">
    <div class="card-header" style="background:#005A9C;color:white;"><b>Report</b></div>
    <div class="card-body">
    <table class="table table-bordered">
    <thead>
    <tr>
    <th><b>#</b></th>
    <th><b>Stock Item</b></th>
    <th><b>Category</b></th>
    <th><b>Location</b></th>
    <th><b>Unit Price</b></th>
    <th><b>Adjustment Type</b></th>
    <th><b>Stock Adjust</b></th>
    </tr>
    </thead>
    <tbody>
    @forelse($stockadjustment as $adjust)
    <tr>
    <td>{{$loop->iteration}}</td>
    <td>{{$adjust->itemname->stock_item}}</td>
    <td>{{$adjust->cate->category}}</td>
    <td>{{$adjust->loc->loc_name}}</td>
    <td>{{$adjust->unit_price}}</td>
    <td>{{$adjust->status_text}}</td>
    <td>{{$adjust->status_text2}}</td>

                                    

    </tr>
    @empty
    <tr>
    <td colspan="2">No Result Found !</td>
    </tr>
    @endforelse

    </tbody>
    </table>        










</div>
</div>
</div>
</div>





<style>
      
        .form-control{
            border:1px solid #E8E8E8;
        }
        .card-body{
            border-left:1px solid #DCDCDC;
            border-right:1px solid #DCDCDC;
            border-bottom:1px solid #DCDCDC;
          
        }
</style>
@endsection