<div class="card">
<div class="card-header" style="background:#073980;color:white;"><b>CO-PSO Mapping</b></div>
  <div class="card-body">
        <form action="{{ route('copsomapping.save') }}" method="post">
              @csrf
            <input type="hidden" id="course" name="course" value="{{ $course }}">
            <input type="hidden" id="semester_id" name="semester_id" value="{{ $semester_id }}">
            <input type="hidden" id="subtyp_id" name="subtyp_id" value="{{ $subtyp_id }}">
            <input type="hidden" id="sub_id" name="sub_id" value="{{ $sub_id }}">
            
            <div class="row">
                <div class="col-md-12">
                    <div class="form-group">
                        <table id="table-fine" class="table table-bordered">
                            <thead>
                            <tr>
                                <th><b>Course Outcomes</b></th>
                                <th><b>Program Specific Outcomes</b></th>
                                <th><b>BT Level</b></th>
                                <th><b>Assessment Method</b></th>
                                <th><b>Mapping Level</b></th>
                            </tr>
                            <tbody>
                                <tr><td>
                                    <select class="form-control" id="crsoutcme" name="crsoutcme" required>
                                    <option value="">Select</option>
                                    @foreach($coutcome as $co)
                                    <option value="{{ $co->id}}" {{ old('crsoutcme')==$co->id ? "selected":"" }}>{{ $co->co_no.' '.$co->co_name }}</option>
                                    @endforeach
                                    </select>
                                    @error('crsoutcme')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror 
                               </td>
                               <td>
                                    <select class="form-control" id="psoutcme" name="psoutcme" required>
                                    <option value="">Select</option>
                                    @foreach($psoutcomes as $pso)
                                    <option value="{{ $pso->id}}" {{ old('psoutcme')==$pso->id ? "selected":"" }}>{{ $pso->pso_no.' '.$pso->pso_name }}</option>
                                    @endforeach
                                    </select>
                                    @error('psoutcme')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror 
                               </td>
                               <td>
                                    <select class="form-control" id="btlvl" name="btlvl" required>
                                    <option value="">Select</option>
                                    @foreach($btlevels as $btlv)
                                    <option value="{{ $btlv->id}}" {{ old('btlvl')==$btlv->id ? "selected":"" }}>{{ $btlv->level }}</option>
                                    @endforeach
                                    </select>
                                    @error('btlvl')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror 
                               </td>
                                 <td>
                                    <select class="form-control" id="assmethod" name="assmethod" required>
                                    <option value="">Select</option>
                                    @foreach($assessmentmethods as $assm)
                                    <option value="{{ $assm->id}}" {{ old('assmethod')==$assm->id ? "selected":"" }}>{{ $assm->method }}</option>
                                    @endforeach
                                    </select>
                                    @error('assmethod')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror 
                               </td>
                               <td>
                                   <select class="form-control" id="mappinglvl" name="mappinglvl" required>
                                    <option value="">Select</option>
                                    <option value="0">0</option>
                                    <option value="1">1</option>
                                    <option value="2">2</option>
                                    <option value="3">3</option>
                                    <option value="4">4</option>
                                    </select>
                               </td>
                               </tr>
                            </tbody>     
                            </thead>
                             </table>
                        <div id="load"></div>
                    </div>
                </div>
            </div>
            <div class="row">
                <div class="col-md-12">
                    <div class="form-group">
                        <button type="submit" class="btn btn-success float-right">Save</button>
                    </div>
                </div>
            </div>

        </form>
  </div>
   
</div>
<style>
    .card-body{
            border-left:1px solid #DCDCDC;
            border-right:1px solid #DCDCDC;
            border-bottom:1px solid #DCDCDC;
             
          
        }
        	table.table-bordered {
            border: 1px solid #D8D8D8;
        }
        table.table-bordered th,
        table.table-bordered td {
            border: 1px solid #D8D8D8;
        }
        table.table-bordered th{
            background-color:#FEBE10;
        }
        table.table-bordered tr:nth-child(even){background-color: #E0E0E0;}
        .form-control{
            border:1px solid #E8E8E8;
        }
</style>    