<div class="card" style="border-top:3px solid #073980">
    <div class="card-body">
  
    <input type="hidden" id="course" name="course" value="{{ $course }}">
    <input type="hidden" id="sem_id" name="sem_id" value="{{ $semester_id }}">
    <input type="hidden" id="sub_id" name="sub_id" value="{{ $sub_id }}">
    <input type="hidden" id="term_id" name="term_id" value="{{ $term_id }}">
  

    <div id="totalStudents" class="mb-3"></div>
    <div class="row">
    <div class="col-md-12">
    <form action="{{ route('universitymark.edit') }}" method="post">
    @csrf
    <input type="hidden" name="crs_id" value="{{ encrypt($course) }}" >
    <input type="hidden" name="sem_id" value="{{ encrypt($semester_id) }}" >
    <input type="hidden" name="sub_id" value="{{ encrypt($sub_id) }}" >
    <input type="hidden" name="term_id" value="{{ encrypt($term_id) }}" >
    <div class="form-group">
    <table id="table-fine" class="table table-bordered">
    <thead style="background-color:#8FBC8F">
        <tr>
            <th>Assessment Method</th>
            <th>Topic</th>
            <th>Max Mark</th>
            <th>Duration</th>
        </tr>
     </thead>
     <tbody>
          @foreach($internalmaxmark as $inmmk)
         <tr>
             <td>{{$inmmk->assessmethodn->method}}</td>
             <td><input type="text" size="8"class="form-control @error('topic') border-danger @enderror" id="topic{{$inmmk->id}}" name="topic{{$inmmk->id}}" value="{{$inmmk->topic}}"></td>
             <td><input type="text" size="1"class="form-control @error('max_mrk') border-danger @enderror" id="max_mrk{{$inmmk->id}}" name="max_mrk{{$inmmk->id}}" value="{{$inmmk->max_mrk}}"></td>
            <td><input type="text" size="1"class="form-control @error('duration') border-danger @enderror" id="duration{{$inmmk->id}}" name="duration{{$inmmk->id}}" value="{{$inmmk->duration}}"></td>
         </tr>
          @endforeach
    </tbody>
    </table>
    <div id="load"></div>
    </div>
    
    <div class="row">
                             
       <div class="col-md-6">
          <div class="form-group">
            <button type="submit" class="btn btn-primary float-right">Update</button>
         </div>
       </div>
    </div>
    </div>
    </form>
    </div>
          
    </div>
    
</div>
         <script src="{{ asset('public/template/plugins/jquery/jquery.min.js') }}"></script>

<style>
    
    .totalstudent {
    color: black; 
    font-size: 22px; 
    font-weight: bold;
    padding: 10px; 
    margin: 5px; 
    background-color: #eaf0f1; 
    border: 2px solid #3498db; 
    border-radius: 5px; 
    text-shadow: 1px 1px 2px rgba(0, 0, 0, 0.3); 
    font-family: 'Arial', sans-serif; 
    display: inline-block; 
}

    #table-fine td, #table-fine th {
  border: 1px solid #C0C0C0;
  padding: 8px;
}

#table-fine tr:nth-child(even){background-color: #E0E0E0;}

#table-fine tr:hover {background-color: #B9D9EB;cursor:pointer;}

#table-fine th {
  padding-top: 12px;
  padding-bottom: 12px;
  text-align: left;
 
  background-color: #FEBE10;
  color: black;
}
</style>



