@extends('layouts.settings-template')
@section('title','OBE')
@section('heading','Set PO Achievement Target')
@section('breadcrumb','Settings / OBE / Set PO Achievement Target')
@section('content')
<head>
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/6.0.0-beta3/css/all.min.css">

</head>
    <div class="row">
    <div class="col-lg-12 grid-margin stretch-card">
    <div class="card">
<div class="card-header" style="border:1px solid #DCDCDC;background-color:white">
        
            {{ app_button_links_v(array(242,258,259,243,244)) }}
    </div> 
    <div class="card-body">


    <div class="row">
        <div class="col-lg-12 grid-margin stretch-card">
            <div class="card">
                
            
            <div class="card-header" style="background:#005A9C;color:white;"><b>Set PO Achievement Target</b></div>
   
                <div class="row">
        <div class="col-lg-12 grid-margin stretch-card">
            <div class="card" style="border-top:2px solid #004170">
                <div class="card-body">
                    <table class="table table-bordered">
                        <thead>
                        <tr>
                          
                            <th><b>Marks(%)</b></th>
                            <th><b>PO Achievement Level</b></th>
                            <th><b>Set Target</b></th>
                          
                        </tr>
                        </thead>
                        <tbody>
                            @forelse($poachievement as $poal)
                                <tr>
                                  <td>{{$poal->f_per.' - '.$poal->t_per}}</td>
                                   <td>{{$poal->level}}</td>
                                   <td><a href="{{ route('potarget.save',encrypt($poal->id)) }}"><i class="icon-check icon-sm {{ $poal->target == 1 ? "text-dark-green":"text-muted" }}"></i></a></td>

                                </tr>
                            @empty
                                <tr>
                                    <td colspan="2">No Result Found !</td>
                                </tr>
                            @endforelse
                        </tbody>
                    </table>
                </div>
            </div>
        </div>
    </div>
</div>
</div>
</div>





   </div>
</div>
</div>
</div>
    <style>
          .card-body{
            border-left:1px solid #DCDCDC;
            border-right:1px solid #DCDCDC;
            border-bottom:1px solid #DCDCDC;
        }
        table.table-bordered {
            border: 1px solid #D8D8D8;
        }
        table.table-bordered th,
        table.table-bordered td {
            border: 1px solid #D8D8D8;
        }
        table.table-bordered th{
            background-color:#FEBE10;
        }
        table.table-bordered tr:nth-child(even){background-color: #F8F8F8;}
        .form-control{
            border:1px solid #E8E8E8;
        }
        .text-dark-green {
    color: darkgreen;
    background:darkgreen;
}
    </style>
    @endsection