@extends('layouts.settings-template')
@section('title','OBE')
@section('heading','Add Program OutCome')
@section('breadcrumb','Settings / OBE / Add Program OutCome')
@section('content')
<head>
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/6.0.0-beta3/css/all.min.css">

</head>
    <div class="row">
    <div class="col-lg-12 grid-margin stretch-card">
    <div class="card">
    <div class="card-header" style="border:1px solid #DCDCDC;background-color:white">
        
            {{ app_button_links_v(array(242,258,259,243,244)) }}
    </div>
    <div class="card-body">


    <div class="row">
        <div class="col-lg-12 grid-margin stretch-card">
            <div class="card">
                
             
            <div class="card-header" style="background:#005A9C;color:white;"><b>Add Program OutCome</b></div>
   
                <div class="card-body">
                    <form action="{{ route('po.save') }}" method="post">
                        @csrf
                        
                        <div class="row">
                            
                           
                          <div class="col-md-3">
                                        <div class="form-group">
                                            <label for="pso_no" class="required"><b>PSO No.</b></label>
                                            <input type="text" class="form-control @error('po_no') border-danger @enderror" id="po_no" name="po_no" value="{{ old('po_no') }}" required>
                                            @error('po_no')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
                                        </div>
                                    </div>
                                    <div class="col-md-6">
                                        <div class="form-group">
                                            <label for="po_name" class="required"><b>Program Outcome</b></label>
                                            <input type="text" class="form-control @error('po_name') border-danger @enderror" id="po_name" name="po_name" value="{{ old('po_name') }}" required>
                                            @error('po_name')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
                                        </div>
                                    </div>
                                </div>
                               <div class="row">     
                                    
                                    <div class="col-md-12">
                                        <div class="form-group">
                                             <label></label>
                                            <button type="submit" class="btn btn-primary float-right">Save</button>
                                        </div>
                                    </div>
                                </div>   
                          </div>
                    </form>
                </div>
            </div>
        </div>
       
         <div class="row">
        <div class="col-lg-12 grid-margin stretch-card">
            <div class="card">
                <div class="card-body">
                    <table class="table table-bordered">
                        <thead>
                        <tr>
                          
                            
                            <th><b>PO NO.</b></th>
                            <th><b>Program Outcome</b></th>
                            <th><b>Actions</b></th>
                        </tr>
                        </thead>
                        <tbody>
                            @forelse($po as $p)
                                <tr>
                                 
                                    <td>{{$p->po_no}}</td>
                                    <td>{{$p->po_name}}</td>
                                    
                                    <td>{{app_table_links($p->id,array(234,233)) }}</td>

                                </tr>
                            @empty
                                <tr>
                                    <td colspan="2">No Result Found !</td>
                                </tr>
                            @endforelse
                        </tbody>
                    </table>
                </div>
            </div>
        </div>
    </div>
    
    
    
    
    
     </div>
            </div>
        </div>
    </div>
    <style>
          .card-body{
            border-left:1px solid #DCDCDC;
            border-right:1px solid #DCDCDC;
            border-bottom:1px solid #DCDCDC;
        }
        table.table-bordered {
            border: 1px solid #D8D8D8;
        }
        table.table-bordered th,
        table.table-bordered td {
            border: 1px solid #D8D8D8;
        }
        table.table-bordered th{
            background-color:#FEBE10;
        }
        table.table-bordered tr:nth-child(even){background-color: #F8F8F8;}
        .form-control{
            border:1px solid #E8E8E8;
        }
    </style>
    @endsection