@extends('layouts.settings-template')
@section('title','')
@section('heading','Add Documents')
@section('breadcrumb','Settings / IQAC /Add Documents')
@section('content')
<head>
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/6.0.0-beta3/css/all.min.css">

</head>
    <div class="row">
    <div class="col-lg-12 grid-margin stretch-card">
    <div class="card">
    <div class="card-body">







    <div class="row">
        <div class="col-lg-12 grid-margin stretch-card">
            <div class="card">
            <div class="card-header" style="background:#005A9C;color:white;"><b>Add Documents</b></div>
   
                <div class="card-body">
                    <form action="{{ route('iqacdocumnt.save') }}" method="post">
                        @csrf
                        
                        <div class="row">
                            
                            <div class="col-md-3">
                                <div class="form-group">
                                    <label for="criteria_id" class="required"><b>Criteria</b></label>
                                    <select class="js-example-basic-single" id="criteria_id" name="criteria_id" style="width:100%">
                                        <option value="">SELECT</option>
                                        @foreach($criteria as $crta)
                                            <option value="{{ $crta->id  }}" {{ old('criteria_id ') == $crta->id  ? "selected":"" }}>{{ $crta->criteria}}</option>
                                        @endforeach
                                    </select>
                                    @error('criteria_id')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
                                </div>
                            </div>
                            
                            
                          <div class="col-md-3">
                                        <div class="form-group">
                                            <label for="document" class="required"><b>Document</b></label>
                                            <input type="text" class="form-control @error('document') border-danger @enderror" id="document" name="document" value="{{ old('document') }}">
                                            @error('document')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
                                        </div>
                                    </div>
                                    </div>
                                    <div class="row">
                                    <div class="col-md-6">
                                        <div class="form-group">
                                            <button type="submit" class="btn btn-primary">Save</button>
                                        </div>
                                    </div>
                                    </div>
                          
                    </form>
                </div>
            </div>
        </div>
        </div>
         <div class="row">
        <div class="col-lg-12 grid-margin stretch-card">
            <div class="card" style="border-top:2px solid #004170">
                <div class="card-body">
                    <table class="table table-bordered">
                        <thead>
                        <tr>
                            <th><b>Documents</b></th>
                            <th><b>Criteria</b></th>
                            <th><b>Actions</b></th>
                        </tr>
                        </thead>
                        <tbody>
                            @forelse($documents as $docm)
                                <tr>
                                    <td>{{$docm->document}}</td>
                                    <td>{{$docm->criteria->criteria}}</td>
                                    <td>{{app_table_links($docm->id,array(142,141)) }}</td>

                                </tr>
                            @empty
                                <tr>
                                    <td colspan="2">No Result Found !</td>
                                </tr>
                            @endforelse
                        </tbody>
                    </table>
                </div>
            </div>
        </div>
    </div>
    
    
    
    
    
    
        </div>
            </div>
        </div>
    </div>
    <style>
          .card-body{
            border-left:1px solid #DCDCDC;
            border-right:1px solid #DCDCDC;
            border-bottom:1px solid #DCDCDC;
        }
        table.table-bordered {
            border: 1px solid #D8D8D8;
        }
        table.table-bordered th,
        table.table-bordered td {
            border: 1px solid #D8D8D8;
        }
        table.table-bordered th{
            background-color:#FEBE10;
        }
        table.table-bordered tr:nth-child(even){background-color: #F8F8F8;}
        .form-control{
            border:1px solid #E8E8E8;
        }
    </style>
    @endsection