@extends('layouts.settings-template')
@section('title','Settings')
@section('heading','Account Type')
@section('breadcrumb','Settings / Account Type')
@section('content')




 <div class="row">
        <div class="col-lg-12 grid-margin stretch-card">
            <div class="card">
            <div class="card-header" style="background-color:#005A9C;color:white"><b>Select</b></div>
                <div class="card-body">
                    <table class="table table-bordered">
                        <thead>
                        <tr>
                            <th><b>#</b></th>
                            <th><b>Account Types</b></th>
                            <th><b>Default</b></th>
                        </tr>
                        </thead>
                        <tbody>
                            @forelse($accountype as $account)
                                <tr>
                                    <td>{{ $loop->iteration }}</td>
                                    <td>{{ $account->account_type }}</td>
                                    
                  <td><a href="{{route('accounttype.update',encrypt($account->accounttype_id)) }}"><i class="icon-check icon-sm {{ $account->default1 == 1 ? "text-success":"text-muted" }}"></i></a></td>
                                </tr>
                            @empty
                                <tr>
                                    <td colspan="4">No Result Found !</td>
                                </tr>
                            @endforelse
                        </tbody>
                    </table>
                </div>
            </div>
        </div>
    </div>
    
    
    
    
    
      
    <style>
         .card-body{
            border-left:1px solid #DCDCDC;
            border-right:1px solid #DCDCDC;
            border-bottom:1px solid #DCDCDC;
             
          
        }
         table.table-bordered {
            border: 1px solid #D8D8D8;
        }
        table.table-bordered th,
        table.table-bordered td {
            border: 1px solid #D8D8D8;
        }
        table.table-bordered th{
            background-color:#FEBE10;
        }
        table.table-bordered tr:nth-child(even){background-color: #F8F8F8;}
        .form-control{
            border:1px solid black;
        }
        table.table-bordered tr:hover {background-color: #B9D9EB;cursor:pointer;}
    </style>
@endsection