@extends('layouts.settings-template')
@section('title','Settings')
@section('heading','Leave Type')
@section('breadcrumb','Settings / Staff Setting / Leave Type')
@section('content')



            <div class="row">
            <div class="col-lg-12 grid-margin stretch-card">
            <div class="card">
            <div class="card-header" style="background:#005A9C;color:white;"><b>Add Leave Type</b></div>

            <div class="card-body">
            <form action="{{ route('staffleavetyp.save') }}" method="post">
            @csrf
                        
            <div class="row">
                            
            <div class="col-md-3">
            <div class="form-group">
            <label for="leave_code" class="required"><b>Leave Code</b></label>
            <input type="text" class="form-control @error('leave_code') border-danger @enderror" id="leave_code" name="leave_code" value="{{ old('leave_code') }}">
            @error('leave_code')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
            </div>
            </div>
            <div class="col-md-3">
            <div class="form-group">
            <label for="leave_name" class="required"><b>Leave Name</b></label>
            <input type="text" class="form-control @error('leave_name') border-danger @enderror" id="leave_name" name="leave_name" value="{{ old('leave_name') }}">
            @error('leave_name')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
            </div>
            </div>
            <div class="col-md-2">
            <div class="form-group">
            <label for="leave_color" class="required"><b>Color Picker</b></label>
            <input type="color" class="form-control @error('leave_color') border-danger @enderror" id="leave_color" name="leave_color" value="{{ old('leave_color') }}">
            @error('leave_color')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
            </div>
            </div>
                                    
            </div>
            <div class="row">
            <div class="col-md-12">
            <div class="form-group">
<button type="submit" class="btn btn-primary float-right">Save</button>
            </div>
            </div>
            </div>
                                    
                                    
            </form>
            </div>
            </div>
            </div>
            </div>
            <div class="row">
            <div class="col-lg-12 grid-margin stretch-card">
            <div class="card" style="border-top:2px solid #004170">
            <div class="card-body">
            <table class="table table-bordered">
            <thead>
            <tr>
            <th><b>#</b></th>
            <th><b>Leave Code</b></th>
            <th><b>Leave Name</b></th>
            <th><b>Leave Color</b></th>
            <th><b>Action</b></th>
            </tr>
            </thead>
            <tbody>
                            @forelse($staffleavetyp as $leave)
            <tr>
            <td>{{ $loop->iteration }}</td>
            <td>{{$leave->leave_code}}</td>
            <td>{{$leave->leave_name}}</td>
                                   
            <td style="background-color:{{ $leave->leave_color }};width:3px"></td>
            <td>{{app_table_links($leave->leav_id,array(104,105))}}</td>

            </tr>
                            @empty
            <tr>
                                    <td colspan="2">No Result Found !</td>
            </tr>
                            @endforelse
            </tbody>
            </table>
            </div>
            </div>
            </div>
            </div>
            
            
            
            
           
            <style>
        .card-body{
            border-left:1px solid #DCDCDC;
            border-right:1px solid #DCDCDC;
            border-bottom:1px solid #DCDCDC;
             
          
        }
       
        .form-control{
            border:1px solid #E8E8E8;
        }
    </style>
@endsection