@extends('layouts.settings-template')
@section('title','Settings')
@section('heading','Leave Type Edit')
@section('breadcrumb','Settings / Staff Setting /Leave Type/ Leave Type Edit')
@section('content')
        
        
        
        
       
    <div class="row">
    <div class="col-lg-12 grid-margin stretch-card">
    <div class="card">
    <div class="card-header" style="background:#005A9C;color:white;"><b>Edit</b></div>        
    <div class="card-body">
    <form action="{{ route('staffleavetyp.update') }}" method="post">
    @csrf
    <input type="hidden" name="leav_id" value="{{ encrypt($staffleavetyp->leav_id) }}">
    <div class="row">
                            
    <div class="col-md-3">
    <div class="form-group">
    <label for="leave_code" class="required"><b>Leave Code</b></label>
    <input type="text" class="form-control @error('leave_code') border-danger @enderror" id="leave_code" name="leave_code" value="{{$staffleavetyp->leave_code }}">
    @error('leave_code')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
    </div>
    </div>
    <div class="col-md-3">
    <div class="form-group">
    <label for="leave_name" class="required"><b>Leave Name</b></label>
    <input type="text" class="form-control @error('leave_name') border-danger @enderror" id="leave_name" name="leave_name" value="{{ $staffleavetyp->leave_name }}">
    @error('leave_name')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
    </div>
    </div>
    <div class="col-md-2">
    <div class="form-group">
    <label for="leave_color" class="required"><b>Color Picker</b></label>
    <input type="color" class="form-control @error('leave_color') border-danger @enderror" id="leave_color" name="leave_color" value="{{$staffleavetyp->leave_color  }}">
                                    @error('leave_color')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
    </div>
    </div>
                                    
    </div>
    <div class="row">
    <div class="col-md-12">
    <div class="form-group">
    <button type="submit" class="btn btn-primary float-right">Update</button>
    </div>
    </div>
    </div>
                                    
                                    
    </form>
    </div>
    </div>
    </div>
    </div>
    
    
    
    
   
    <style>
            .card-body{
            border-left:1px solid #DCDCDC;
            border-right:1px solid #DCDCDC;
            border-bottom:1px solid #DCDCDC;
             
    
        </style>
@endsection