@extends('layouts.settings-template')
@section('title','Settings')
@section('heading','Edit Main Criteria')
@section('breadcrumb','Settings / Staff Setting / Feedback Criteria /Main Criteria/Edit Main Criteria')
@section('content')
 





       
        <div class="row">
        <div class="col-lg-12 grid-margin stretch-card">
        <div class="card">
        <div class="card-header" style="background-color:#005A9C;color:white"><b>Edit</b></div>    
        <div class="card-body">
        <form action="{{ route('feedbkcrit.updates') }}" method="post">
        @csrf
                        <input type="hidden" name="fdbkmainc_id" value="{{ encrypt($main->fdbkmainc_id) }}">
                        <div class="row">
                              <div class="col-md-3">
                                        <div class="form-group">
                                            <label for="main_criteria" class="required"><b>Main Criteria</b></label>
                                            <input type="text" class="form-control @error('main_criteria') border-danger @enderror" id="main_criteria" name="main_criteria" value="{{$main->main_criteria }}">
                                            @error('main_criteria')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
                                        </div>
                                    </div>
                           <div class="col-md-3">
                                <div class="form-group">
                                    <label for="fdbktyp_id" class="required"><b>Type</b></label>
                                    <select class="form-control" id="fdbktyp_id" name="fdbktyp_id" required>
                                        <option value="">Select</option>
                                        @foreach($fdbktyp as $typ)
                                            <option value="{{ $typ->fdbktyp_id  }}" {{ $main->fdbktyp_id==$typ->fdbktyp_id  ? "selected":"" }}>{{ $typ->types }}</option>
                                        @endforeach
                                    </select>
                                    @error('fdbktyp_id')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
                                </div>
                            </div>
                                  
</div>
 <div class="row">
                                    <div class="col-md-12">
                                    <div class="form-group">
                                    <button type="submit" class="btn btn-primary float-right">Update</button>
                                    </div>
                                    </div>
                                    </div>
            </form>            
            </div>
            </div>
            </div>
            </div>
           
           
           
           
           
          
<style>
    .card-body{
            border-left:1px solid #DCDCDC;
            border-right:1px solid #DCDCDC;
            border-bottom:1px solid #DCDCDC;
             
          
        }
</style>
























@endsection