@extends('layouts.settings-template')
@section('title','Settings')
@section('heading','Main Criteria')
@section('breadcrumb','Settings / Staff Setting /Feedback Criteria/Main Criteria')
@section('content')
<div class="row">
    <div class="col-lg-12 grid-margin stretch-card">
    
    
    <div class="card-tools">
    {{ app_button_links(array(277,278)) }}
    </div>
 </div>
</div>

       
    <div class="row">
    <div class="col-lg-12 grid-margin stretch-card">
    <div class="card">
    <div class="card-header" style="background:#073980;color:white;"><b>Main Criteria</b></div>
    <div class="card-body">
    <form action="{{ route('feedbkcrit.save') }}" method="post">
    @csrf
    <div class="row">
    <div class="col-md-9">
    <div class="form-group">
    <label for="main_criteria" class="required"><b>Main Criteria</b></label>
    <textarea name="main_criteria" class="form-control" id="main_criteria"></textarea>
    @error('main_criteria')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
    </div>
    </div>
    <div class="col-md-3">
                                <div class="form-group">
                                <label for="fdbktyp_id" class="required"><b>Type</b></label>
                                <select class="form-control" id="fdbktyp_id" name="fdbktyp_id" required>
                                <option value="">Select</option>
                                @foreach($fdbktyp as $typ)
                                <option value="{{ $typ->fdbktyp_id  }}" {{ old('fdbktyp_id ')==$typ->fdbktyp_id  ? "selected":"" }}>{{ $typ->types }}</option>
                                @endforeach
                                </select>
                                @error('fdbktyp_id')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
                                </div>
                                </div>
                                  
                                </div>
 
    <div class="row">
    <div class="col-md-12">
    <div class="form-group">
    <button type="submit" class="btn btn-primary float-right">Save</button>
    </div>
    </div>
    </div>
    </form>            
</div>
</div>
</div>
</div>
                <div class="row">
                <div class="col-lg-12 grid-margin stretch-card">
                <div class="card" style="border-top:2px solid #004170">
                <div class="card-body">
 <table class="table table-bordered">
                    <thead>
                    <tr>
                    <th><b>#</b></th>
                    <th><b>Criteria</b></th>
                    <th><b>Type</b></th>
                    <th colspan="2"><b>Actions</b></th>
                             
                    </tr>
                    </thead>
                                    <tbody>
                                    @forelse($main as $mainc)
                                    <tr>
                                    <td>{{ $loop->iteration }}</td>
                                    <td  style="word-wrap: break-word; word-break: break-all; white-space: normal;">{{ $mainc->main_criteria }}</td>
                                    <td  style="word-wrap: break-word; word-break: break-all; white-space: normal;">{{ $mainc->feedbacktype->types  }}</td>
                                    <td>{{ app_table_links($mainc->fdbkmainc_id,array(279,280))}}</td>

                                </tr>
                                @empty
                                <tr>
                                <td colspan="6">No Result Found !</td>
                                </tr>
                                @endforelse
                                </tbody>
                                </table>


</div>
</div>
</div>
</div>




<style>
   
        .card-body{
            border-left:1px solid #DCDCDC;
            border-right:1px solid #DCDCDC;
            border-bottom:1px solid #DCDCDC;
          
        }
</style>

@endsection