@extends('layouts.template')
@section('title','')
@section('heading','')
@section('breadcrumb','')
@section('content')

        <div class="row">
        <div class="col-lg-12 grid-margin stretch-card">
        <div class="card">
        <div class="card-header" style="background-color:#005A9C;color:white;"><b>Leave Application</b></div>
        <div class="card-body">
            <form action="{{route('staff.leave.request.save')}}" method="post">
            @csrf
        <div class="row">
            <div class="col-md-3">
            <div class="form-group">
            <label for="lfrom"><b>Leave From</b></label>
            <input type="date" class="form-control" id="lfrom" name="lfrom" value="{{ old('lfrom') ? old('lfrom'):date('Y-m-d') }}">
            @error('lfrom')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
            </div>
            </div>       
                    <div class="col-md-3">
                    <div class="form-group">
                    <label for="luntil"><b>Leave Until</b></label>
                    <input type="date" class="form-control" id="luntil" name="luntil" value="{{ old('luntil') ? old('luntil'):date('Y-m-d') }}">
                    @error('luntil')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
                    </div>
                    </div>
                  
                    <div class="col-md-3">
                    <div class="form-group">
                                <label for="leav_id" class="required"><b>Leave Type</b></label>
                                <select class="form-control" id="leav_id" name="leav_id" required>
                                <option value="">Select</option>
                                @foreach($staffleaveset as $leaveset)
                                <option value="{{ $leaveset->leav_id}}" {{ old('leav_id')==$leaveset->leav_id? "selected":"" }}>{{ $leaveset->leave_name }}</option>
                            @endforeach
                            </select>
                            @error('leav_id')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
                               
</div>
</div>
 

  
  
  
 <div class="col-md-3">
                    <div class="form-group">
                                <label for="reason" class="required"><b>Reason</b></label>
                                <input type="text" name="reason" id="reason" class="form-control" value="{{ old('reason') }}" required>
                                @error('reason')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
</div>
</div>
                   
  
<!--<div class="col-md-3">-->
<!--                    <div class="form-group">-->
<!--                                <label for="request_to" class="required"><b>Leave Request To</b></label>-->
<!--                                <select class="form-control" id="request_to" name="request_to" required>-->
<!--                                <option value="">Select</option>-->
                                

                           


<!--@if(Auth::user()->type_id == 12) -->
<!--                <option value="{{ $hodDetails->user_id }}" {{ old('request_to') == $hodDetails->user_id ? "selected" : "" }}>-->
<!--                    {{ $hodDetails->name }}-->
<!--                </option>-->
<!--            @elseif(Auth::user()->type_id == 17) -->
<!--                <option value="{{ $superadmin->user_id }}" {{ old('request_to') == $superadmin->user_id ? "selected" : "" }}>-->
<!--                    {{ $superadmin->name }}-->
<!--                </option>-->
<!--            @endif-->

<!-- </select>-->
<!--                            @error('request_to')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror-->
                               
<!--</div>-->
<!--</div>-->



     <div class="col-md-3">
                    <div class="form-group">
                        <input type="checkbox" name="fulltime" id="fulltime"> Full Time       
                               
                                @error('fulltime')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
</div>
</div>
</div>                      
            
            
    <div class="row">
    <div class="col-md-12">
    <div class="form-group">
            <button type="submit" class="btn btn-primary float-right">Submit</button>
            </div>
            </div>  
            </div>
            
            
            
            
            
     </form>       
            
</div>
</div>
</div>
</div>




   


<!-- Modal -->
<div class="modal fade" id="statusModal" tabindex="-1" role="dialog" aria-labelledby="statusModalLabel" aria-hidden="true">
  <div class="modal-dialog modal-sm" role="document">
    <div class="modal-content">
      <div class="modal-header">
        <h5 class="modal-title" id="statusModalLabel">Request Details</h5>
        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
          <span aria-hidden="true">&times;</span>
        </button>
      </div>
      <div class="modal-body">
        <!-- Details will be loaded here -->
        <div id="modal-content">
          <!-- This is where the details will be injected -->
        </div>
      </div>
      <div class="modal-footer">
        <button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
      </div>
    </div>
  </div>
</div>









    <script src="{{ asset('public/template/plugins/jquery/jquery.min.js') }}"></script>
    <script src="{{ asset('public/js/leave.js') }}"></script> 
    <script src="{{ asset('public/js/userleaverequest.js') }}"></script> 
    <script>
$(document).ready(function() {
    $('#user_id').change(function() {
        var user_id = $(this).val();
        
        if (user_id) {
            $.ajax({
                url: '{{ route("staff.leave.request.get") }}',
                type: 'GET',
                data: { user_id: user_id },
                success: function(data) {
                    var $leav_id = $('#leav_id');
                    $leav_id.empty(); 
                    $leav_id.append('<option value="">Select</option>'); 
                    
                    $.each(data, function(index, leaveType) {
                        $leav_id.append('<option value="' + leaveType.leavtyp_id + '">' + leaveType.type_name + ' (' + leaveType.leave_count + ' leaves remaining)</option>');
                    });
                }
            });
        } else {
            $('#leav_id').empty().append('<option value="">Select</option>'); 
        }
    });



  $("#leav_id").on('change',function(){
        var leav_id = $(this).val();
        
        $("#max_allwdleav").empty();
        $.ajax({
            type : 'GET',
            url : '../get-max-leave/'+leav_id,
            success : function(response){
                var data = jQuery.parseJSON(response);
                 $("#max_allwdleav").html('<option value="">Select</option>');
                $.each(data, function(key,value) {
                    $("#max_allwdleav").append('<option value="'+key+'">'+value+'</option>');
                }); 
            }
        });
    });
    
    
    
    
});




    $(document).ready(function() {
        $('#statusModal').on('show.bs.modal', function (event) {
            var button = $(event.relatedTarget); 
            var status = button.data('status');
            var detailsUrl = button.data('details'); 

            var modal = $(this);
            modal.find('.modal-title').text('Request ' + status);
            
         
            $.get(detailsUrl, function(response) {
             
                modal.find('#modal-content').html(response);
            }).fail(function() {
                modal.find('#modal-content').html('<p>Error loading details.</p>');
            });
        });
    });

    </script> 
<style>
     table.table-bordered {
            border: 1px solid #D8D8D8;
        }
        table.table-bordered th,
        table.table-bordered td {
            border: 1px solid #D8D8D8;
        }
        table.table-bordered th{
            background-color:#FEBE10;
        }
        table.table-bordered tr:nth-child(even){background-color: #F8F8F8;}
        .form-control{
            border:1px solid black;
        }
        .modal-dialog.modal-sm {
    max-width: 50%; 
}
 .card-body{
            border-left:1px solid #DCDCDC;
            border-right:1px solid #DCDCDC;
            border-bottom:1px solid #DCDCDC;
             
          
        }
</style>









     
     
    
@endsection