

<div class="card">
    <div class="card-header" style="background:#004170;color:white"><b>Mark Attendance</b></div>
    <div class="card-body">
          <table>
        <tr>
               <td class="color-box" style="background-color:red; width:15px; height: 15px;"></td><td></td><td>Absent</td>
                 <td class="color-box" style="background-color:blue; width:15px; height: 15px;"></td><td></td><td>Half Day</td>
                 <td class="color-box" style="background-color:green; width:15px; height: 15px;"></td><td></td><td>Present</td>
        </tr>
        </table>
        <br>
        <br>
        <form id="attendanceForm" action="{{ route('staff.attendance.save') }}" method="post">
            @csrf
            <input type="hidden" id="staftyp_id" name="staftyp_id" value="{{ $stafftype->staftyp_id }}">
             <input type="hidden" id="type_id" name="type_id" value="{{ $staffdesig->type_id }}">
            <div class="row">
                <div class="col-md-12">
                    <div class="form-group">
                        <div style="height:auto; overflow:scroll;">
                            <table id="table-fine" class="table table-bordered">
                                <thead>
                                    <tr>
                                        <th style="background-color:#004170;color:white"><b>#</b></th>
                                        <th style="background-color:#004170;color:white; position:sticky; left:0; background:#004170; z-index:10;"><b>Staff Name</b></th>
                                        
                                         @foreach ($dates as $date)
            <th style="width:10px;background-color:#004170;color:white">
                <b>{{ \Carbon\Carbon::parse($date)->format('d M') }}</b> 
            </th>
        @endforeach
                                    </tr>
                                </thead>
                                <tbody>
                                    @foreach($staff  as $staffs)
                                        <tr>
                                            <input type="hidden" name="staff_id[]" value="{{ $staffs->user_id }}">
                                            <input type="hidden" name="staff_name[]" value="{{ $staffs->name }}">

                                            <td style="background-color:#004170;color:white"><b>{{ $loop->iteration }}</b></td>
                                            <td style="background-color:#004170;color:white; position:sticky; left:0; background:#004170; z-index:10;"><b>{{ $staffs->name }}</b></td>
                                            @foreach ($dates as $date)
                                            @php
                                  $attendanceRecord = $attendanceStatus[$staffs->user_id][$date] ?? null;
                                  $class = '';
                                  $icon = '';
                                    if ($attendanceRecord)  {
                                      if ($attendanceRecord['am'] == 1 && $attendanceRecord['pm'] == 1) {
                                         $class = 'absent';
                                            $icon = 'fa-times';
                                       } elseif ($attendanceRecord['am'] == 0 && $attendanceRecord['pm'] == 0) {
                                         $class = 'present';
            $icon = 'fa-check';
                                           } else {
                    $class = 'half-day';
            $icon = 'fa-clock'; 
                   
                }
            }
             @endphp                 
              <td style="background-color:white" class="{{ $class  }}">
                  <div class="attendance-icon {{ $class }}">
                   @if (!$attendanceRecord)
                    <input type="checkbox" name="attendance[{{ $staffs->user_id }}][]" value="{{ $date }}" 
                   class="attendance-checkbox" 
                   onclick="showAbsentForm(this, '{{ $date }}', '{{ $staffs->user_id }}')">
                                                
                                                  @endif
                                                  </td>
                                            @endforeach
                                        </tr>
                                    @endforeach
                                </tbody>
                            </table>
                            
            </div>
            </div>
            </div>
            <div class="row">
                    <div class="col-md-12">
                        <div class="form-group">
                            <button type="submit" class="btn btn-primary float-right">Save</button>
                        </div>
                    </div>
                </div>
            
            
            </div>
            </form>
            <!-- Absent Details Form -->
            <div class="modal fade" id="absentFormModal" tabindex="-1" role="dialog" aria-labelledby="absentFormModalLabel" aria-hidden="true">
  <div class="modal-dialog" role="document">
    <div class="modal-content">
      <div class="modal-header" style="background:#004170;color:white">
        <h5 class="modal-title" id="absentFormModalLabel"><b>ABSENT DETAILS</b></h5>
        <button type="button" class="close text-white" data-dismiss="modal" aria-label="Close">
          <span aria-hidden="true">&times;</span>
        </button>
      </div>
      <div class="modal-body" style="background:white">
        <form id="absentForm" action="{{route('staff.attendance.absent.save')}}" method="post">
            @csrf
            <input type="hidden" id="absentDate" name="date">
                    <input type="hidden" id="staffId" name="staff_id">
                    <input type="hidden" id="popupStaffName" name="staff_name">
                    <input type="hidden" id="staftyp_id" name="staftyp_id" value="{{ $stafftype->staftyp_id }}">
                    <input type="hidden" id="type_id" name="type_id" value="{{ $staffdesig->type_id }}">


            <div class="form-group">
                <label for="name">Staff Name</label>
                <input type="text" id="name" class="form-control" style="background-color:#F0F0F0" readonly>
            </div>
            <div class="form-group">
                <label for="absentDateField">Date</label>
                <input type="text" id="absentDateField" name="date" class="form-control" style="background-color:#F0F0F0" readonly>
            </div>
            <div class="form-group">
                <label for="stuleav_id">Leave Type</label>
                 <select class="js-example-basic-single" id="leav_id" name="leav_id" style="width:100%">
                            <option value="">Select</option>
                            @foreach($staffleavset as $leave)
                            <option value="{{ $leave->leav_id }}" {{ old('leav_id') == $leave->leav_id ? "selected":"" }}>{{ $leave->leave_name }}</option>
                            @endforeach
                            </select>
                @error('leav_id')<div class="text-danger small mt-1">{{ $message }}</div>@enderror
            </div>
            <div class="form-group">
                <label for="absentReason">Reason</label>
                <textarea id="absentReason" name="reason" placeholder="Enter absent reason..." class="form-control" style="background-color:#F0F0F0"></textarea>
            </div>
            <div class="form-group">
                <label>Half Day:</label><br>
                <input type="checkbox" name="am" value="am" id="amRadio"> Am
                <input type="checkbox" name="pm" value="pm" id="pmRadio"> Pm
            </div>
            <button type="submit" class="btn btn-danger"  onclick="validateForm()">Save</button>
            <button type="button" class="btn btn-danger" onclick="hideAbsentForm()">Close</button>
        </form>
      </div>
    </div>
  </div>
</div>

            
            
            
            

           
    </div>
</div>


<!--<link href="https://stackpath.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css" rel="stylesheet">-->
<script src="https://cdn.jsdelivr.net/npm/@popperjs/core@2.9.3/dist/umd/popper.min.js"></script>
<script src="https://stackpath.bootstrapcdn.com/bootstrap/4.5.2/js/bootstrap.min.js"></script>
<script src="{{ asset('public/template/plugins/jquery/jquery.min.js') }}"></script>
<script>
$(document).ready(function() {
    function isSunday(dateString) {
        var date = new Date(dateString);
        return date.getDay() === 0; 
    }

    var today = new Date();

    $('input[name^="attendance"]').each(function() {
        var dateValue = $(this).val();
        var date = new Date(dateValue);

        if (isSunday(dateValue)) {
            $(this).parent().addClass('sunday-holiday'); 
            $(this).prop('disabled', true);
        } else {
            if (date <= today) {
                $(this).prop('disabled', false);
                $(this).prop('checked', true);
            } else {
                $(this).prop('disabled', true);
            }
        }
    });

    $('input.attendance-checkbox').change(function() {
        if ($('input.attendance-checkbox:checked').length < $('input.attendance-checkbox').length) {
            $('.card').addClass('move-down');
        } else {
            $('.card').removeClass('move-down');
        }
    });

    
    // .....................................................................
    
    
    
    $('#attendanceForm').on('submit', function(e) {
        e.preventDefault(); // Prevent default form submission

        $.ajax({
            url: $(this).attr('action'),
            type: 'POST',
            data: $(this).serialize(),
            success: function(response) {
              alert('Attendance details saved successfully!');
               location.reload();
            },
            error: function(response) {
                // alert(response.responseJSON.error);
            }
        });
    });

 
    $('#absentForm').on('submit', function(e) {
        e.preventDefault(); 

        $.ajax({
            url: $(this).attr('action'),
            type: 'POST',
            data: $(this).serialize(),
            success: function(response) {
                alert('Absent details saved successfully!');
                $('#absentFormModal').modal('hide'); 
               
            },
             error: function(response) {
           
        }
        });
    });  
    
  
    
    
});

function showAbsentForm(checkbox, date, staffId) {
    if (!checkbox.checked) {
        var staffName = $(checkbox).closest('tr').find('input[name="staff_name[]"]').val();
        var stafftype = $('#staftyp_id').val(); 
        var type_id = $('#type_id').val(); 
        $('#absentDate').val(date);
        $('#staffId').val(staffId);
        $('#name').val(staffName);
        $('#popupStaffName').val(staffName);
        $('#absentDateField').val(date);
        $('#staftyp_id').val(stafftype); 
        $('#type_id').val(type_id); 
        $('#absentFormModal').modal('show');
    }
}




function hideAbsentForm() {
    $('#absentFormModal').hide();
}


function closePopup() {
    document.getElementById('absentFormModal').style.display = 'none';
}


function validateForm() {
    var reason = document.getElementById("absentReason").value;
    
    // Check if the "reason" field is empty
    if (reason.trim() === "") {
        alert("Please enter a reason for your absence.");
        return false; // Prevent form submission
    }

    // If everything is fine, allow form submission (if needed, you can submit the form here)
    // document.getElementById("yourFormId").submit(); 
}
</script>

<style>
    #absentFormContainer {
    display: none;
    margin-top: 20px;
}
 table.table-bordered th,
        table.table-bordered td {
        white-space: nowrap;
         padding: 3px;
    }
  .attendance-icon {
    width: 1.0em;
    height: 1.0rem;
    display: inline-block;
    
        
    }
    .present {
        background-color: green;
    }

    .absent {
        
        background-color: red; 
    }

    .half-day {
        background:blue;
    }
    .color-box {
            width: 20px; 
            height: 20px; 
            display: inline-block;
            vertical-align: middle; 
            margin: 5px; 
        }
  .sunday-holiday {
        background-color: #F08080 !important; 
    }
</style>





