
@extends('layouts.student-template')
@section('title','')
@section('heading','')
@section('breadcrumb','')
@section('content')

        <div class="row">
        <div class="col-lg-12 grid-margin stretch-card">
        <div class="card">
        <div class="card-header" style="background-color:#005A9C;color:white;"><b>Join Club Request</b></div>
        <div class="card-body">
            <form action="{{route('clubjoin.request.save')}}" method="post">
              @csrf 
               
         <div class="row">   
         <div class="col-md-3">                         
                            <div class="form-group">                         
                                <label for="club_id"><b>Date</b></label>         
                                <input type="date" name="date" class="form-control" value="{{date('Y-m-d')}}">
                                
                                
                                </div>
                                </div>
         
         <div class="col-md-3">                         
                            <div class="form-group">                         
                                <label for="club_id"><b>Club Names</b></label>                         
                                <select class="form-control" id="club_id" name="club_id"  required>                         
                                    <option value=""><span class="fw-bold">Select</span></option>                         
                                    @foreach($clubs as $club)                         
                                        <option value="{{ $club->club_id }}" {{ old('user_id') ? "selected" : "" }}>{{ $club->club_name }}</option>                         
                                    @endforeach                         
                                </select>                         
                                @error('club_id')<div class="text-danger small mt-1">{{ $message }}</div>@enderror                         
                            </div>                         
                        </div>         
                        
                      
                        
                        
                        
          <div class="col-md-3">                         
                            <div class="form-group">                         
                                <label for="user_id"><b>Staff-in-charge</b></label>                         
                              <select class="form-control" id="user_id" name="user_id" required>
    <option value="">Select</option>
   
                                @error('user_id')<div class="text-danger small mt-1">{{ $message }}</div>@enderror                         
                            </div>                         
                        </div>                   
         
         
         
         </div>
         <div class="row">
            <div class="col-md-12">
                <input type="submit" name="sub" value="Join" class="btn btn-primary float-right">
            </div>
         </div>
       </form>     
</div>
</div>
</div>
</div>
<style>


     table.table-bordered {
            border: 1px solid #D8D8D8;
        }
        table.table-bordered th,
        table.table-bordered td {
            border: 1px solid #D8D8D8;
        }
        table.table-bordered th{
            background-color:#FEBE10;
        }
        table.table-bordered tr:nth-child(even){background-color: #F8F8F8;}
        .form-control{
            border:1px solid black;
        }
        .modal-dialog.modal-sm {
    max-width: 50%; 
}
 .card-body{
            border-left:1px solid #DCDCDC;
            border-right:1px solid #DCDCDC;
            border-bottom:1px solid #DCDCDC;
             
          
        }
</style>
<script src="{{ asset('public/template/plugins/jquery/jquery.min.js') }}"></script>
     <!--<script src="{{ asset('public/js/clubstaff.js') }}"></script> -->


<script>
$(document).ready(function() {
    $("#club_id").on('change', function() {
        var club_id = $(this).val();
        console.log("Selected Club ID: ", club_id); 

        $("#user_id").empty().append('<option value="">Loading...</option>');

        $.ajax({
            type: 'GET',
            url: '{{ url("get-staff-join") }}/' + club_id,
            success: function(response) {
                console.log("AJAX Response: ", response); 
                $("#user_id").html('<option value="">Select</option>'); 
                $.each(response, function(key, value) {
                    $("#user_id").append('<option value="'+key+'">'+value+'</option>');
                });

                
                console.log($("#user_id").html());
            },
            error: function(xhr) {
                console.error(xhr.responseText);
                alert('Error retrieving staff data. Please try again.');
                $("#user_id").empty().append('<option value="">Select</option>');
            }
        });
    });
});

</script>









     
     
    
@endsection