
@extends('layouts.student-template') 
@section('title', 'Home') 
@section('heading', 'Report') 
@section('breadcrumb', 'Home/Club/Report') 
@section('content')      


<div class="row">     
    <div class="col-lg-12 grid-margin stretch-card">     
        <div class="card">     
            <div class="card-header" style="background-color:#005A9C;color:white;"><b>Report</b></div>     
            <div class="card-body">         


<table class="table table-bordered">
                        <thead>
                        <tr>
                            <th><b>#</b></th>
                            <th><b>Requested Date</b></th>
                            <th><b>Club Name</b></th>
                           <th><b>Status</b></th>
                            
                        </tr>
                        </thead>
                        <tbody>
                           @if($requests->isNotEmpty())
    @foreach($requests as $request)
        <tr>
            <td>{{$loop->iteration}}</td>
            
           <td>{{date('d-m-Y',strtotime($request->date))}}</td>
            <td>{{$request->club_name}}</td>
            @if($request->status == 0)
                <td><p class="text-success" style="font-size:15;"><b>Pending</b></p></td>
            @elseif($request->status == 1)
                <td><p class="text-success" style="font-size:15px;"><b>"Congratulations! You are now a member of the {{$request->club_name}}."</b></p></td>
            @else
                <td><p class="text-danger" style="font-size:15px;"><b>"Unfortunately, your request to join the  {{$request->club_name}} has been rejected."</b></p></td>
            @endif
        </tr>
    @endforeach
@else
    <tr>
        <td colspan="4">No Result Found!</td>
    </tr>
@endif
                        </tbody>
                    </table>




</div>
</div>
</div>
</div>
<style>
    <style>                                 
    .card-body {             
        border-left: 1px solid #DCDCDC;             
        border-right: 1px solid #DCDCDC;             
        border-bottom: 1px solid #DCDCDC;         
    }   
    
</style>

@endsection