@extends('layouts.template')
@section('title','Dashboard/Edit Student Profile')
@section('heading','Dashboard/Edit Student Profile')
@section('breadcrumb','')
@section('content')


    <div class="row">
    <div class="col-12">
   
    
    <div class="row">
    <div class="col-12 col-sm-4 col-lg-3">
    <div class="form-group">
    <a href="{{route('searchstudent.get.view',['student_id' => encrypt($student->student_id)])}}" style="text-decoration:none;margin-right:1px"><span type="button" class="btn btn-sm btn-block btn-danger"><i class="icon-plus"></i>Profile</span></a>
    </div>
    </div>
    
    
    <div class="col-12 col-sm-4 col-lg-3">
    <div class="form-group">
    <a href="{{route('searchstudent.payment',['student_id'=>$student->student_id])}}" style="text-decoration:none"><span type="button" class="btn btn-sm btn-block btn-success"><i class="icon-plus"></i>Payments</span></a>
    </div>
    </div>
    
    <div class="col-12 col-sm-4 col-lg-3">
    <div class="form-group">
    <a href="{{route('searchstudent.feereport',['student_id'=>$student->student_id])}}" style="text-decoration:none"><span type="button" class="btn btn-sm btn-block btn-success"><i class="icon-plus"></i>Fee Report</span></a>
    </div>
    </div>
    
    <div class="col-12 col-sm-4 col-lg-3">
    <div class="form-group">
            <a href="{{route('searchstudent.duereport',['student_id'=>$student->student_id])}}"  style="text-decoration:none" ><span type="button" class="btn btn-sm btn-block btn-success"><i class="icon-plus"></i>Due Report</span></a>
    </div>
    </div>
    
   
    </div>
 <div class="row"> 
    <div class="col-12 col-sm-4 col-lg-3">
    <div class="form-group">
    <a href="{{route('searchstudent.attendance',['student_id'=>$student->student_id])}}"  style="text-decoration:none"><span type="button" class="btn btn-sm btn-block btn-success"><i class="icon-plus"></i>Attendance Report</span></a>
    </div>
    </div>


<br>

<form action="{{route('searchstudent.updateprofile')}}" method="post" enctype="multipart/form-data">
@csrf
<input type="hidden" name="student_id" value="{{encrypt($student->student_id)}}">
<div class="card">
<div class="card-header" style="background-color:#005A9C;color:white;"><b>Edit Student Profile</b></div>
<div class="card-body">


    <div class="row">
      <div class="col-12 col-sm-3">
    <div class="card" style="border:solid 1px #EDEADE; border-radius:20px; border-top:3px solid #004170; overflow:hidden;">
        <div class="card-body">
            <div class="form-group text-center">
                <img class="img-md rounded-circle" src="{{ asset('public/uploads/student/photo/'.$student->photo) }}" alt="Profile image" width="200px" height="200px">
            </div>

            <div class="form-group text-center mb-1"> 
                <p><b><span style="font-size:18px;">{{ strtoupper($student->name) }}</span></b></p>
            </div>

              @foreach($crs as $course)
            <div class="form-group text-center mb-1"> 
                <p><b><span class="bg-success text-dark" style="font-size:15px">Major {{$loop->iteration}}:{{strtoupper($course->course_code)}}</span></b></p>
            </div>
@endforeach
          

            <div class="form-group row">
                <div class="col-12 col-sm-6">
                    <p class="font-weight-bold">Adm No</p>
                </div>
                <div class="col-12 col-sm-6">
                    <p>: <b>{{$student->adno}}</b></p>
                </div>
            </div>  

            <div class="form-group row">
                <div class="col-12 col-sm-6">
                    <p class="font-weight-bold">Phone</p>
                </div>
                <div class="col-12 col-sm-6">
                    <p>: {{$student->mobile}}</p>
                </div>
            </div>  

            <div class="form-group row">
                <div class="col-12 col-sm-6">
                    <p class="font-weight-bold">Ac Year</p>
                </div>
                <div class="col-12 col-sm-6">
                    <p>: {{ date('Y', strtotime($student->acyear->sdate)) . '-' . date('Y', strtotime($student->acyear->edate)) }}</p>
                </div>
            </div> 

            <div class="form-group row">
                <div class="col-12">
                    <input type="submit"  name="sub" value="Update" class="btn btn-success">

                </div>
            </div>
        </div>    
    </div>
</div>
        <div class="col-12 col-sm-6">
        <div class="card" style="border:solid 1px #EDEADE;border-radius:20px;">
            <div class="card-header"  style="background:#004170;color:white"><b>Profile</b></div>
            <div class="card-body" style="background-color:#F0F8FF">
               <div class="form-group row">
                   <div class="col-12 col-sm-6">
                    <p><b>Admission Date</b></p>
                    </div>
                    <div class="col-12 col-sm-6">
                    <input type="text" class="form-control" style="border:1px solid #D3D3D3" name="adate" value="{{date('d-m-Y',strtotime($student->adate))}}" readonly>
                    </div>
                </div>  
                  <div class="form-group row">
                   <div class="col-12 col-sm-6">
                    <p><b>Date of Birth</b></p>
                    </div>
                    <div class="col-12 col-sm-6">
                    <input type="date" class="form-control" style="border:1px solid #D3D3D3" name="dob" value="{{date('d-m-Y',strtotime($student->dob))}}">
                    </div>
                </div>  
                  <div class="form-group row">
                   <div class="col-12 col-sm-6">
                    <p><b>Category</b></p>
                    </div>
                    <div class="col-12 col-sm-6">
                    <input type="text" class="form-control" style="border:1px solid #D3D3D3" name="category" value="{{$student->category}}" readonly >
                    </div>
                </div>  
                  <div class="form-group row">
                   <div class="col-12 col-sm-6">
                    <p><b>Mobile Number</b></p>
                    </div>
                    <div class="col-12 col-sm-6">
                    <input type="text" class="form-control" style="border:1px solid #D3D3D3" name="mobile" value="{{$student->mobile}}" >
  
                    </div>
                </div>  
                
               
                <div class="form-group row">
                   <div class="col-12 col-sm-6">
                    <p><b>Email</b></p>
                    </div>
                    <div class="col-12 col-sm-6">
                    <!--<p>: {{$student->email}}</p>-->
                    <input type="text" class="form-control" style="border:1px solid #D3D3D3" name="email" value="{{$student->email}}" >
                    </div>
                </div>  
                <div class="form-group row">
                   <div class="col-12 col-sm-6">
                    <p><b>Current Address</b></p>
                    </div>
                    <div class="col-12 col-sm-6">
                    <!--<p>: {{$student->caddress}}</p>-->
                     <input type="text" class="form-control" style="border:1px solid #D3D3D3" name="caddress" value="{{$student->caddress}}" >
                    </div>
                </div>  
                 <div class="form-group row">
                   <div class="col-12 col-sm-6">
                    <p><b>Permanent Address</b></p>
                    </div>
                    <div class="col-12 col-sm-6">
                     <input type="text" class="form-control" style="border:1px solid #D3D3D3" name="paddress" value="{{$student->paddress}}" >

                    </div>
                </div>  
                
             
             
                
            </div>
            <div class="card-header"  style="background:#004170;color:white" ><b>Miscellaneous Details</b></div>
            <div class="card-body"  style="background-color:#F0F8FF">
              <div class="form-group row">
                   <div class="col-12 col-sm-6">
                    <p><b>Blood Group</b></p>
                    </div>
                    <div class="col-12 col-sm-6">
                    <!--<p>: {{$student->bgroup}}</p>-->
                     <input type="text" class="form-control" style="border:1px solid #D3D3D3" name="bgroup" value="{{$student->bgroup}}" >
                    
                    </div>
                </div> 
                 <div class="form-group row">
                   <div class="col-12 col-sm-6">
                    <p><b>Aadhar</b></p>
                    </div>
                    <div class="col-12 col-sm-6">
                    <!--<p>: {{$student-> aadhar}}</p>-->
                    <input type="text" class="form-control" style="border:1px solid #D3D3D3" name="aadhar" value="{{$student->aadhar}}" >

                    </div>
                </div>   
                 <div class="form-group row">
                   <div class="col-12 col-sm-6">
                    <p><b>Annual Income</b></p>
                    </div>
                    <div class="col-12 col-sm-6">
                    <!--<p>: {{$student-> income}}</p>-->
                 <input type="text" class="form-control" style="border:1px solid #D3D3D3" name="income" value="{{$student->income}}" >

                    </div>
                </div>  
                 <div class="form-group row">
                   <div class="col-12 col-sm-6">
                    <p><b>Physically Handicapped</b></p>
                    </div>
                    <div class="col-12 col-sm-6">
                    <!--<p>: {{$student-> physical}}</p>-->
                    <input type="text" class="form-control" style="border:1px solid #D3D3D3" name="physical" value="{{$student->physical}}" >

                    </div>
                </div>  
                <div class="form-group row">
                   <div class="col-12 col-sm-6">
                    <p><b>Institution Last Studied</b></p>
                    </div>
                    <div class="col-12 col-sm-6">
                    <!--<p>: {{$student-> lastinst}}</p>-->
                    <input type="text" class="form-control" style="border:1px solid #D3D3D3" name="lastinst" value="{{$student->lastinst}}" >

                    </div>
                </div>   
                <div class="form-group row">
                   <div class="col-12 col-sm-6">
                    <p><b>Course Last Studied</b></p>
                    </div>
                    <div class="col-12 col-sm-6">
                    <!--<p>: {{$student-> lastcourse}}</p>-->
                    <input type="text" class="form-control" style="border:1px solid #D3D3D3" name="lastcourse" value="{{$student->lastcourse}}" >

                    </div>
                </div>  
                <div class="form-group row">
                   <div class="col-12 col-sm-6">
                    <p><b>Bank Account Number</b></p>
                    </div>
                    <div class="col-12 col-sm-6">
                    <p>: </p>
                    </div>
                </div>   
                
                
            </div>
            
            
        </div>
    </div>
   
    
    
    
    
    <div class="col-12 col-sm-3">
        <div class="card" style="border:solid 1px #EDEADE;border-radius:20px">
            <div class="card-header"  style="background:#004170;color:white">
                <b>Parent Details</b>
            </div>
            <div class="card-body"  style="background-color:#F0F8FF">
               <div class="form-group row">
                   <div class="col-12 col-sm-6">
                    <p><b>Father</b></p>
                    </div>
                </div>    
                <div class="form-group row">
                   <div class="col-12 col-sm-6">
                    <p><b>Name</b></p>
                    </div>
                    <div class="col-12 col-sm-6">
                    <!--<p>: {{$student->fname}}</p>-->
                <input type="text" class="form-control" style="border:1px solid #D3D3D3" name="fname" value="{{$student->fname}}" >

                    </div>
                </div>  
                <div class="form-group row">
                   <div class="col-12 col-sm-6">
                    <p><b>Phone Number</b></p>
                    </div>
                    <div class="col-12 col-sm-6">
                    <!--<p>: </p>-->
                                    <input type="text" class="form-control" style="border:1px solid #D3D3D3" name="" value="" >

                    </div>
                </div>  
                <div class="form-group row">
                   <div class="col-12 col-sm-6">
                    <p><b>Occupation</b></p>
                    </div>
                    <div class="col-12 col-sm-6">
                    <!--<p>: {{$student->foccupation}}</p>-->
                    <input type="text" class="form-control" style="border:1px solid #D3D3D3" name="foccupation" value="{{$student->foccupation}}" >

                    </div>
                </div>  
<div class="form-group row">
                   <div class="col-12 col-sm-6">
                    <p><b>Mother</b></p>
                    </div>
                </div>    
                <div class="form-group row">
                   <div class="col-12 col-sm-6">
                    <p><b>Name</b></p>
                    </div>
                    <div class="col-12 col-sm-6">
                    <input type="text" class="form-control" style="border:1px solid #D3D3D3" name="mname" value="{{$student->mname}}" >
                    <!--<p>:{{$student->mname}} </p>-->
                    </div>
                </div>   
                <div class="form-group row">
                   <div class="col-12 col-sm-6">
                    <p><b>Phone Number</b></p>
                    </div>
                    <div class="col-12 col-sm-6">
                    <input type="text" class="form-control" style="border:1px solid #D3D3D3" name="" value="" >

                    </div>
                </div>  
                <div class="form-group row">
                   <div class="col-12 col-sm-6">
                    <p><b>Occupation</b></p>
                    </div>
                    <div class="col-12 col-sm-6">
                    <!--<p>: {{$student->moccupation}}</p>-->
            <input type="text" class="form-control" style="border:1px solid #D3D3D3" name="moccupation" value="{{$student->moccupation}}" >

                    </div>
                </div>  
                
                
                
                
           
       
       
        </div>
         <div class="card-header"  style="background:#004170;color:white">
                <b>Guardian Details</b>
            </div>
            <div class="card-body"  style="background-color:#F0F8FF">
         <div class="form-group row">
                   <div class="col-12 col-sm-6">
                    <p><b>Name</b></p>
                    </div>
                    <div class="col-12 col-sm-6">
                    <!--<p>: {{$student->gname}}</p>-->
                <input type="text" class="form-control" style="border:1px solid #D3D3D3" name="gname" value="{{$student->gname}}" >

                    </div>
                </div>  
                 <div class="form-group row">
                   <div class="col-12 col-sm-6">
                    <p><b>Address</b></p>
                    </div>
                    <div class="col-12 col-sm-6">
                    <!--<p>: {{$student->gaddress}}</p>-->
                <input type="text" class="form-control text" style="border:1px solid #D3D3D3" name="gaddress" value="{{$student->gaddress}}" >

                    </div>
                </div>  
                <div class="form-group row">
                   <div class="col-12 col-sm-6">
                    <p><b>Mobile</b></p>
                    </div>
                    <div class="col-12 col-sm-6">
                    <!--<p>: {{$student->gmobile}}</p>-->
                     <input type="text" class="form-control" style="border:1px solid #D3D3D3" name="gmobile" value="{{$student->gmobile}}" >

                    </div>
                </div>  
     </div>
    </div>
</div>
</div>
</div>
 
        
 </form>   
<style>
    .form-group {
        margin-bottom: 3px; /* Adjust the value as per your spacing preference */
    }
    .form-control{
        border-radius:8px;
    }
</style>

@endsection