@extends('layouts.template')
@section('title','Home')
@section('heading','Student Due Report')
@section('breadcrumb','Home/Search Student/Student Due Report')
@section('content')


<input type="hidden" name="student_id" value="{{$student->student_id}}">

<div class="row">
    <div class="col-12">
<!--<div class="card">-->
            <!--<div class="card-body">-->
<div class="row">
    <div class="col-12 col-sm-4 col-lg-3">
        <div class="form-group">
            <a href="{{route('searchstudent.get.view',encrypt(['student_id'=>$student->student_id]))}}" style="text-decoration:none"><span type="button" class="btn btn-sm btn-block btn-success"><i class="icon-plus"></i>Profile</span></a>
        </div>
    </div>
    <div class="col-12 col-sm-4 col-lg-3">
        <div class="form-group">
            <a href="{{route('searchstudent.payment',['student_id'=>$student->student_id])}}" style="text-decoration:none"><span type="button" class="btn btn-sm btn-block btn-success"><i class="icon-plus"></i>Payments</span></a>
        </div>
    </div>
    <div class="col-12 col-sm-4 col-lg-3">
        <div class="form-group">
            <a href="{{route('searchstudent.feereport',['student_id'=>$student->student_id])}}" style="text-decoration:none"><span type="button" class="btn btn-sm btn-block btn-success"><i class="icon-plus"></i>Fee Report</span></a>
        </div>
    </div>
    <div class="col-12 col-sm-4 col-lg-3">
        <div class="form-group">
            <a href="{{route('searchstudent.duereport',['student_id'=>$student->student_id])}}" style="text-decoration:none"><span type="button" class="btn btn-sm btn-block btn-danger"><i class="icon-plus"></i>Due Report</span></a>
        </div>
    </div>
   
</div>
 <div class="row"> 
    <div class="col-12 col-sm-4 col-lg-3">
    <div class="form-group">
    <a href="{{route('searchstudent.attendance',['student_id'=>$student->student_id])}}"  style="text-decoration:none"><span type="button" class="btn btn-sm btn-block btn-success"><i class="icon-plus"></i>Attendance Report</span></a>
    </div>
    </div>
   <div class="col-12 col-sm-4 col-lg-3">
        <div class="form-group">
            <a href="{{ route('searchstudent.exam.view', ['student_id' => $student->student_id]) }}" style="text-decoration:none;">
                <span type="button" class="btn btn-sm btn-block btn-success">
                    <i class="icon-plus"></i> View Exam
                </span>
            </a>
        </div>
    </div>
   </div>
<!--</div>-->
<!--</div>-->
    



<br>

            <div class="row">
            <div class="col-lg-12 grid-margin stretch-card" >
            <div class="card">
            <div class="card-header" style="background-color:#005A9C;color:white;"><b>STUDENT DETAILS</b></div>
            <div class="card-body"  style=" border-left:1px solid #DCDCDC;border-right:1px solid #DCDCDC;border-bottom:1px solid #DCDCDC;">
            <div class="row">
     <div class="col-12 col-md-6">
                                <div class="form-group row">
                                    <label class="col-4"><b>Name</b></label>
                                    <div class="col-8"><b>:</b> {{ $student->name }}</div>
                                </div>
                            </div>
                             <div class="col-12 col-md-6">
    <div class="form-group row">
        <label class="col-4"><b>Course</b></label>
        <div class="col-8">
            <b>:</b>
            @foreach($crs as $course)
                <span>Major {{$loop->iteration}}: {{ $course->course_code }}</span>
                @if(!$loop->last)
                    <span>, </span> 
                @endif
            @endforeach
        </div>
    </div>
</div>
                            </div>
                            
                            <div class="row">
                              <div class="col-12 col-md-6">
                                <div class="form-group row">
                                    <label class="col-4"><b>Adm No.</b></label>
                                    <div class="col-8"><b>:</b> {{ $student->adno }}</div>
                                </div>
                            </div>  
                               
                               <div class="col-12 col-md-6">
                                <div class="form-group row">
                                    <label class="col-4"><b>Sem</b></label>
                                    
              
              <div class="col-8"><b>:</b> {{$semester->semester_name}}</div>
               
              
             
                                    
                                    
                                    
                                  
                                </div>
                            </div> 
                                
                                
                                
                            </div>
                            
                            
                            
                            
                           





</div>
</div>
</div>
</div>

    <div class="row">
    <div class="col-lg-12 grid-margin stretch-card">
    <div class="card">
    <div class="card-header" style="border-top:3px solid #004170;color:black;background: #004170;color:white"><b>DUE REPORT</b></div>
    <div class="card-body"  style=" border-left:1px solid #DCDCDC;border-right:1px solid #DCDCDC;border-bottom:1px solid #DCDCDC;">
                                            <div class="form-group row">
                                            <div class="col-md-12">
                                            <div class="scroll">
                                            <table class="table table-bordered">
                                            <thead style="background-color:#FEBE10;">
                                            
                                            <th><b>Semester</b></th>
                                            <th><b>Term</b></th>
                                            <th><b>Fee Type</b></th>
                                            <th><b>Fee Amount</b></th>
                                            <th><b>Due Amount</b></th>
                                            <th><b>Fine Amount</b></th>
                                            <th><b>Total Amount</b></th>
                                            <!--<th><b>Start Date</b></th>-->
                                            <th><b>Due Date</b></th>
                                            </thead>
                                        
                                        <tbody>
                                            @php $total_fee_amount=$total=0; 
                                            
                                            foreach($fees as $ac_id => $sem_details){
                                            foreach($sem_details as $sem_id => $term_details){
                                                foreach($term_details['fee_structure'] as $term_id => $fee_details){
                                                    foreach($fee_details['fee_type'] as $ftype_id => $ftype_details){
                                                        $famount = $ftype_details['due_amount']+$ftype_details['fine_amount']; 
                                                        $total += $famount;
                                                        $term_fee=$ftype_details['term_fee'];
                                                        $total_fee_amount +=$term_fee;
                                                        @endphp
                                                         
                                                           
                                                        <tr>
                                                            <td>{{ $term_details['name'] }}</td>
                                                            <td>{{ $fee_details['name'] }}</td>
                                                            <td>{{ $ftype_details['ftype_name'] }}</td>
                                                            <td align="right">{{ $ftype_details['term_fee'] }}</td>
                                                            <td align="right">{{ $ftype_details['due_amount'] }}</td>
                                                            <td align="right">{{ $ftype_details['fine_amount'] }}</td>
                                                            
                                                            
                                                             <td align="right">
                                                                @if ($famount==0)
                                                                <span style="font-size:18px; font-weight: bold; color:#4CBB17">Paid !!</span>
                                                                @else
                                                                {{ $famount }}
                                                                 @endif
    
                                                               </td>
                                                                
                                                                
                                                              
                                                            
                                                            <!--<td>{{ date('d-m-Y',strtotime($ftype_details['start_date'])) }}</td>-->
                                                            <td>{{ date('d-m-Y',strtotime($ftype_details['end_date'])) }}</td>
                                                        </tr>
                                                        
                                                    @php

                                                    
                                                    } 
                                                }
                                            }
                                            }
                                            
                                            @endphp
                                        </tbody>
                                        <tr>
                                            <td colspan="3">
                                                <lable><b>Total Fees</b></lable>
                                            </td>
                                            <td>
                                                <b>{{number_format($total_fee_amount,2)}}</b>
                                            </td>
                                            <td>
                                                <b>{{number_format($total,2)}}</b>
                                            </td>
                                        </tr>
                                    </table>
                                </div>
                            </div>
                        </div>
                        <div class="form-group row">
                            <div class="col-8 text-right font-weight-bold" style="font-size:20px"><b>Total Due Amount :</b></div>
                            <div class="col-4 font-weight-bold"  style="font-size:20px"><b>{{ number_format($total,2) }}</b></div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        </div>
  
  
  
  
  
  
      
    <style>
th, td {
  text-align: left;
  padding: 8px;
}
tr:nth-child(even){background-color: #F8F8F8}
  .button3 {
  background-color: #04AA6D;
  color: black; 
 
}


th, td {
  text-align: left;
  padding: 8px;
  
}
tr:nth-child(even){
    background-color:#F8F8F8

}
  tr:hover {background-color: #B9D9EB;cursor:pointer;}





</style>







@endsection