
@extends('layouts.template')
@section('title','Home')
@section('heading','TC Request')
@section('breadcrumb','Home/TC Request')
@section('content')
 <div class="row">
    <div class="col-lg-12 grid-margin stretch-card">
    
    <div class="card-tools">
    {{ app_button_links(array(413)) }}
    </div>
        </div>
        </div>

    <div class="row">
    <div class="col-lg-12 grid-margin stretch-card">
    <div class="card">
    <div class="card-header" style="background-color:#005A9C;color:white;"><b>Tc Request</b></div>
    <div class="card-body">
         <div class="form-group row">
                            <div class="col-md-12">
                                <div class="scroll">
                                    <table class="table table-bordered">
                                        <thead>
                                        <tr>
                                            <th><b>#</b></th>
            								<th><b>Adm No</b></th>
            								<th><b>Student Name</b></th>
            								<th><b>Course</b></th>
            								<th><b>Semester</b></th>
            								<th><b>Reason</b></th>
            								<!--<th><b>Collected By</b></th>-->
            								<th colspan="2"><b>Actions</b></th>
                                        </tr>
                                        </thead>
                                        <tbody>
                                         
                                              @php
                                             $i=0; 
                                              @endphp
                                            @foreach($studentList as $student)
                                            
                                            <input type="hidden" name="student_id" value="{{$student->student_id}}">
                                                <tr>
                                                    <td align="center">{{ ++$i }}</td>
                                                    <td align="center">{{ $student->requestFrom->adno}}</td>
                                                    <td align="center">{{ $student->requestFrom->name}}</td>
                                                    <td align="center" style="word-wrap: break-word; word-break: break-all; white-space: normal;">{{ $student->course_name}}</td>
                                                    <td>{{$student->semester_name}}</td>
                                                    <td  style="word-wrap: break-word; word-break: break-all; white-space: normal;">{{$student->remarks}}</td>
                                                    <td>
   <a href="{{ route('tc.generate', encrypt($student->student_id)) }}" title="Generate TC">
                <i class="icon-sm icon-share-alt text-info"></i>
            </a>&nbsp;&nbsp;&nbsp;</td>
            <td>
               
                <a href="{{route('tc.cancel.request',['id'=>$student->tcrequest_id])}}">Cancel Request</a>
                
                </td>
                                                    
                                                </tr>
                                            @endforeach   
                                        </tbody>
                                        
                                    </table>
                                </div>
                            </div>
                        </div>            
                    
                    
                    
                    
                    
                    
                    
                    
                    
                    
                    
                    
                    
    </div>
    </div>
    </div>
    </div>
    <style>
         .card-body{
            border-left:1px solid #DCDCDC;
            border-right:1px solid #DCDCDC;
            border-bottom:1px solid #DCDCDC;
             
          
        }
		table.table-bordered {
            border: 1px solid #D8D8D8;
        }
        table.table-bordered th,
        table.table-bordered td {
            border: 1px solid #D8D8D8;
        }
        table.table-bordered th{
            background-color:#FEBE10;
        }
        table.table-bordered tr:nth-child(even){background-color: #E0E0E0;}
        .form-control{
            border:1px solid #E8E8E8;
        }
    </style>
    @endsection