<div class="card" style="border-top:3px solid #004170">
    <div class="card-body">
         
  <form action="{{ route('timetable.save') }}" method="post">
    @csrf
    
    <input type="hidden" id="course_id" name="course_id" value="{{ $course }}">
    <input type="hidden" id="semester_id" name="semester_id" value="{{ $semester_id }}">
    
    <input type="hidden" id="course" name="course" value="{{ encrypt($course) }}">
    <input type="hidden" id="sem_id" name="sem_id" value="{{ encrypt($semester_id) }}">
  

    <div id="totalStudents" class="mb-3"></div>
    <div class="row">
    <div class="col-md-12">
    <div class="form-group">
         <div class="table-wrapper">
    <table id="table-fine" class="table table-bordered table-striped table-hover">
    <thead class="thead-custom">
    <tr>
       <th>Period</th>
            <th>Monday</th>
            <th>Tuesday</th>
            <th>Wednesday</th>
            <th>Thursday</th>
            <th>Friday</th>
           <th>Saturday</th>
        
    </tr>
    </thead>
    <tbody>
              @foreach($periods as $period)
            <tr>
                <td class="period-cell">{{ $period->period }}</td>
                    @foreach($getDayOfWeek as $day)
                    <td class="day-cell">
                       @php
                         $isFree = true;
                       @endphp
                      @foreach($timetable as $t)
                      @if($t->period_id == $period->id && $t->day_of_week == $day->day)
                       @php
                            $isFree = false;
                       @endphp
                      <div class="schedule-item" onclick="showTimetableForm(this, '{{ $t->user_id }}', '{{ $t->subject_id }}', '{{ $period->id }}', '{{ $day->day }}' ,'{{$day->day}}', '{{$period->period}}','{{$course}}','{{$semester_id}}')">
                         <strong>{{ $subjectName = $t->subject ? $t->subject->subject_name : 'No subject assigned'}}</strong><br>
                           <em>     {{ $staffName =  $t->unames ? $t->unames->name : 'No teacher assigned' }}</em>
                      </div>
                     
                       @endif
                       @endforeach
                        @if($isFree)
                            <div class="schedule-item free-period" onclick="showTimetableForm(this, '', '', '{{ $period->id }}', '{{ $day->day }}', '{{ $day->day }}', '{{ $period->period }}', '{{ $course }}', '{{ $semester_id }}')">
                             <strong><font color="red">Free Period</font></strong>
                            </div>
                       @endif
                    </td>
                   
               @endforeach
            </tr>
        @endforeach
    </tbody>
    </table>
   </div>
    </div>
    </div>
    </div>
      
       <div class="row">
                <div class="col-md-12">
                    <div class="form-group">
                        <button type="submit" class="btn btn-primary float-right">Save</button>
                    </div>
                </div>
            </div>
        </form>
          
    </div>
    
</div>


<!-- Modal to Edit Timetable Entry -->
<div class="modal fade" id="editTimetableModal" tabindex="-1" aria-labelledby="editTimetableModalLabel" aria-hidden="true">
  <div class="modal-dialog">
    <div class="modal-content">
      <div class="modal-header" style="background-color: #004170; color: white;">
        <h5 class="modal-title" id="editTimetableModalLabel">Edit Timetable</h5>
        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
          <span aria-hidden="true">&times;</span>
        </button>
      </div>
      <div class="modal-body">
       
          <input type="hidden" id="period_id" name="period_id">
          <input type="hidden" id="day_of_week" name="day_of_week">
           <input type="hidden" id="courseId" name="courseId">
            <input type="hidden" id="semesterId" name="semesterId">
           <div class="form-group">
            <label for="day_of_week">Day</label>
            <input type="text" id="day_display" class="form-control" style="background-color:#F0F0F0" readonly>
          </div>
             <div class="form-group">
            <label for="period_id">Period</label>
            <input type="text" id="period_display" class="form-control" style="background-color:#F0F0F0" readonly>
          </div>
          
           <div class="form-group">
          <input type="checkbox" id="free_period" name="free_period"> <label for="free_period">Free Period</label>
        </div>
          
          <div class="form-group" id="staff_select">
            <label for="staff_id">Staff Name</label>
            <select class="form-control" id="staff_id" name="staff_id">
              <option value="">---Select Staff---</option>
              @foreach($staff as $staffMember)
                <option value="{{ $staffMember->user_id }}">{{ $staffMember->name }}</option>
              @endforeach
            </select>
          </div>
          
          <div class="form-group" id="subject_select">
            <label for="subject_id">Subject</label>
            <select class="form-control" id="subject_id" name="subject_id">
              <option value="">---Select Subject---</option>
              @foreach($subjects as $subject)
                <option value="{{ $subject->subject_id }}">{{ $subject->subject_name }}</option>
              @endforeach
            </select>
          </div>
          
          <div class="form-group mt-3">
            <button type="submit" class="btn btn-primary float-right" id="timetable-update">Save Changes</button>
          </div>
       
      </div>
    </div>
  </div>
</div>



<script src="https://cdn.jsdelivr.net/npm/@popperjs/core@2.9.3/dist/umd/popper.min.js"></script>
<script src="https://stackpath.bootstrapcdn.com/bootstrap/4.5.2/js/bootstrap.min.js"></script>

         <script src="{{ asset('public/template/plugins/jquery/jquery.min.js') }}"></script>
   <script src="{{ asset('public/js/studall.js') }}"></script>
   <script src="{{ asset('public/js/genearetimetable.js') }}"></script>
    <script src="{{ asset('public/js/staffsubjects.js') }}"></script>
  <script>
  
   $('#free_period').change(function() {
    
    if ($(this).prop('checked')) {
      $('#staff_select').hide();
      $('#subject_select').hide();
    } else {
      $('#staff_select').show();
      $('#subject_select').show();
    }
  });

$(document).ready(function() { 
   
}); 
 function showTimetableForm(checkbox, userId, subjectId, period, day, dayname, periodname, course, semesterId) {
    
    $('#period_id').val(period);
    $('#day_of_week').val(day);
    $('#staff_id').val(userId);
    $('#subject_id').val(subjectId);
    $('#period_display').val(periodname);
    $('#day_display').val(dayname);
    $('#courseId').val(course);
    $('#semesterId').val(semesterId);
    $('#free_period').prop('checked', false);
     $('#staff_select').show();
    $('#subject_select').show();
   
   $('#editTimetableModal').modal('show');
}


/*$('#editTimetableForm').submit(function(e) {
    var isFreePeriod = $('#free_period').prop('checked');
    var subjectId = $('#subject_id').val();
    var staffId = $('#staff_id').val();
    
    if (!subjectId || !staffId) {
        e.preventDefault();  // Prevent form submission
        
        alert("Please select both a subject and a staff member.");
        return false;
    }
});*/


  function closePopup() {
    document.getElementById('editTimetableModal').style.display = 'none';
} 
 </script>  
   
<style>

body {
    font-family: 'Arial', sans-serif;
}

/* Table Header Styles */
thead.thead-custom {
    background-color: #004170;
    color: white;
    text-align: center;
}

thead.thead-custom th {
    padding: 15px 10px;
    font-size: 16px;
    font-weight: bold;
}

/* Table Cell Styles */
table.table-bordered {
    border-collapse: collapse;
    width: 100%;
    margin: 20px 0;
}

table.table-bordered td, table.table-bordered th {
    border: 1px solid #dcdcdc;
    padding: 12px;
    text-align: center;
}

table.table-striped tbody tr:nth-child(odd) {
    background-color: #f9f9f9;
}

table.table-hover tbody tr:hover {
    background-color: #e0f7fa;
    cursor: pointer;
}

/* Period Cell Styling */
.period-cell {
    background-color: #f0f0f0;
    font-weight: bold;
    text-align: left;
    padding-left: 15px;
}

/* Day Cells Styling */
.day-cell {
    min-height: 100px;
    vertical-align: top;
    padding: 10px;
}

.day-cell .schedule-item {
    font-size: 14px;
    color: #333;
}

.schedule-item strong {
    display: block;
    font-size: 16px;
    color: #004170;
    margin-bottom: 5px;
}

.schedule-item em {
    font-size: 14px;
    color: #555;
}

/* Scrollable Container */
.table-wrapper {
    overflow-x: auto;
    overflow-y: auto;
    max-height: 600px; /* You can adjust the height based on your requirement */
    margin-top: 10px;
}

/* Scrollbar Styles */
.table-wrapper::-webkit-scrollbar {
    width: 10px;
    height: 10px;
}

.table-wrapper::-webkit-scrollbar-track {
    background: #f1f1f1;
}

.table-wrapper::-webkit-scrollbar-thumb {
    background: #888;
    border-radius: 10px;
}

.table-wrapper::-webkit-scrollbar-thumb:hover {
    background: #555;
}

/* Responsive Styling */
@media (max-width: 768px) {
    table.table-bordered, .table th, .table td {
        font-size: 12px;
        padding: 8px;
    }

    .period-cell, .day-cell {
        padding: 8px;
    }

    .schedule-item {
        font-size: 12px;
    }
}

@media (max-width: 480px) {
    table.table-bordered, .table th, .table td {
        font-size: 10px;
        padding: 6px;
    }

    .period-cell, .day-cell {
        padding: 6px;
    }

    .schedule-item {
        font-size: 10px;
    }
}
</style>


