@extends('layouts.template') 
@section('title', 'Home') 
@section('heading', 'Transportation') 
@section('breadcrumb', 'Home/Transportation/Add Route') 
@section('content') 
<div class="row">
    <div class="col-lg-12 grid-margin stretch-card">
    
    <div class="card-tools">
    {{ app_button_links(array(489,490)) }}
    </div>
        </div>
        </div>

<div class="row">     
        <div class="col-lg-12 grid-margin stretch-card">     
        <div class="card">     
        <div class="card-header" style="background-color:#005A9C;color:white;"><b>Add Route</b></div>     
        <div class="card-body">         
<form action="{{route('trans.save.route')}}" method="post">
    @csrf
    <div class="row">  
     <div class="col-md-3">                         
                            <div class="form-group">                             
                            <label for="route_name" class="required"><b>Route Name</b></label>                         
<textarea name="route_name" class="form-control" placeholder="Route Name">
    
</textarea>
@error('route_name')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror

                            </div>                             
                            </div>    
                  <div class="col-md-3">                         
                            <div class="form-group">                             
                            <label for="route_code" class="required"><b>Route Code</b></label>   
                       <input type="text" name="route_code" class="form-control" placeholder="Route Code">    
                   @error('route_code')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
         
    </div>                     
    </div> 
    <div class="col-md-3">                         
                            <div class="form-group">                         
                                <label for="addbus_id" class="required"><b>Bus</b></label>                         
                                <select class="form-control" id="addbus_id" name="addbus_id" required>                         
                                    <option value=""><span class="fw-bold">Select</span></option>                         
                                    @foreach($bus as $buses)                         
                                        <option value="{{ $buses->addbus_id }}" {{ old('addbus_id') == $buses->addbus_id ? "selected" : "" }}>{{ $buses->bus_no}}</option>                         
                                    @endforeach                         
                                </select>                         
                                @error('addbus_id')<div class="text-danger small mt-1">{{ $message }}</div>@enderror                         
                            </div>                         
                        </div>       
    
    
    </div>
    
     <div class="row">
               <div class="col-md-12"> 
            <input type="submit" name="sub" value="Save" class="btn btn-primary float-right">
            </div>
            </div>
    
    
    
    </form>
    </div>
    </div>
    </div>
    </div>




<style>                                 
    .card-body {             
        border-left: 1px solid #DCDCDC;             
        border-right: 1px solid #DCDCDC;             
        border-bottom: 1px solid #DCDCDC;         
    }   
    </style>






@endsection