
@extends('layouts.template') 
@section('title', 'Home') 
@section('heading', 'Transportation') 
@section('breadcrumb', 'Home/Transportation/Bus Fine Setting') 
@section('content') 
    <div class="row">
    <div class="col-lg-12 grid-margin stretch-card">
    
    <div class="card-tools">
    {{ app_button_links(array(519)) }}
    </div>
    </div>
    </div>

        <div class="row">     
        <div class="col-lg-12 grid-margin stretch-card">     
        <div class="card">     
        <div class="card-header" style="background-color:#005A9C;color:white;"><b>Bus Fine Setting</b></div>     
        <div class="card-body">      
        <form action="{{route('trans.bus.fine.save')}}" method="post">
            @csrf
            <div class="row">
            <div class="col-md-3"> 
                            <div class="form-group">                             
                            <label for="fine_amount" class="required"><b>Fine Amount</b></label>  
<input type="text" name="fine_amount" value="{{old('fine_amount')}}" placeholder="Enter fine amount" class="form-control">
</div>
</div>
</div>
<!--<div class="row">-->
<!--<div class="col-md-3"> -->
<!--<div class="form-group">  -->
<!-- <label for="fine_count"><b>Fine Count</b></label>  -->
<!--<input type="text" name="fine_count" value="{{old('fine_count')}}" class="form-control">    -->
<!--    </div>-->
<!--    </div>-->
<!--    <div class="col-md-3"> -->
<!--    <input type="radio" name="fine_per" value="Day">Day-->
<!--    </div>-->
<!--    <div class="col-md-3"> -->
<!--    <input type="radio" name="fine_per" value="Month">Month-->
<!--    </div>-->
<!--    </div>-->


<div class="row mb-3 align-items-center">
    <div class="col-md-3"> 
        <div class="form-group">  
            <label for="fine_count" class="required"><b>Fine/</b></label>  
            <input type="text" name="fine_count" value="{{ old('fine_count') }}" class="form-control" placeholder="Enter fine count" required>    
        </div>
    </div>
    <div class="col-md-2 d-flex align-items-center"> 
        <div class="form-check me-2">
            <label class="form-check-label"><input type="radio" class="form-check-input" id="fine_per" name="fine_per" value="Day" {{ old('fine_per')=='day' ? "checked":"" }}> Day </label>
            
        </div>
    </div>
    <div class="col-md-2 d-flex align-items-center"> 
        <div class="form-check">
            <label class="form-check-label"><input type="radio" class="form-check-input" id="fine_per" name="fine_per" value="Month" {{ old('fine_per')=='month' ? "checked":"" }}> Month </label>

        </div>
    </div>
</div>

        
    <div class="row">
<div class="col-md-12">
 <input type="submit" name="sub" value="Save Fine" class="btn btn-primary float-right">   
    
    </div>
    </div>
        
        </form>
        </div>
        </div>
        </div>
        </div>
       
        <div class="row">     
        <div class="col-lg-12 grid-margin stretch-card">     
        <div class="card">
        <div class="card-body"> 
        <table class="table table-bordered">
            <tr>
                <thead>
                    <th><b>#</b></th>
                    <th><b>Fine Amount</b></th>
                    <th><b>Fine Per</b></th>
                    
                </thead>
                 </tr>
                <tbody>
                      @forelse($busfine as $busfines)
                       <tr>
                                    <td>{{$loop->iteration}}</td>
                                    <td>{{number_format($busfines->fine_amount,0)}}</td>
                                    <td>{{$busfines->fine_count.' '.$busfines->fine_per}}</td>
                                 
                                     
                                </tr>
                            @empty
                                <tr>
                                    <td colspan="2">No Result Found !</td>
                                </tr>
                            @endforelse
                </tbody>
           
        </table>
        
        
        
        
        </div>
        </div>
        </div>
        </div>
        
       
       
       
       
       
       <style>                                 
    .card-body {             
        border-left: 1px solid #DCDCDC;             
        border-right: 1px solid #DCDCDC;             
        border-bottom: 1px solid #DCDCDC;         
    }  
       
      
        .form-control{
            border:1px solid #E8E8E8;
        }
    </style>
       @endsection 
        
        
        
        