@extends('layouts.template')
@section('title','Home')
@section('heading','Fee Report')
@section('breadcrumb','Home/Transportation/Fee Report')
@section('content')

<div class="row">
    <div class="col-lg-12 grid-margin stretch-card">
    
    <div class="card-tools">
    {{ app_button_links(array(529,530,532)) }}
    </div>
        </div>
        </div>
 <div class="row">
            <div class="col-lg-12 grid-margin stretch-card">
                <div class="card">
                    <div class="card-header" style="background-color:#005A9C;color:white"><b>Fee Report</b></div>
                    <div class="card-body">

 <div class="row">
                            <div class="col-md-3">
                                <div class="form-group">
                                    <label for="student_id" class="required"><b>Student</b></label>
                                    <select class="js-example-basic-single form-control" id="student_id" name="student_id" required>
                                        <option value="">Select</option>
                                        @foreach($students as $studs)
                                            <option value="{{ $studs->student_id }}" {{ old('student_id')==$studs->student_id ? "selected":"" }}>{{ $studs->name }}</option>
                                        @endforeach
                                    </select>
                                    @error('student_id')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
                                </div>
                            </div>
                            
                            
                            
                            
                            
                            </div>
                            
                            
                            
                            <div class="row">
                              <div class="col-md-12">
                            <button type="button" class="btn btn-primary float-right" id="btn-get">Get Details</button>
                              </div>       
                            </div>
                            
                            
                            
                            </div>
                            </div>
                            </div>
                            </div>


   <div class="row">
            <div class="col-lg-12 grid-margin stretch-card" id="result">
            
            </div>
            </div>    

 <script src="{{ asset('public/template/plugins/jquery/jquery.min.js') }}"></script>
    <!--<script src="{{ asset('public/js/studentreport.js') }}"></script> -->
    <script>
        
$(document).ready(function()
{
    $("#btn-get").on('click',function(){
         var sid = $('#student_id').val();
     
        
    
       
   
        $("#result").html('');
        $("#result").append('<div class="overlay"><div class="spinner-border"></div></div>');
                
        if( sid==='' ){
            alert('Please select all mandatory fields !');
        }else{
            $.ajax({
                type : 'GET',
                url : '../getfeestudent',
                data : {sid:sid},
                success : function(response){
                    $("#result").html('');
                    $("#result").append(response);
                }
            });
        }
    });
});   
         
    </script>
@endsection