@extends('layouts.template')
@section('title','Home')
@section('heading','Fee Report')
@section('breadcrumb','Home/Transportation/Cancelled-Fee Report')
@section('content')
<div class="row">
    <div class="col-lg-12 grid-margin stretch-card">
    
    <div class="card-tools">
    {{ app_button_links(array(529,530,532)) }}
    </div>
        </div>
        </div>
        
        <div class="row">
            <div class="col-lg-12 grid-margin stretch-card">
            <div class="card">
                    <div class="card-header" style="background-color:#005A9C;color:white"><b>Cancelled - Fee Report</b></div>
                    <div class="card-body">
         <table class="table table-bordered">
            <thead>
            <tr>
                        
                        <th><b>#</b></th>
                        <th  style="word-wrap: break-word; word-break: break-all; white-space: normal;"><b>Student Name</b></th>
                        <th><b>Admission No.</b></th>
                        <th><b>Receipt Number</b></th>
                        <th><b>Fee</b></th>
                        <th><b>Fine</b></th>
                        <th><b>discount</b></th>
                        <th><b>Fee Paid</b></th>
                        <th><b>Paid Date</b></th>
                       
                      
                </tr>
                </thead>
                <tbody>
                    <tbody>
    @forelse($Fees as $Fee)
        <tr>
            <td>{{ $loop->iteration }}</td>
            <td style="word-wrap: break-word; word-break: break-all; white-space: normal;">
               
                {{ $Fee->name }}
              
            </td>
            <td style="word-wrap: break-word; word-break: break-all; white-space: normal;">{{ $Fee->adno }}</td>
            <td style="word-wrap: break-word; word-break: break-all; white-space: normal;">{{$Fee->receipt_no}}</td>
            <td>{{$Fee->total_fee}}</td>
            <td style="word-wrap: break-word; word-break: break-all; white-space: normal;">{{ $Fee->total_fine }}</td>
            <td style="word-wrap: break-word; word-break: break-all; white-space: normal;">{{ $Fee->total_discount }}</td>
            <td style="word-wrap: break-word; word-break: break-all; white-space: normal;">{{ $Fee->total_fee_amount }}</td>
<td>{{ date('d-m-Y', strtotime($Fee->paid_date)) }}</td> 

            
        </tr>
    @empty
        <tr>
            <td colspan="10">No Result!</td>
        </tr>
    @endforelse
</tbody>
        
        
        
        
        </div>
        </div>
        </div>
        </div>
        
        <style>
                      .card-body {             
        border-left: 1px solid #DCDCDC;             
        border-right: 1px solid #DCDCDC;             
        border-bottom: 1px solid #DCDCDC;         
    }   
       
        .form-control{
            border:1px solid #E8E8E8;
        }
                </style>
        @endsection