
<?php $__env->startSection('title','Home'); ?>
<?php $__env->startSection('heading','Student Due Report'); ?>
<?php $__env->startSection('breadcrumb','Home/Search Student/Student Due Report'); ?>
<?php $__env->startSection('content'); ?>


<input type="hidden" name="student_id" value="<?php echo e($student->student_id); ?>">

<div class="row">
    <div class="col-12">
<!--<div class="card">-->
            <!--<div class="card-body">-->
<div class="row">
    <div class="col-12 col-sm-4 col-lg-3">
        <div class="form-group">
            <a href="<?php echo e(route('searchstudent.get.view',encrypt(['student_id'=>$student->student_id]))); ?>" style="text-decoration:none"><span type="button" class="btn btn-sm btn-block btn-success"><i class="icon-plus"></i>Profile</span></a>
        </div>
    </div>
    <div class="col-12 col-sm-4 col-lg-3">
        <div class="form-group">
            <a href="<?php echo e(route('searchstudent.payment',['student_id'=>$student->student_id])); ?>" style="text-decoration:none"><span type="button" class="btn btn-sm btn-block btn-success"><i class="icon-plus"></i>Payments</span></a>
        </div>
    </div>
    <div class="col-12 col-sm-4 col-lg-3">
        <div class="form-group">
            <a href="<?php echo e(route('searchstudent.feereport',['student_id'=>$student->student_id])); ?>" style="text-decoration:none"><span type="button" class="btn btn-sm btn-block btn-success"><i class="icon-plus"></i>Fee Report</span></a>
        </div>
    </div>
    <div class="col-12 col-sm-4 col-lg-3">
        <div class="form-group">
            <a href="<?php echo e(route('searchstudent.duereport',['student_id'=>$student->student_id])); ?>" style="text-decoration:none"><span type="button" class="btn btn-sm btn-block btn-danger"><i class="icon-plus"></i>Due Report</span></a>
        </div>
    </div>
   
</div>
 <div class="row"> 
    <div class="col-12 col-sm-4 col-lg-3">
    <div class="form-group">
    <a href="<?php echo e(route('searchstudent.attendance',['student_id'=>$student->student_id])); ?>"  style="text-decoration:none"><span type="button" class="btn btn-sm btn-block btn-success"><i class="icon-plus"></i>Attendance Report</span></a>
    </div>
    </div>
   <div class="col-12 col-sm-4 col-lg-3">
        <div class="form-group">
            <a href="<?php echo e(route('searchstudent.exam.view', ['student_id' => $student->student_id])); ?>" style="text-decoration:none;">
                <span type="button" class="btn btn-sm btn-block btn-success">
                    <i class="icon-plus"></i> View Exam
                </span>
            </a>
        </div>
    </div>
   </div>
<!--</div>-->
<!--</div>-->
    



<br>

            <div class="row">
            <div class="col-lg-12 grid-margin stretch-card" >
            <div class="card">
            <div class="card-header" style="background-color:#005A9C;color:white;"><b>STUDENT DETAILS</b></div>
            <div class="card-body"  style=" border-left:1px solid #DCDCDC;border-right:1px solid #DCDCDC;border-bottom:1px solid #DCDCDC;">
            <div class="row">
     <div class="col-12 col-md-6">
                                <div class="form-group row">
                                    <label class="col-4"><b>Name</b></label>
                                    <div class="col-8"><b>:</b> <?php echo e($student->name); ?></div>
                                </div>
                            </div>
                             <div class="col-12 col-md-6">
    <div class="form-group row">
        <label class="col-4"><b>Course</b></label>
        <div class="col-8">
            <b>:</b>
            <?php $__currentLoopData = $crs; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $course): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                <span>Major <?php echo e($loop->iteration); ?>: <?php echo e($course->course_code); ?></span>
                <?php if(!$loop->last): ?>
                    <span>, </span> 
                <?php endif; ?>
            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
        </div>
    </div>
</div>
                            </div>
                            
                            <div class="row">
                              <div class="col-12 col-md-6">
                                <div class="form-group row">
                                    <label class="col-4"><b>Adm No.</b></label>
                                    <div class="col-8"><b>:</b> <?php echo e($student->adno); ?></div>
                                </div>
                            </div>  
                               
                               <div class="col-12 col-md-6">
                                <div class="form-group row">
                                    <label class="col-4"><b>Sem</b></label>
                                    
              
              <div class="col-8"><b>:</b> <?php echo e($semester->semester_name); ?></div>
               
              
             
                                    
                                    
                                    
                                  
                                </div>
                            </div> 
                                
                                
                                
                            </div>
                            
                            
                            
                            
                           





</div>
</div>
</div>
</div>

    <div class="row">
    <div class="col-lg-12 grid-margin stretch-card">
    <div class="card">
    <div class="card-header" style="border-top:3px solid #004170;color:black;background: #004170;color:white"><b>DUE REPORT</b></div>
    <div class="card-body"  style=" border-left:1px solid #DCDCDC;border-right:1px solid #DCDCDC;border-bottom:1px solid #DCDCDC;">
                                            <div class="form-group row">
                                            <div class="col-md-12">
                                            <div class="scroll">
                                            <table class="table table-bordered">
                                            <thead style="background-color:#FEBE10;">
                                            
                                            <th><b>Semester</b></th>
                                            <th><b>Term</b></th>
                                            <th><b>Fee Type</b></th>
                                            <th><b>Fee Amount</b></th>
                                            <th><b>Due Amount</b></th>
                                            <th><b>Fine Amount</b></th>
                                            <th><b>Total Amount</b></th>
                                            <!--<th><b>Start Date</b></th>-->
                                            <th><b>Due Date</b></th>
                                            </thead>
                                        
                                        <tbody>
                                            <?php $total_fee_amount=$total=0; 
                                            
                                            foreach($fees as $ac_id => $sem_details){
                                            foreach($sem_details as $sem_id => $term_details){
                                                foreach($term_details['fee_structure'] as $term_id => $fee_details){
                                                    foreach($fee_details['fee_type'] as $ftype_id => $ftype_details){
                                                        $famount = $ftype_details['due_amount']+$ftype_details['fine_amount']; 
                                                        $total += $famount;
                                                        $term_fee=$ftype_details['term_fee'];
                                                        $total_fee_amount +=$term_fee;
                                                        ?>
                                                         
                                                           
                                                        <tr>
                                                            <td><?php echo e($term_details['name']); ?></td>
                                                            <td><?php echo e($fee_details['name']); ?></td>
                                                            <td><?php echo e($ftype_details['ftype_name']); ?></td>
                                                            <td align="right"><?php echo e($ftype_details['term_fee']); ?></td>
                                                            <td align="right"><?php echo e($ftype_details['due_amount']); ?></td>
                                                            <td align="right"><?php echo e($ftype_details['fine_amount']); ?></td>
                                                            
                                                            
                                                             <td align="right">
                                                                <?php if($famount==0): ?>
                                                                <span style="font-size:18px; font-weight: bold; color:#4CBB17">Paid !!</span>
                                                                <?php else: ?>
                                                                <?php echo e($famount); ?>

                                                                 <?php endif; ?>
    
                                                               </td>
                                                                
                                                                
                                                              
                                                            
                                                            <!--<td><?php echo e(date('d-m-Y',strtotime($ftype_details['start_date']))); ?></td>-->
                                                            <td><?php echo e(date('d-m-Y',strtotime($ftype_details['end_date']))); ?></td>
                                                        </tr>
                                                        
                                                    <?php

                                                    
                                                    } 
                                                }
                                            }
                                            }
                                            
                                            ?>
                                        </tbody>
                                        <tr>
                                            <td colspan="3">
                                                <lable><b>Total Fees</b></lable>
                                            </td>
                                            <td>
                                                <b><?php echo e(number_format($total_fee_amount,2)); ?></b>
                                            </td>
                                            <td>
                                                <b><?php echo e(number_format($total,2)); ?></b>
                                            </td>
                                        </tr>
                                    </table>
                                </div>
                            </div>
                        </div>
                        <div class="form-group row">
                            <div class="col-8 text-right font-weight-bold" style="font-size:20px"><b>Total Due Amount :</b></div>
                            <div class="col-4 font-weight-bold"  style="font-size:20px"><b><?php echo e(number_format($total,2)); ?></b></div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        </div>
  
  
  
  
  
  
      
    <style>
th, td {
  text-align: left;
  padding: 8px;
}
tr:nth-child(even){background-color: #F8F8F8}
  .button3 {
  background-color: #04AA6D;
  color: black; 
 
}


th, td {
  text-align: left;
  padding: 8px;
  
}
tr:nth-child(even){
    background-color:#F8F8F8

}
  tr:hover {background-color: #B9D9EB;cursor:pointer;}





</style>







<?php $__env->stopSection(); ?>
<?php echo $__env->make('layouts.template', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/cllgdemodrlnt/public_html/resources/views/students/search_duereport.blade.php ENDPATH**/ ?>