
<?php $__env->startSection('title','Home'); ?>
<?php $__env->startSection('heading','Attendance'); ?>
<?php $__env->startSection('breadcrumb','Home/Search Student/Attendance'); ?>
<?php $__env->startSection('content'); ?>
     <div class="row">    
        
    <div class="col-12 col-sm-4 col-lg-3">
    <div class="form-group">
    <a href="<?php echo e(route('searchstudent.get.view',encrypt(['student_id'=>$student->student_id]))); ?>" style="text-decoration:none;margin-right:1px"><span type="button" class="btn btn-sm btn-block btn-success"><i class="icon-plus"></i>Profile</span></a>
    </div>
    </div>
  
    
    <div class="col-12 col-sm-4 col-lg-3">
    <div class="form-group">
    <a href="<?php echo e(route('searchstudent.payment',['student_id'=>$student->student_id])); ?>" style="text-decoration:none"><span type="button" class="btn btn-sm btn-block btn-success"><i class="icon-plus"></i>Payments</span></a>
    </div>
    </div>
    
    
    <div class="col-12 col-sm-4 col-lg-3">
    <div class="form-group">
    <a href="<?php echo e(route('searchstudent.feereport',['student_id'=>$student->student_id])); ?>" style="text-decoration:none"><span type="button" class="btn btn-sm btn-block btn-success"><i class="icon-plus"></i>Fee Report</span></a>
    </div>
    </div>
    
    
    <div class="col-12 col-sm-4 col-lg-3">
    <div class="form-group">
    <a href="<?php echo e(route('searchstudent.duereport',['student_id'=>$student->student_id])); ?>" style="text-decoration:none"> <span type="button" class="btn btn-sm btn-block btn-success"><i class="icon-plus"></i>Due Report</span></a>
    </div>
    </div>
    <!--row2divend-->
    </div>
    <div class="row"> 
    <div class="col-12 col-sm-4 col-lg-3">
    <div class="form-group">
    <a href="<?php echo e(route('searchstudent.attendance',['student_id'=>$student->student_id])); ?>"  style="text-decoration:none"><span type="button" class="btn btn-sm btn-block btn-danger"><i class="icon-plus"></i>Attendance Report</span></a>
    </div>
    </div>
   <div class="col-12 col-sm-4 col-lg-3">
        <div class="form-group">
            <a href="<?php echo e(route('searchstudent.exam.view', ['student_id' => $student->student_id])); ?>" style="text-decoration:none;">
                <span type="button" class="btn btn-sm btn-block btn-success">
                    <i class="icon-plus"></i> View Exam
                </span>
            </a>
        </div>
    </div>
   </div>
    
  
    <div class="card"> 
    <div class="card-header"  style="background-color:#005A9C;color:white;"><b>ATTENDANCE REPORT</b></div>
    <div class="card-body" style=" border-left:1px solid #DCDCDC;border-right:1px solid #DCDCDC;border-bottom:1px solid #DCDCDC;">
   
    <input type="hidden" name="student_id" value="<?php echo e($student->student_id); ?>" id="student_id">
    <div class="row">
            <div class="col-md-3">
            <div class="form-group">
            <label for="fdate"><b>From Date</b></label>
            <input type="date" class="form-control" id="fdate" name="fdate" value="<?php echo e(old('fdate') ? old('fdate'):date('Y-m-d')); ?>">
            <?php $__errorArgs = ['fdate'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?><div class="text-daborder-danger small mt-1 text-danger"><?php echo e($message); ?></div><?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
            </div>
            </div>       
                    <div class="col-md-3">
                    <div class="form-group">
                    <label for="tdate"><b>To Date</b></label>
                    <input type="date" class="form-control" id="tdate" name="tdate" value="<?php echo e(old('tdate') ? old('tdate'):date('Y-m-d')); ?>">
                    <?php $__errorArgs = ['tdate'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?><div class="text-daborder-danger small mt-1 text-danger"><?php echo e($message); ?></div><?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                    </div>
                    </div>
                  
                   
                   
                
                   </div> 
                   
                    <div class="row">
                    <div class="col-md-12">
                    <button type="submit" class="btn btn-primary float-right" id="btn-get">Get Details</button>
                    </div>
                    </div>
                    
                   
                    
                    
                    
                    
                    
    </div>
    </div>
  
        
        <div class="row">
        <div class="col-lg-12 grid-margin stretch-card" id="result">
            
        </div>
        </div> 
        
        <script src="<?php echo e(asset('public/template/plugins/jquery/jquery.min.js')); ?>"></script>
   
   
    <script>
             $(document).ready(function(){
      $("#btn-get").on('click',function(){
       
        var fdate=$('#fdate').val();
        var tdate=$('#tdate').val();
        var student=$('#student_id').val();
        
        
console.log(student);
        $("#result").html('');
        $("#result").append('<div class="overlay"><div class="spinner-border"></div></div>');
                
        if( fdate=='' || tdate=='' || student==''){
            alert('Please select all mandatory fields !');
        }else{
            $.ajax({
                type : 'GET',
                url : '../searchstudent-atten-report',
                data : {fdate:fdate,tdate:tdate,student:student},
                success : function(response){
                    $("#result").html('');
                    $("#result").append(response);
                }
            });
        }
    });
        
        }); 
        </script>
   
    
    
    
    
    
    
    
    
    
    
    
    <?php $__env->stopSection(); ?>
<?php echo $__env->make('layouts.template', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/cllgdemodrlnt/public_html/resources/views/students/viewstudentattendancesearch.blade.php ENDPATH**/ ?>