
<?php $__env->startSection('title','Settings'); ?>
<?php $__env->startSection('heading','Staff Subject'); ?>
<?php $__env->startSection('breadcrumb','Settings / Staff Setting /Staff Subject'); ?>
<?php $__env->startSection('content'); ?>



        <div class="row">
        <div class="col-lg-12 grid-margin stretch-card">
        <div class="card">
        <div class="card-header" style="background:#005A9C;color:white;"><b>Assign Subjects to Staff</b></div>
            
                    <div class="card-body">
                    <form action="<?php echo e(route('staffsubject.save')); ?>" method="post">
                    <?php echo csrf_field(); ?>
                    <div class="row">
                    <div class="col-md-3">
                    <div class="form-group">
                    <label for="user_id" class="required"><b>Staff</b></label>
                    <select class="form-control" id="user_id " name="user_id" required>
                    <option value="">Select</option>
                    <?php $__currentLoopData = $user; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $users): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                    <option value="<?php echo e($users->user_id); ?>" <?php echo e(old('user_id')==$users->user_id ? "selected":""); ?>><?php echo e($users->name); ?></option>
                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                    </select>
                    <?php $__errorArgs = ['user_id'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?><div class="text-daborder-danger small mt-1 text-danger"><?php echo e($message); ?></div><?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                    </div>
                    </div>
                    <div class="col-md-3">
                                <div class="form-group">
                                <label for="course_id" class="required"><b>Course</b></label>
                                <select class="form-control" id="course_id" name="course_id" required>
                                <option value="">Select</option>
                                <?php $__currentLoopData = $course; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $crs): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                <option value="<?php echo e($crs->course_id); ?>" <?php echo e(old('course_id')==$crs->course_id ? "selected":""); ?>><?php echo e($crs->course_name); ?></option>
                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                </select>
                                <?php $__errorArgs = ['course_id'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?><div class="text-daborder-danger small mt-1 text-danger"><?php echo e($message); ?></div><?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                                </div>
                                </div>
                            <div class="col-md-3">
                            <div class="form-group">
                            <label for="semester_id" class="required"><b>Semester</b></label>
                            <select class="form-control" id="semester_id" name="semester_id" required>
                            <option value="">Select</option>
                            </select>
                            <?php $__errorArgs = ['semester_id'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?><div class="text-daborder-danger small mt-1 text-danger"><?php echo e($message); ?></div><?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                                </div>
                            </div>
                              
                                <div class="col-md-3">
                                <div class="form-group">
                                    <label for="subject_id" class="required"><b>Subjects</b></label>
                                    <select class="form-control" id="subject_id" name="subject_id" required>
                                       <option value="">Select</option>
                                    </select>
                                    <?php $__errorArgs = ['subject_id'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?><div class="text-daborder-danger small mt-1 text-danger"><?php echo e($message); ?></div><?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                            </div>
                            </div>
                            </div>
                                    <div class="row">
                                    <div class="col-md-12">
                                    <div class="form-group">
                                    <button type="submit" class="btn btn-primary float-right">Save</button>
                                    </div>
                                    </div>
                                    </div>
                    </form>
                    </div>
                    </div>
                    </div>
        </div>
        <div class="row">
        <div class="col-lg-12 grid-margin stretch-card">
            <div class="card" style="border-top:2px solid #004170">
                <div class="card-body">
                    <table class="table table-bordered">
                        <thead>
                        <tr>
                            <th><b>Staff Name</b></th>
                            <th><b>Course</b></th>
                            <th><b>Semester</b></th>
                            <th><b>Subject</b></th>
                           
                        </tr>
                        </thead>
                        <tbody>
                            <?php $__empty_1 = true; $__currentLoopData = $staffsubject; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $stfsub): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); $__empty_1 = false; ?>
                                <tr>
                                     <td><?php echo e($stfsub->user->name); ?></td>
                                     <td><?php echo e($stfsub->course->course_name); ?></td>
                                     <td><?php echo e($stfsub->semester->semester_name); ?></td>
                                     <td><?php echo e($stfsub->subject->subject_name); ?></td>
                                    
                                     
                                </tr>
                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); if ($__empty_1): ?>
                                <tr>
                                    <td colspan="2">No Result Found !</td>
                                </tr>
                            <?php endif; ?>
                        </tbody>
                    </table>
                </div>
            </div>
        </div>
    </div>
    
    
    
  
   <script src="<?php echo e(asset('public/template/plugins/jquery/jquery.min.js')); ?>"></script>
    <script src="<?php echo e(asset('public/js/sem.js')); ?>"></script>
     <script src="<?php echo e(asset('public/js/subtyp.js')); ?>"></script>
     <style>
         .card-body{
            border-left:1px solid #DCDCDC;
            border-right:1px solid #DCDCDC;
            border-bottom:1px solid #DCDCDC;
             
          
        }
      
        .form-control{
            border:1px solid #E8E8E8;
        }

     </style>
<?php $__env->stopSection(); ?>
<?php echo $__env->make('layouts.settings-template', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/cllgdemodrlnt/public_html/resources/views/staff/staffsubject.blade.php ENDPATH**/ ?>