
<?php $__env->startSection('title','Home'); ?>
<?php $__env->startSection('heading','Discontinued Student List'); ?>
<?php $__env->startSection('breadcrumb','Home/Transportation/Discontinued Student List'); ?>
<?php $__env->startSection('content'); ?>
<div class="row">
<div class="col-lg-12 grid-margin stretch-card">
    
    <div class="card-tools">
    <?php echo e(app_button_links(array(501,502,514,515,516))); ?>

    </div>
    </div>
    </div>
        
        <div class="row">
        <div class="col-lg-12 grid-margin stretch-card">
        <div class="card">
        <div class="card-header" style="background-color:#005A9C;color:white"><b>Discontinued Student-list</b></div>
        <div class="card-body">
            <a href="<?php echo e(route('trans.disconti.busfacility.pdf')); ?>">
              <i class="fas fa-file-pdf text-danger float-right" style="font-size:30px"></i>  
            </a>           
            <br>
            <table class="table table-bordered">
                        <thead>
                        <tr>
                            <th><b>#</b></th>
                            <th><b>Student Name</b></th>
                             <th><b>Admission No.</b></th>
                             <th><b>Course</b></th>
                            <th><b>Discontinued Date</b></th>
                            <th colspan="1"><b>Actions</b></th>
                        </tr>
                        </thead>
                        <tbody>
                            <?php $__empty_1 = true; $__currentLoopData = $discontinued; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $discontinuedList): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); $__empty_1 = false; ?>
                                <tr>
                                                <input type="hidden" name="busfaci_stu_id" value="<?php echo e($discontinuedList->busfaci_stu_id); ?>">

                                    <td><?php echo e($loop->iteration); ?></td>
                                    <td><?php echo e($discontinuedList->name); ?></td>
                                    <td><?php echo e($discontinuedList->adno); ?></td>
                                    <td><?php echo e($discontinuedList->course_name); ?></td>
                                    <td><?php echo e(date('d-m-Y',strtotime($discontinuedList->discontinued_date))); ?></td>
                                    <td>
                                    <button type="button" class="btn  btn-sm" data-toggle="modal" data-target="#editFeeModal" data-id="<?php echo e($discontinuedList->busfaci_stu_id); ?>">
                                    <i class="fa-solid fa-magnifying-glass"></i>
                                    </button>
                
                </td>
                                   
                                </tr>
                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); if ($__empty_1): ?>
                                <tr>
                                    <td colspan="2">No Result Found !</td>
                                </tr>
                            <?php endif; ?>
                        </tbody>
                    </table>
        
            
            
            
            </div>
            </div>
            </div>
            </div>
            
            
          
          
        <div class="modal fade" id="editFeeModal" tabindex="-1" role="dialog" aria-labelledby="editFeeModalLabel" aria-hidden="true">
        <div class="modal-dialog" role="document">
        <div class="modal-content" style="background:white">
        <div class="modal-header" style="background:#005A9C">
                
                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                <span aria-hidden="true">&times;</span>
                </button>
            </div>
            <div class="modal-body">
               
                    <input type="hidden" name="busfaci_stu_id" value="<?php echo e($discontinuedList->busfaci_stu_id); ?>">
                    <div class="row">
                    <div class="col-md-6">
                    <div class="form-group">
                        <label for="new_fee">Route Name</label>
                    </div>
                    </div>
                    <div class="col-md-6">
                      <?php echo e($discontinuedList->route_name); ?>

                    </div>
                    </div>
                    <div class="row">
                    <div class="col-md-6">
                    <div class="form-group">
                        <label for="new_fee">Stop Name</label>
                        </div>
                        </div>
                    <div class="col-md-6">
                    <div class="form-group">
                      <?php echo e($discontinuedList->stop_name); ?>

                    </div>
                    </div>
                    </div>
                    
                    <div class="row">
                    <div class="col-md-6">
                    <div class="form-group">
                        <label for="new_fee">Date of Join</label>
                        </div>
                        </div>
                    <div class="col-md-6">
                    <div class="form-group">
                      <?php echo e(date('d-m-Y',strtotime($discontinuedList->date))); ?>

                    </div>
                    </div>
                    </div>
                    <div class="row">
                    <div class="col-md-6">
                    <div class="form-group">
                        <label for="new_fee">Status</label>
                        </div>
                        </div>
                    <div class="col-md-6">
                    <div class="form-group">
                        <?php if($discontinuedList->status==0): ?>
                     <p class="text-danger">Discontinue</p>
                     <?php endif; ?>
                    </div>
                    </div>
                    </div>
                    
                    
                    
                    
                    
                    <div class="row">
                    <div class="col-md-6">
                    <div class="form-group">
                    <label for="new_fee">Discontinued Date</label>
                    </div>
                    </div>
                    <div class="col-md-6">
                     <?php echo e(date('d-m-Y',strtotime($discontinuedList->discontinued_date))); ?>

                      
                    </div>
                    </div>
                    </div>
                    
                    
                    
                   
                
            </div>
        </div>
    </div>
</div>  
            
            
            
             <style>                                 
    .card-body {             
        border-left: 1px solid #DCDCDC;             
        border-right: 1px solid #DCDCDC;             
        border-bottom: 1px solid #DCDCDC;         
    }   
        
        
        .form-control{
            border:1px solid #E8E8E8;
        }
</style>
            
        <script src="<?php echo e(asset('public/template/plugins/jquery/jquery.min.js')); ?>"></script>
    
            <script>
    $(document).ready(function() {
        $('.view-btns').on('click', function() {
          
            var data = $(this).data('info');
            var modelData = JSON.parse(data); 

          
           
            alert('Name: ' + modelData.student.name + '\n' +
                  'Admission No: ' + modelData.student.adno + '\n' +
                  'Discontinued Date: ' + modelData.discontinued_date);
        });
    });
</script>
            <?php $__env->stopSection(); ?>
<?php echo $__env->make('layouts.template', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/cllgdemodrlnt/public_html/resources/views/transportation/busfacility_discontinued.blade.php ENDPATH**/ ?>