
<?php $__env->startSection('title','Home'); ?>
<?php $__env->startSection('heading','Tutorial'); ?>
<?php $__env->startSection('breadcrumb','Home / Tutorial / View'); ?>
<?php $__env->startSection('content'); ?>
    <div class="row">
        <div class="col-12">
            <div class="form-group">
                <?php echo e(app_button_links(array(398,399))); ?>

            </div>
        </div>
    </div>
    <div class="card card-primary">
        <div class="card-header">Tutorials</div>
        <div class="card-body">
            <table class="table table-bordered">
                <thead>
                <tr>
                    <th>#</th>
                    <th>Course</th>
                    <th>Semester</th>
                    <th>Subject</th>
                    <th>Title</th>
                    <th>Content</th>
                    <th>Attachment</th>
                    <th>Actions</th>
                </tr>
                </thead>
                <tbody>
                    <?php $__empty_1 = true; $__currentLoopData = $tutorials; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $tutorial): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); $__empty_1 = false; ?>
                        <tr>
                            <td><?php echo e($loop->iteration); ?></td>
                            <td><?php echo e($tutorial->course->course_code); ?></td>
                            <td><?php echo e($tutorial->sem->semester_name); ?></td>
                            <td style="word-wrap: break-word; word-break: break-all; white-space: normal;"><?php echo e($tutorial->sub->subject_name); ?></td>
                            <td style="word-wrap: break-word; word-break: break-all; white-space: normal;"><?php echo e($tutorial->title); ?></td>
                            <td style="word-wrap: break-word; word-break: break-all; white-space: normal;"><?php echo e($tutorial->content); ?></td>
                            <td align="center">
                                <a href="<?php echo e(asset('public/uploads/staff/tutorial/'.$tutorial->file)); ?>" target="_blank">
                                    <i class="fas fa-paperclip"></i> Download
                                </a>                
                            </td>
                            <td align="center"><a href="<?php echo e(route('tutorial.delete',['id'=>$tutorial->tutorial_id ])); ?>"><i class="fa-solid fa-times text-danger" style="font-size: 18px;"></i></a></td>
                        </tr>
                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); if ($__empty_1): ?>
                        <tr>
                            <td colspan="8">No Result Found !</td>
                        </tr>
                    <?php endif; ?>
                </tbody>
            </table>
        </div>
    </div>
<?php $__env->stopSection(); ?>
<?php echo $__env->make('layouts.template', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/cllgdemodrlnt/public_html/resources/views/tutorial/tutorial_view.blade.php ENDPATH**/ ?>