
<?php $__env->startSection('title','Home'); ?>
<?php $__env->startSection('heading','College'); ?>
<?php $__env->startSection('breadcrumb','Home/Feedback/College'); ?>
<?php $__env->startSection('content'); ?>
<div class="row">
    <div class="col-lg-12 grid-margin stretch-card">
        
                <div class="card-tools">
                    <?php echo e(app_button_links(array(451,452))); ?>

                </div>
           
    </div>
</div>

     <div class="row">
    <div class="col-lg-12 grid-margin stretch-card">
    <div class="card">
    <div class="card-header"  style="background:#005A9C;color:white;"><b>College Feedback Report from Students</b></div>
    <div class="card-body">
       <div>
           <h4 align="center">COLLEGE EVALUATION REPORT FROM STUDENTS</h4>
         <h4 align="center" class="text-success">ACADEMIC YEAR <?php echo e($currentAcademicYear); ?></h4>
        <h2 align="right"><a href="<?php echo e(route('college.feedback.pdf',['ac_id'=>$cur_acyear->ac_id])); ?>"><i class="fa-solid fa-file-pdf text-danger" style="font-size:20px"></i></a></h2>

       </div> 
        <hr>
        <div class="row">
            <div class="col-md-12">
                 <table class="table table-bordered" style="border:1px solid black;">
                            <thead>
                               
                                <tr>
                                    <th><b>#</b></th>
                                    <th><b>FEEDBACK CRITERIA</b></th>
                                    <th><b>OUTSTANDING</b></th>
                                    <th><b>VERY GOOD</b></th>
                                    <th><b>GOOD</b></th>
                                    <th><b>AVERAGE</b></th>
                                    <th><b>TOTAL RESPONSE</b></th>
                                    <th><b>TOTAL GRADE POINT</b></th>
                                    <th><b>TYPICAL SCORE</b></th>
                                    
                                </tr>
                            </thead>
                             <tbody>
                <?php
     $gradePoints = [
    'Outstanding' =>  5.0,
    'Very Good' => 3.5,
    'Good' => 3.0,
    'Average' => 2.0,
];
  $totalGradePoints = 0;


$totalResponses = 0;              
                ?>
                <?php $__currentLoopData = $criteriaWithSubcriteria; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $criteria): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                    <?php $__currentLoopData = $criteria['subcriteria']; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $subcriterion): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                        <!--<h5 style="margin-top: 20px;"><?php echo e($subcriterion->sub_criteria); ?></h5>-->
                       
                                 
                                <?php
                                    $outstanding = $criteria['ratingCounts'][$subcriterion->sub_criteria]['Outstanding'] ?? 0;
                                    $veryGood = $criteria['ratingCounts'][$subcriterion->sub_criteria]['Very Good'] ?? 0;
                                    $good = $criteria['ratingCounts'][$subcriterion->sub_criteria]['Good'] ?? 0;
                                    $average = $criteria['ratingCounts'][$subcriterion->sub_criteria]['Average'] ?? 0;
                                    $total = $outstanding + $veryGood + $good + $average;
                                    
                                    $gradePointsTotal = (
                                        ($outstanding * $gradePoints['Outstanding']) +
                                        ($veryGood * $gradePoints['Very Good']) +
                                        ($good * $gradePoints['Good']) +
                                        ($average * $gradePoints['Average'])
                                    );
                                    $totalGradePoints += $gradePointsTotal;
                                    $totalResponses += $total;
                                ?>
                                <tr>
                                    <td><?php echo e($loop->iteration); ?></td>
                                    <td  style="word-wrap: break-word; word-break: break-all; white-space: normal;"><?php echo e($subcriterion->sub_criteria); ?></td>
                                    <td style="word-wrap: break-word; word-break: break-all; white-space: normal;"><?php echo e($outstanding); ?></td>
                                    <td style="word-wrap: break-word; word-break: break-all; white-space: normal;"><?php echo e($veryGood); ?></td>
                                    <td style="word-wrap: break-word; word-break: break-all; white-space: normal;"><?php echo e($good); ?></td>
                                    <td style="word-wrap: break-word; word-break: break-all; white-space: normal;"><?php echo e($average); ?></td>
                                    <td style="word-wrap: break-word; word-break: break-all; white-space: normal;"><?php echo e($total); ?></td> 
                                    <td style="word-wrap: break-word; word-break: break-all; white-space: normal;"><?php echo e($gradePointsTotal); ?></td>
                                    <td>
                        <?php if($total > 0): ?>
                            <?php echo e(number_format($gradePointsTotal / $total, 2)); ?>

                        <?php else: ?>
                            0.00
                        <?php endif; ?>
                    </td>
                                </tr>
                               
                            
                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                </tbody>
                        </table>
            <h4 class="mt-4" STYLE="background:#fed35c"><b>Cumulative Grade Point Average (CGPA): </b>
                    <?php if($totalResponses > 0): ?>
                        <?php echo e(number_format($totalGradePoints / $totalResponses, 2)); ?> / 5.00
                    <?php else: ?>
                        0.00 / 5.00
                    <?php endif; ?>
                </h4>
            </div>
            
        </div>
        
        
        
        
        </div>
        </div>
        </div>
        </div>
         <style>
      
        .form-control{
            border:1px solid black;
        }
        .card-body{
            border-left:1px solid #DCDCDC;
            border-right:1px solid #DCDCDC;
            border-bottom:1px solid #DCDCDC;
             
          
        }
    </style>
        
        <?php $__env->stopSection(); ?>
<?php echo $__env->make('layouts.template', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/cllgdemodrlnt/public_html/resources/views/feedback/college_feedback.blade.php ENDPATH**/ ?>