 
<?php $__env->startSection('title', 'Home'); ?> 
<?php $__env->startSection('heading', 'Other'); ?> 
<?php $__env->startSection('breadcrumb', 'Home/Other/Letter Head'); ?> 
<?php $__env->startSection('content'); ?> 
<div class="row">
    <div class="col-lg-12 grid-margin stretch-card">
   
    <div class="card-tools">
    <?php echo e(app_button_links(array(592,593))); ?>

    </div>
       
        </div>
        </div>
  <div class="row">     
    <div class="col-lg-12 grid-margin stretch-card">     
      <div class="card">     
        <div class="card-header" style="background-color:#005A9C;color:white;"><b>Letter Head</b></div>     
        <div class="card-body">    

          <div class="letterhead-container">
            
            <div class="letterhead-header">
                <img src="<?php echo e(asset('public/uploads/logo/'.$institution->logo)); ?>" alt="College Logo" class="college-logo">
                <div class="college-info">
                    <h1><?php echo e($institution->name); ?></h1>
                    <p><?php echo e($institution->address); ?></p>
                    <p><?php echo e('Ph : '.$institution->mobile.' '.$institution->landline); ?></p>
                </div>
            </div>

           
            <form action="<?php echo e(route('letterhead.save')); ?>" method="POST">
              <?php echo csrf_field(); ?>
          
             
              <div class="date-section">
                  <label for="date">Date:</label>
                  <input type="date" id="date" name="date" class="form-control" value="<?php echo e(old('date', now()->format('Y-m-d'))); ?>">
              </div>

             
              <div class="form-group">
                  <label for="letter_content">Letter Content:</label>
                  <textarea id="letter_content" name="letter_content" class="form-control" rows="10"><?php echo e(old('letter_content')); ?></textarea>
              </div>

            
              <input type="submit" class="btn btn-primary" value="Save Letter">
            </form>
          </div>

        </div>
      </div>
    </div>
  </div>

  <style>
      body {
          font-family: Arial, sans-serif;
          margin: 0;
          padding: 0;
          box-sizing: border-box;
      }

      /* Letterhead Styling */
      .letterhead-container {
          width: 100%;
          padding: 30px;
          border: 1px solid #ccc;
      }
      .letterhead-header {
          display: flex;
          justify-content: space-between;
          align-items: center;
          border-bottom: 3px solid #0044cc;
          padding-bottom: 10px;
          margin-bottom: 20px;
      }
      .college-logo {
          width: 120px;
          height: auto;
      }
      .college-info {
          text-align: center;
      }
      .college-info h1 {
          margin: 0;
          font-size: 32px;
          color: #0044cc;
      }
      .college-info p {
          margin: 5px 0;
          font-size: 14px;
          color: #666;
      }

      /* Date and Address Section */
      .date-section {
          text-align: right;
          margin-bottom: 20px;
      }

      /* WYSIWYG Editor Style */
      .form-group {
          margin-bottom: 15px;
      }

      .form-control {
          border-radius: 4px;
          border: 1px solid #ccc;
          padding: 10px;
      }
  </style>

  
  <link href="https://cdn.jsdelivr.net/npm/summernote@0.8.18/dist/summernote-bs4.min.css" rel="stylesheet">
  <script src="https://cdn.jsdelivr.net/npm/summernote@0.8.18/dist/summernote-bs4.min.js"></script>

  <script>
      $(document).ready(function() {
         
          $('#letter_content').summernote({
              height: 300, 
              toolbar: [
                  ['style', ['bold', 'italic', 'underline']],
                  ['font', ['strikethrough', 'superscript', 'subscript']],
                  ['para', ['ul', 'ol', 'paragraph']],
                  ['insert', ['link', 'picture']]
              ],
              placeholder: 'Type the letter content here...'
          });
      });
  </script>
<?php $__env->stopSection(); ?>

<?php echo $__env->make('layouts.template', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/cllgdemodrlnt/public_html/resources/views/Other/letter_head.blade.php ENDPATH**/ ?>