

<?php $__env->startSection('title','Home'); ?>
<?php $__env->startSection('heading','Add Temporary Stop'); ?>
<?php $__env->startSection('breadcrumb','Home/Transportation/Temporary Stop'); ?>
<?php $__env->startSection('content'); ?>
<div class="row">
<div class="col-lg-12 grid-margin stretch-card">
    
    <div class="card-tools">
    <?php echo e(app_button_links(array(501,502,514,515,516))); ?>

    </div>
    </div>
    </div>
            <div class="row">
            <div class="col-lg-12 grid-margin stretch-card">
            <div class="card">
            <div class="card-header" style="background-color:#005A9C;color:white"><b>Add Student Temporary Stop</b></div>
            <div class="card-body">
            <form action="<?php echo e(route('trans.temporary.getroutestop.add')); ?>" method="post">
                <?php echo csrf_field(); ?>
            <div class="row">
            
                            <div class="col-md-3">
                                <div class="form-group">
                                    <label for="course_id" class="required"><b>Course</b></label>
                                    <select class="form-control" id="course" name="course_id" required>
                                        <option value="">Select</option>
                                        <?php $__currentLoopData = $courses; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $course): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                            <option value="<?php echo e($course->course_id); ?>" <?php echo e(old('course_id')==$course->course_id ? "selected":""); ?>><?php echo e($course->course_name); ?></option>
                                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                    </select>
                                    <?php $__errorArgs = ['course_id'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?><div class="text-daborder-danger small mt-1 text-danger"><?php echo e($message); ?></div><?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                                </div>
                            </div>
                             <div class="col-md-3">
                                <div class="form-group">
                                    <label for="semester_id" class="required"><b>Semester</b></label>
                                    <select class="form-control" id="semester_id" name="semester_id" required>
                                        <option value="">Select</option>
                                    </select>
                                    <?php $__errorArgs = ['semester_id'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?><div class="text-daborder-danger small mt-1 text-danger"><?php echo e($message); ?></div><?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                                </div>
                            </div>
                             <div class="col-md-3">
                                <div class="form-group">
                                    <label for="student_id" class="required"><b>Student</b></label>
                                    <select class="form-control" id="stud_id" name="student_id" required>
                                        <option value="">Select</option>
                                    </select>
                                    <?php $__errorArgs = ['student_id'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?><div class="text-daborder-danger small mt-1 text-danger"><?php echo e($message); ?></div><?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                                </div>
                            </div>
                            <div class="col-md-3">
                                <div class="form-group">
                                    <label for="route_id" class="required"><b>Temporary Route</b></label>
                               <select class="form-control" id="route_id" name="route_id">
                <option value=""><span class="fw-bold">Select</span></option>
                <?php $__currentLoopData = $routes; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $route): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
         <option value="<?php echo e($route->route_id); ?>" <?php echo e(old('route_id')==$route->route_id ? "selected":""); ?>><?php echo e($route->route_name); ?></option>

                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
            </select>  
                  </div>
                            </div>         
                            <div class="col-md-3">
                            <div class="form-group">
                                    <label for="stop_id" class="required"><b>Temporary Stop</b></label>
                                    <select class="form-control" id="stop_id" name="stop_id" required>
                                    <option value="">Select</option>
                                    </select>
                                    <?php $__errorArgs = ['stop_id'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?><div class="text-daborder-danger small mt-1 text-danger"><?php echo e($message); ?></div><?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                            </div>
                            </div>
                           
                           
                            </div>
                         
                        <div class="row">
                        <div class="col-md-12">
                        <div class="form-group">
                        <button type="submit" class="btn btn-primary float-right" id="btn-get">Add</button>
                        </div>
                        </div>
                        </div>
                         </form> 
                        </div>
                        </div>
                        </div>
                        </div>
       
        
        
        
        
    <script src="<?php echo e(asset('public/template/plugins/jquery/jquery.min.js')); ?>"></script>
    <script src="<?php echo e(asset('public/js/semester.js')); ?>"></script> 
    <script src="<?php echo e(asset('public/js/busfacilitystudents.js')); ?>"></script> 
    <script src="<?php echo e(asset('public/js/routestop.js')); ?>"></script>
 

      <style>
                        .card-body{
            border-left:1px solid #DCDCDC;
            border-right:1px solid #DCDCDC;
            border-bottom:1px solid #DCDCDC;
        }

    </style>
<?php $__env->stopSection(); ?>
<?php echo $__env->make('layouts.template', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/cllgdemodrlnt/public_html/resources/views/transportation/busfacility_temporary.blade.php ENDPATH**/ ?>